module     p0_dd_emnebardu_abbrevd61h0
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh0
   implicit none
   private
   complex(ki), public :: abb61n1
   complex(ki), public :: abb61n2
   complex(ki), public :: abb61n3
   complex(ki), public :: abb61n4
   complex(ki), public :: abb61n5
   complex(ki), public :: abb61n6
   complex(ki), public :: abb61n7
   complex(ki), public :: abb61n8
   complex(ki), public :: abb61n9
   complex(ki), public :: abb61n10
   complex(ki), public :: rat2d61
   complex(ki), public :: abb61n12
   complex(ki), public :: abb61n13
   complex(ki), public :: abb61n14
   complex(ki), public :: abb61n15
   complex(ki), public :: abb61n16
   complex(ki), public :: abb61n17
   complex(ki), public :: abb61n18
   complex(ki), public :: abb61n19
   complex(ki), public :: abb61n20
   complex(ki), public :: abb61n21
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   real(ki) :: t19
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c2*i_
      t3 = t2*spak2k3
      t4 = t3*spak5k6
      t19 = TR*TR
      t5 = es234*NC*t1
      t6 = t2*spak3k4
      t7 = t6*spak5k6
      t8 = c1*i_
      t9 = t8*spak2k3
      t10 = t9*spak5k6
      t1 = es234*t1
      t11 = NC*NC*t1
      t12 = t8*spak3k4
      t13 = t12*spak5k6
      t14 = NC*c2*i_
      t15 = t14*spak2k3
      t16 = t15*spak5k6
      t17 = t14*spak3k4
      t18 = t17*spak5k6
      abb61n1 = ((8.0_ki)*(-(t19/t5*t7*spbk4k2*spbk6k4+t19*t4/t5*spbk4k2*spbk6k2&
      &))+(4.0_ki)*(t19*t16/t1*spbk4k2*spbk6k2+t19*t18/t1*spbk4k2*spbk6k4+t19*t1&
      &0/t11*spbk4k2*spbk6k2+t19*t13/t11*spbk4k2*spbk6k4))
      abb61n2 = ((16.0_ki)*(-(t19/t5*t7*spbk4k1*spbk4k2+t19*t4/t5*spbk2k1*spbk4k&
      &2))+(8.0_ki)*(t19*t16/t1*spbk2k1*spbk4k2+t19*t18/t1*spbk4k1*spbk4k2+t19*t&
      &10/t11*spbk2k1*spbk4k2+t19*t13/t11*spbk4k1*spbk4k2))
      t4 = t19/t11*t9*spbk4k2
      t3 = (2.0_ki)*t19*t3/t5*spbk4k2
      t7 = t19*t15/t1*spbk4k2
      abb61n3 = ((4.0_ki)*(t4+t7-t3))
      abb61n4 = ((4.0_ki)*(t3-(t7+t4)))
      t3 = t19*t12/t11*spbk4k2
      t4 = (2.0_ki)*t19/t5*t6*spbk4k2
      t6 = t19*t17/t1*spbk4k2
      abb61n5 = ((4.0_ki)*(t3+t6-t4))
      abb61n6 = ((4.0_ki)*(t4-(t6+t3)))
      t3 = t8*spak3k5
      t4 = t19/t11*t3*spbk4k2
      t6 = t2*spak3k5
      t7 = (2.0_ki)*t19/t5*t6*spbk4k2
      t9 = t14*spak3k5
      t10 = t19/t1*t9*spbk4k2
      abb61n7 = ((8.0_ki)*(t10+t4-t7))
      abb61n8 = ((8.0_ki)*(t7-(t4+t10)))
      abb61n9 = ((8.0_ki)*(t19/t5*t6*spbk3k2+t19*t2/t5*spak4k5*spbk4k2)+(4.0_ki)&
      &*(-(t19/t11*t8*spak4k5*spbk4k2+t19*t14/t1*spak4k5*spbk4k2+t19/t11*t3*spbk&
      &3k2+t19/t1*t9*spbk3k2)))
      abb61n10 = ((8.0_ki)*(t19/t5*t6*spbk4k3-t19*t2/t5*spak2k5*spbk4k2)+(4.0_ki&
      &)*(t19*t14/t1*spak2k5*spbk4k2+t19/t11*t8*spak2k5*spbk4k2-(t19/t11*t3*spbk&
      &4k3+t19/t1*t9*spbk4k3)))
      rat2d61 = 0
      rat2 = rat2 + rat2d61
      abb61n12 = -(abb61n1)
      abb61n13 = abb61n10
      abb61n14 = abb61n9
      abb61n15 = abb61n8
      abb61n16 = abb61n7
      abb61n17 = abb61n6
      abb61n18 = abb61n5
      abb61n19 = abb61n4
      abb61n20 = abb61n3
      abb61n21 = -(abb61n2)
   end subroutine
end module p0_dd_emnebardu_abbrevd61h0
