module     p0_dd_emnebardu_abbrevd65h1
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh1
   implicit none
   private
   complex(ki), public :: abb65n1
   complex(ki), public :: abb65n2
   complex(ki), public :: abb65n3
   complex(ki), public :: abb65n4
   complex(ki), public :: abb65n5
   complex(ki), public :: abb65n6
   complex(ki), public :: abb65n7
   complex(ki), public :: abb65n8
   complex(ki), public :: abb65n9
   complex(ki), public :: abb65n10
   complex(ki), public :: rat2d65
   complex(ki), public :: abb65n12
   complex(ki), public :: abb65n13
   complex(ki), public :: abb65n14
   complex(ki), public :: abb65n15
   complex(ki), public :: abb65n16
   complex(ki), public :: abb65n17
   complex(ki), public :: abb65n18
   complex(ki), public :: abb65n19
   complex(ki), public :: abb65n20
   complex(ki), public :: abb65n21
   complex(ki), public :: abb65n22
   complex(ki), public :: abb65n23
   complex(ki), public :: abb65n24
   complex(ki), public :: abb65n25
   complex(ki), public :: abb65n26
   complex(ki), public :: abb65n27
   complex(ki), public :: abb65n28
   complex(ki), public :: abb65n29
   complex(ki), public :: abb65n30
   complex(ki), public :: abb65n31
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   real(ki) :: t13
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t1 = c1*i_
      t2 = t1*spak1k5*spak3k6
      t13 = TR*TR
      t3 = (es12+es34-(es56+es345))*(es34+wW*mW*i_-mW*mW)
      t4 = NC*NC*t3
      t5 = c2*i_
      t6 = t5*spak1k5*spak3k6
      t7 = NC*t3
      t8 = NC*c2*i_
      t9 = t8*spak1k5*spak3k6
      abb65n1 = ((4.0_ki)*((2.0_ki)*t13*t6/t7*spbk5k2*spbk6k4-(t13/t3*t9*spbk5k2&
      &*spbk6k4+t13*t2/t4*spbk5k2*spbk6k4)))
      t10 = t1*spak1k2*spak3k6
      t11 = t5*spak1k2*spak3k6
      t12 = t8*spak1k2*spak3k6
      abb65n2 = ((4.0_ki)*(t13*(2.0_ki)*t11/t7*spbk4k3*spbk5k2-(t13*t12/t3*spbk4&
      &k3*spbk5k2+t13*t10/t4*spbk4k3*spbk5k2)))
      abb65n3 = ((4.0_ki)*(t13*t10/t4*spbk5k2*spbk6k4+t13*t12/t3*spbk5k2*spbk6k4&
      &-t13*(2.0_ki)*t11/t7*spbk5k2*spbk6k4))
      abb65n4 = ((4.0_ki)*(t13*t2/t4*spbk4k3*spbk5k2+t13/t3*t9*spbk4k3*spbk5k2-(&
      &2.0_ki)*t13*t6/t7*spbk4k3*spbk5k2))
      abb65n5 = ((8.0_ki)*(t13*t5/t7*spak2k3*spak3k6*spbk4k3*spbk5k2-t13*t5/t7*s&
      &pak2k6*spak3k6*spbk5k2*spbk6k4)+(4.0_ki)*(t13*t1/t4*spak2k6*spak3k6*spbk5&
      &k2*spbk6k4+t13/t3*t8*spak2k6*spak3k6*spbk5k2*spbk6k4-(t13/t3*t8*spak2k3*s&
      &pak3k6*spbk4k3*spbk5k2+t13*t1/t4*spak2k3*spak3k6*spbk4k3*spbk5k2)))
      t2 = t5*spak3k6
      t6 = t1*spak3k6
      t9 = t8*spak3k6
      abb65n6 = ((8.0_ki)*(t13*t2/t7*spak5k6*spbk5k2*spbk6k4+t13*t5/t7*spak3k5*s&
      &pak3k6*spbk4k3*spbk5k2)+(4.0_ki)*(-(t13/t3*t8*spak3k5*spak3k6*spbk4k3*spb&
      &k5k2+t13*t1/t4*spak3k5*spak3k6*spbk4k3*spbk5k2+t13/t4*t6*spak5k6*spbk5k2*&
      &spbk6k4+t13/t3*t9*spak5k6*spbk5k2*spbk6k4)))
      t1 = t13/t4*t6*spbk4k3
      t5 = (2.0_ki)*t13*t2/t7*spbk4k3
      t8 = t13/t3*t9*spbk4k3
      abb65n7 = ((8.0_ki)*(t1+t8-t5))
      abb65n8 = ((8.0_ki)*(t5-(t8+t1)))
      t1 = t13/t4*t6*spbk6k4
      t2 = (2.0_ki)*t13*t2/t7*spbk6k4
      t3 = t13/t3*t9*spbk6k4
      abb65n9 = ((8.0_ki)*(t1+t3-t2))
      abb65n10 = ((8.0_ki)*(t2-(t3+t1)))
      rat2d65 = 0
      rat2 = rat2 + rat2d65
      abb65n12 = -(abb65n1)
      abb65n13 = abb65n10
      abb65n14 = abb65n9
      abb65n15 = abb65n8
      abb65n16 = abb65n7
      abb65n17 = abb65n6
      abb65n18 = abb65n5
      abb65n19 = abb65n4
      abb65n20 = abb65n3
      abb65n21 = abb65n2
      abb65n22 = abb65n1
      abb65n23 = -(abb65n2)
      abb65n24 = -(abb65n3)
      abb65n25 = -(abb65n4)
      abb65n26 = -(abb65n5)
      abb65n27 = -(abb65n6)
      abb65n28 = -(abb65n7)
      abb65n29 = -(abb65n8)
      abb65n30 = -(abb65n9)
      abb65n31 = -(abb65n10)
   end subroutine
end module p0_dd_emnebardu_abbrevd65h1
