module     p3_ud_emnebaruu_abbrevd64h0
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh0
   implicit none
   private
   complex(ki), public :: abb64n1
   complex(ki), public :: abb64n2
   complex(ki), public :: abb64n3
   complex(ki), public :: abb64n4
   complex(ki), public :: rat2d64
   complex(ki), public :: abb64n6
   complex(ki), public :: abb64n7
   complex(ki), public :: abb64n8
   complex(ki), public :: abb64n9
   complex(ki), public :: abb64n10
   complex(ki), public :: abb64n11
   complex(ki), public :: abb64n12
   complex(ki), public :: abb64n13
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   real(ki) :: t10
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c2*i_
      t3 = t2*spak2k6*spak3k5*spbk2k1
      t10 = TR*TR
      t4 = es345*t1
      t5 = NC*NC*t4
      t6 = c1*i_
      t7 = t6*spak2k6*spak3k5*spbk2k1
      t1 = es345*NC*t1
      t8 = NC*c1*i_
      t9 = t8*spak2k6*spak3k5*spbk2k1
      abb64n1 = ((4.0_ki)*(t10*(2.0_ki)/t1*t7*spbk5k4-(t10/t4*t9*spbk5k4+t10*t3/&
      &t5*spbk5k4)))
      abb64n2 = ((4.0_ki)*(t10*t3/t5*spbk4k3+t10/t4*t9*spbk4k3-t10*(2.0_ki)/t1*t&
      &7*spbk4k3))
      t2 = t2*spak3k5
      t3 = t6*spak3k5
      t6 = t8*spak3k5
      abb64n3 = ((4.0_ki)*(t10*t2/t5*spbk4k3+t10/t4*t6*spbk4k3-t10*(2.0_ki)/t1*t&
      &3*spbk4k3))
      abb64n4 = ((4.0_ki)*(t10*(2.0_ki)/t1*t3*spbk5k4-(t10/t4*t6*spbk5k4+t10*t2/&
      &t5*spbk5k4)))
      rat2d64 = 0
      rat2 = rat2 + rat2d64
      abb64n6 = -(abb64n1)
      abb64n7 = abb64n4
      abb64n8 = abb64n3
      abb64n9 = abb64n2
      abb64n10 = abb64n1
      abb64n11 = -(abb64n2)
      abb64n12 = -(abb64n3)
      abb64n13 = -(abb64n4)
   end subroutine
end module p3_ud_emnebaruu_abbrevd64h0
