module     p3_ud_emnebaruu_abbrevd67h0
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh0
   implicit none
   private
   complex(ki), public :: abb67n1
   complex(ki), public :: abb67n2
   complex(ki), public :: abb67n3
   complex(ki), public :: abb67n4
   complex(ki), public :: abb67n5
   complex(ki), public :: abb67n6
   complex(ki), public :: abb67n7
   complex(ki), public :: abb67n8
   complex(ki), public :: abb67n9
   complex(ki), public :: abb67n10
   complex(ki), public :: abb67n11
   complex(ki), public :: abb67n12
   complex(ki), public :: abb67n13
   complex(ki), public :: rat2d67
   complex(ki), public :: abb67n15
   complex(ki), public :: abb67n16
   complex(ki), public :: abb67n17
   complex(ki), public :: abb67n18
   complex(ki), public :: abb67n19
   complex(ki), public :: abb67n20
   complex(ki), public :: abb67n21
   complex(ki), public :: abb67n22
   complex(ki), public :: abb67n23
   complex(ki), public :: abb67n24
   complex(ki), public :: abb67n25
   complex(ki), public :: abb67n26
   complex(ki), public :: abb67n27
   complex(ki), public :: abb67n28
   complex(ki), public :: abb67n29
   complex(ki), public :: abb67n30
   complex(ki), public :: abb67n31
   complex(ki), public :: abb67n32
   complex(ki), public :: abb67n33
   complex(ki), public :: abb67n34
   complex(ki), public :: abb67n35
   complex(ki), public :: abb67n36
   complex(ki), public :: abb67n37
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   complex(ki) :: t49
   complex(ki) :: t50
   complex(ki) :: t51
   complex(ki) :: t52
   complex(ki) :: t53
   complex(ki) :: t54
   complex(ki) :: t55
   complex(ki) :: t56
   complex(ki) :: t57
   complex(ki) :: t58
   complex(ki) :: t59
   complex(ki) :: t60
   complex(ki) :: t61
   complex(ki) :: t62
   complex(ki) :: t63
   complex(ki) :: t64
   real(ki) :: t65
   real(ki) :: t66
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c2*i_
      t3 = t2*spak2k3
      t4 = t3*spak5k6
      t65 = TR*TR
      t5 = t65*t4*spbk2k1*spbk4k2
      t6 = es234*t1
      t7 = es61*t6
      t8 = t5/t7
      t9 = t2*spak3k4
      t10 = t9*spak5k6
      t11 = t65*t10*spbk4k1*spbk4k2
      t12 = t11/t7
      t13 = t2*spak3k5
      t14 = t13*spak3k6
      t15 = t65*t14*spbk2k1*spbk4k3
      t16 = es345*t1
      t17 = es61*t16
      t18 = t15/t17
      t19 = t13*spak5k6
      t20 = t65*t19*spbk2k1*spbk5k4
      t21 = t20/t17
      t66 = NC*NC
      t22 = t66*t7
      t23 = t5/t22
      t24 = t11/t22
      t25 = t66*t17
      t26 = t15/t25
      t27 = t20/t25
      t28 = c1*i_
      t29 = t28*spak2k3
      t30 = t29*spak5k6
      t31 = t65*t30*spbk2k1*spbk4k2
      t1 = NC*t1
      t32 = es234*t1
      t33 = es61*t32
      t34 = t31/t33
      t35 = t28*spak3k4
      t36 = t35*spak5k6
      t37 = t65*t36*spbk4k1*spbk4k2
      t38 = t37/t33
      t39 = t28*spak3k5
      t40 = t39*spak3k6
      t41 = t65*t40*spbk2k1*spbk4k3
      t1 = es345*t1
      t42 = es61*t1
      t43 = t41/t42
      t44 = t39*spak5k6
      t45 = t65*t44*spbk2k1*spbk5k4
      t46 = t45/t42
      t47 = NC*c1*i_
      t48 = t47*spak2k3*spak5k6
      t49 = t65*t48/t7*spbk2k1*spbk4k2
      t50 = t47*spak3k4*spak5k6
      t51 = t65*t50/t7*spbk4k1*spbk4k2
      t52 = t47*spak3k5
      t53 = t52*spak3k6
      t54 = t65*t53/t17*spbk2k1*spbk4k3
      t55 = t52*spak5k6
      t56 = t65*t55/t17*spbk2k1*spbk5k4
      t57 = t12+t21+t26+t34+t38+t46+t54+t8-(t56+t51+t49+t43+t27+t24+t23+t18)
      abb67n1 = ((2.0_ki)*t57)
      t58 = t65*t13/t7*spbk4k2
      t59 = t65*t52/t7*spbk4k2
      abb67n2 = ((8.0_ki)*(t58-t59))
      abb67n3 = ((8.0_ki)*(t59-t58))
      abb67n4 = ((4.0_ki)*(t65*t52/t7*spbk3k2+t65*t47/t7*spak4k5*spbk4k2-(t65*t2&
      &/t7*spak4k5*spbk4k2+t65*t13/t7*spbk3k2)))
      t58 = t2*spak1k6
      t59 = t58*spak3k5*spbk2k1
      t60 = t65*t59*spbk4k3
      t28 = t28*spak1k6
      t61 = t28*spak3k5*spbk2k1
      t62 = t47*spak1k6
      t63 = t62*spak3k5*spbk2k1
      abb67n5 = ((4.0_ki)*(t60/t25+t65*t63/t17*spbk4k3-(t65*t61/t42*spbk4k3+t60/&
      &t17)))
      t60 = t65*t13*spbk4k3
      t64 = t65*t52*spbk4k3
      abb67n6 = ((4.0_ki)*(t64/t17+t64/t7+t65*t39/t42*spbk4k3+t65*t2/t7*spak2k5*&
      &spbk4k2-(t65*t47/t7*spak2k5*spbk4k2+t60/t7+t60/t25+t60/t17)))
      t6 = t66*t6
      t16 = t66*t16
      abb67n7 = ((4.0_ki)*(t45/t1+t15/t16+t31/t32+t37/t32-(t5/t6+t20/t16+t11/t6+&
      &t41/t1)))
      t1 = t65*t58*spak2k3*spbk2k1*spbk4k2
      t5 = t65*t58*spak3k4*spbk4k1*spbk4k2
      t6 = t65*t59*spbk5k4
      abb67n8 = ((4.0_ki)*(t1/t7+t6/t17+t5/t7+t65*t61/t42*spbk5k4+t65*t28/t33*sp&
      &ak2k3*spbk2k1*spbk4k2+t65*t28/t33*spak3k4*spbk4k1*spbk4k2-(t65*t62/t7*spa&
      &k3k4*spbk4k1*spbk4k2+t65*t62/t7*spak2k3*spbk2k1*spbk4k2+t65*t63/t17*spbk5&
      &k4+t6/t25+t5/t22+t1/t22)))
      abb67n9 = ((4.0_ki)*(t18+t23+t24+t27+t43+t49+t51+t56-(t8+t54+t46+t38+t34+t&
      &26+t21+t12)))
      abb67n10 = ((8.0_ki)*t57)
      t1 = t65*t13*spbk5k4
      abb67n11 = ((4.0_ki)*(t1/t17+t1/t25+t65*t3/t22*spbk4k2-(t65*t39/t42*spbk5k&
      &4+t65*t29/t33*spbk4k2+t65*t52/t17*spbk5k4)))
      t1 = t65*t4*spbk4k2*spbk6k2
      t3 = t65*t10*spbk4k2*spbk6k4
      t4 = t65*t14*spbk4k3*spbk6k2
      t5 = t65*t19*spbk5k4*spbk6k2
      t6 = t2*spak1k5
      t8 = t47*spak1k5
      abb67n12 = ((4.0_ki)*(t4/t25+t65*t30/t33*spbk4k2*spbk6k2+t65*t36/t33*spbk4&
      &k2*spbk6k4+t65*t44/t42*spbk5k4*spbk6k2-(t65*t40/t42*spbk4k3*spbk6k2+t5/t2&
      &5+t3/t22+t1/t22))+(2.0_ki)*(t1/t7+t5/t17+t3/t7+t65*t53/t17*spbk4k3*spbk6k&
      &2+t65/t17*t8*spak3k5*spbk2k1*spbk5k4+t65/t7*t8*spak2k3*spbk2k1*spbk4k2+t6&
      &5/t7*t8*spak3k4*spbk4k1*spbk4k2+t65*t2/t17*spak1k3*spak3k5*spbk2k1*spbk4k&
      &3-(t65*t47/t17*spak1k3*spak3k5*spbk2k1*spbk4k3+t65*t6/t7*spak3k4*spbk4k1*&
      &spbk4k2+t65*t6/t7*spak2k3*spbk2k1*spbk4k2+t65*t6/t17*spak3k5*spbk2k1*spbk&
      &5k4+t65*t50/t7*spbk4k2*spbk6k4+t65*t48/t7*spbk4k2*spbk6k2+t65*t55/t17*spb&
      &k5k4*spbk6k2+t4/t17)))
      abb67n13 = ((4.0_ki)*(t65/t22*t9*spbk4k2-t65*t35/t33*spbk4k2))
      rat2d67 = abb67n1
      rat2 = rat2 + rat2d67
      abb67n15 = abb67n7
      abb67n16 = abb67n13
      abb67n17 = abb67n12
      abb67n18 = abb67n11
      abb67n19 = abb67n10
      abb67n20 = abb67n9
      abb67n21 = abb67n8
      abb67n22 = abb67n6
      abb67n23 = abb67n5
      abb67n24 = abb67n4
      abb67n25 = abb67n3
      abb67n26 = abb67n2
      abb67n27 = -(abb67n2)
      abb67n28 = -(abb67n3)
      abb67n29 = -(abb67n4)
      abb67n30 = -(abb67n5)
      abb67n31 = -(abb67n6)
      abb67n32 = -(abb67n8)
      abb67n33 = (-2.0_ki)*abb67n9
      abb67n34 = -(abb67n10)
      abb67n35 = -(abb67n11)
      abb67n36 = -(abb67n12)
      abb67n37 = -(abb67n13)
   end subroutine
end module p3_ud_emnebaruu_abbrevd67h0
