module     p3_ud_emnebaruu_d6h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p3_ud_emnebaruu/helicity0/d6h0l1d.f90
   ! generator: haggies (1.1)
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d6
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p3_ud_emnebaruu_globalsl1, only: epspow
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_abbrevd6h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      real(ki) :: t21
      real(ki) :: t22
      real(ki) :: t23
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift(:) = 0.0_ki
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      if(deg.eq.0) then
         numerator = abb6n32
         return
      end if
      t1 = k1(iv1)
      t2 = k5(iv1)
      t3 = k6(iv1)
      t4 = spvak3k2(iv1)
      t5 = spvak3k4(iv1)
      t6 = spvak5k2(iv1)
      t7 = spvak6k1(iv1)
      t8 = spvak6k2(iv1)
      if(deg.eq.1) then
         numerator = (t1*abb6n52+t2*abb6n56+t3*abb6n51+t4*abb6n58+t5*abb6n50+t6*&
         &abb6n55+t7*abb6n59+t8*abb6n57)
         return
      end if
      t21 = d(iv1,iv2)
      t9 = spvak3k2(iv2)
      t10 = spvak5k1(iv2)
      t11 = spvak6k2(iv2)
      t12 = k1(iv2)
      t13 = spvak5k1(iv1)
      t14 = spvak3k4(iv2)
      t15 = spvak6k1(iv2)
      t16 = k5(iv2)
      t17 = k6(iv2)
      t18 = spvak5k2(iv2)
      t19 = t18*t5
      t20 = t14*t6
      if(deg.eq.2) then
         numerator = (t19*abb6n41+t20*abb6n41+(2.0_ki)*t21*abb6n47+spvak1k2(iv1)&
         &*t15*abb6n45+spvak1k2(iv2)*t7*abb6n45+spvak5k6(iv1)*t15*abb6n38+spvak5&
         &k6(iv2)*t7*abb6n38+t1*t10*abb6n39+t1*t11*abb6n44+t1*t9*abb6n42+t10*t2*&
         &abb6n37+t10*t3*abb6n37+t10*t5*abb6n36+t10*t7*abb6n48+t11*t2*abb6n46+t1&
         &1*t3*abb6n46+t11*t7*abb6n34+t12*t13*abb6n39+t12*t4*abb6n42+t12*t8*abb6&
         &n44+t13*t14*abb6n36+t13*t15*abb6n48+t13*t16*abb6n37+t13*t17*abb6n37+t1&
         &4*t2*abb6n49+t15*t2*abb6n40+t15*t4*abb6n33+t15*t6*abb6n35+t15*t8*abb6n&
         &34+t16*t4*abb6n43+t16*t5*abb6n49+t16*t7*abb6n40+t16*t8*abb6n46+t17*t4*&
         &abb6n43+t17*t8*abb6n46+t18*t7*abb6n35+t2*t9*abb6n43+t3*t9*abb6n43+t7*t&
         &9*abb6n33)
         return
      end if
      t22 = d(iv2,iv3)
      t23 = d(iv1,iv3)
      t1 = spvak6k1(iv3)
      t2 = spvak5k2(iv3)
      t3 = spvak3k4(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak3k2(iv3)*t21*abb6n54+spvak5k1(iv3)*t21*abb6&
         &n61+spvak6k2(iv3)*t21*abb6n53+t1*t21*abb6n60+t10*t23*abb6n61+t11*t23*a&
         &bb6n53+t13*t22*abb6n61+t15*t23*abb6n60+t22*t4*abb6n54+t22*t7*abb6n60+t&
         &22*t8*abb6n53+t23*t9*abb6n54)+t1*t19*abb6n62+t1*t20*abb6n62+t14*t2*t7*&
         &abb6n62+t15*t2*t5*abb6n62+t15*t3*t6*abb6n62+t18*t3*t7*abb6n62)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d6:
   subroutine     reconstruct_d6(coeffs)
      use p3_ud_emnebaruu_groups, only: tensrec_info_group4
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group4), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_6:
      coeffs%coeffs_6%c0 = derivative(czip)
      coeffs%coeffs_6%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_6%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_6%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_6%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_6%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_6%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_6%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_6%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_6%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_6%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_6%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_6%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_6%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_6%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_6%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_6%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_6%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_6%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_6%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_6%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_6%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_6%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_6%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_6%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_6%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_6%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_6%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_6%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_6%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_6%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_6%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_6%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_6%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_6%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_6:
   end subroutine reconstruct_d6
!---#] subroutine reconstruct_d6:
end module p3_ud_emnebaruu_d6h0l1d
