module     p3_ud_emnebaruu_abbrevd56h1
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh1
   implicit none
   private
   complex(ki), public :: abb56n1
   complex(ki), public :: abb56n2
   complex(ki), public :: abb56n3
   complex(ki), public :: abb56n4
   complex(ki), public :: abb56n5
   complex(ki), public :: abb56n6
   complex(ki), public :: abb56n7
   complex(ki), public :: abb56n8
   complex(ki), public :: abb56n9
   complex(ki), public :: abb56n10
   complex(ki), public :: abb56n11
   complex(ki), public :: abb56n12
   complex(ki), public :: abb56n13
   complex(ki), public :: abb56n14
   complex(ki), public :: abb56n15
   complex(ki), public :: abb56n16
   complex(ki), public :: abb56n17
   complex(ki), public :: abb56n18
   complex(ki), public :: abb56n19
   complex(ki), public :: abb56n20
   complex(ki), public :: abb56n21
   complex(ki), public :: abb56n22
   complex(ki), public :: abb56n23
   complex(ki), public :: abb56n24
   complex(ki), public :: abb56n25
   complex(ki), public :: abb56n26
   complex(ki), public :: abb56n27
   complex(ki), public :: abb56n28
   complex(ki), public :: rat2d56
   complex(ki), public :: abb56n30
   complex(ki), public :: abb56n31
   complex(ki), public :: abb56n32
   complex(ki), public :: abb56n33
   complex(ki), public :: abb56n34
   complex(ki), public :: abb56n35
   complex(ki), public :: abb56n36
   complex(ki), public :: abb56n37
   complex(ki), public :: abb56n38
   complex(ki), public :: abb56n39
   complex(ki), public :: abb56n40
   complex(ki), public :: abb56n41
   complex(ki), public :: abb56n42
   complex(ki), public :: abb56n43
   complex(ki), public :: abb56n44
   complex(ki), public :: abb56n45
   complex(ki), public :: abb56n46
   complex(ki), public :: abb56n47
   complex(ki), public :: abb56n48
   complex(ki), public :: abb56n49
   complex(ki), public :: abb56n50
   complex(ki), public :: abb56n51
   complex(ki), public :: abb56n52
   complex(ki), public :: abb56n53
   complex(ki), public :: abb56n54
   complex(ki), public :: abb56n55
   complex(ki), public :: abb56n56
   complex(ki), public :: abb56n57
   complex(ki), public :: abb56n58
   complex(ki), public :: abb56n59
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   real(ki) :: t17
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c2*i_
      t3 = t2*spak1k2
      t17 = TR*TR
      t4 = NC*t1
      t5 = t2*spak1k3
      t6 = c1*i_
      t7 = t6*spak1k2
      t8 = NC*NC*t1
      t9 = t6*spak1k3
      t10 = NC*c2*i_
      t11 = t10*spak1k2
      t12 = t10*spak1k3
      abb56n1 = ((8.0_ki)*(-(t17/t4*t5*spak1k5*spbk5k2*spbk5k4+t17*t3/t4*spak1k3&
      &*spbk4k2*spbk5k2))+(4.0_ki)*(t17*t11/t1*spak1k3*spbk4k2*spbk5k2+t17*t12/t&
      &1*spak1k5*spbk5k2*spbk5k4+t17*t7/t8*spak1k3*spbk4k2*spbk5k2+t17/t8*t9*spa&
      &k1k5*spbk5k2*spbk5k4))
      abb56n2 = ((4.0_ki)*((2.0_ki)*t17*t3/t4*spbk5k2-(t17*t7/t8*spbk5k2+t17*t11&
      &/t1*spbk5k2)))
      t13 = t17/t8*t9*spbk4k2
      t14 = (2.0_ki)*t17/t4*t5*spbk4k2
      t15 = t17*t12/t1*spbk4k2
      abb56n3 = ((8.0_ki)*(t13+t15-t14))
      abb56n4 = ((4.0_ki)*(t14-(t15+t13)))
      abb56n5 = ((16.0_ki)*(-(t17/t4*t5*spak5k6*spbk5k2*spbk5k4+t17/t4*t5*spak2k&
      &6*spbk4k2*spbk5k2))+(8.0_ki)*(t17*t12/t1*spak2k6*spbk4k2*spbk5k2+t17*t12/&
      &t1*spak5k6*spbk5k2*spbk5k4+t17/t8*t9*spak2k6*spbk4k2*spbk5k2+t17/t8*t9*sp&
      &ak5k6*spbk5k2*spbk5k4))
      t13 = t17/t8*t9*spbk5k2
      t14 = (2.0_ki)*t17/t4*t5*spbk5k2
      t15 = t17*t12/t1*spbk5k2
      t16 = t13+t15-t14
      abb56n6 = ((8.0_ki)*t16)
      abb56n7 = ((4.0_ki)*t16)
      abb56n8 = ((8.0_ki)*(t14-(t15+t13)))
      t9 = t17/t8*t9*spbk5k4
      t5 = (2.0_ki)*t17/t4*t5*spbk5k4
      t12 = t17*t12/t1*spbk5k4
      abb56n9 = ((8.0_ki)*(t12+t9-t5))
      abb56n10 = ((4.0_ki)*(t5-(t9+t12)))
      t5 = t2*spak1k5
      t9 = t6*spak1k5
      t12 = t10*spak1k5
      abb56n11 = ((16.0_ki)*(-(t17/t4*t5*spak3k6*spbk5k2*spbk5k4+t17*t3/t4*spak3&
      &k6*spbk4k2*spbk5k2))+(8.0_ki)*(t17*t11/t1*spak3k6*spbk4k2*spbk5k2+t17*t12&
      &/t1*spak3k6*spbk5k2*spbk5k4+t17*t7/t8*spak3k6*spbk4k2*spbk5k2+t17/t8*t9*s&
      &pak3k6*spbk5k2*spbk5k4))
      abb56n12 = ((4.0_ki)*(t17*t12/t1*spbk5k2+t17/t8*t9*spbk5k2-(2.0_ki)*t17/t4&
      &*t5*spbk5k2))
      t3 = t17*t6/t8*spak2k3*spbk5k2
      t5 = (2.0_ki)*t17*t2/t4*spak2k3*spbk5k2
      t7 = t17*t10/t1*spak2k3*spbk5k2
      abb56n13 = ((4.0_ki)*(t3+t7-t5))
      abb56n14 = ((4.0_ki)*(t5-(t7+t3)))
      t3 = t6*spak3k6
      t5 = t17*t3/t8*spbk4k2
      t7 = t2*spak3k6
      t9 = (2.0_ki)*t17/t4*t7*spbk4k2
      t11 = t10*spak3k6
      t12 = t17*t11/t1*spbk4k2
      abb56n15 = ((4.0_ki)*(t12+t5-t9))
      abb56n16 = ((8.0_ki)*(t9-(t5+t12)))
      t5 = t6*spak2k6
      t9 = t2*spak2k6
      t12 = t10*spak2k6
      abb56n17 = ((4.0_ki)*((2.0_ki)*t17/t4*t9*spbk5k2-(t17*t5/t8*spbk5k2+t17*t1&
      &2/t1*spbk5k2)))
      t13 = t17*t6/t8*spak3k5*spbk5k2
      t14 = (2.0_ki)*t17*t2/t4*spak3k5*spbk5k2
      t15 = t17*t10/t1*spak3k5*spbk5k2
      abb56n18 = ((4.0_ki)*(t13+t15-t14))
      abb56n19 = ((4.0_ki)*(t14-(t15+t13)))
      abb56n20 = ((8.0_ki)*(-(t17/t4*t9*spak3k6*spbk4k2*spbk5k2+t17/t4*t7*spak5k&
      &6*spbk5k2*spbk5k4))+(4.0_ki)*(t17*t11/t1*spak5k6*spbk5k2*spbk5k4+t17*t12/&
      &t1*spak3k6*spbk4k2*spbk5k2+t17*t3/t8*spak5k6*spbk5k2*spbk5k4+t17*t5/t8*sp&
      &ak3k6*spbk4k2*spbk5k2))
      t5 = t17*t3/t8*spbk5k2
      t9 = (2.0_ki)*t17/t4*t7*spbk5k2
      t12 = t17*t11/t1*spbk5k2
      t13 = t12+t5-t9
      abb56n21 = ((8.0_ki)*t13)
      abb56n22 = ((4.0_ki)*t13)
      abb56n23 = ((8.0_ki)*(t9-(t5+t12)))
      abb56n24 = ((4.0_ki)*(t17*t10/t1*spak5k6*spbk5k2+t17*t6/t8*spak5k6*spbk5k2&
      &-(2.0_ki)*t17*t2/t4*spak5k6*spbk5k2))
      t3 = t17*t3/t8*spbk5k4
      t5 = (2.0_ki)*t17/t4*t7*spbk5k4
      t7 = t17*t11/t1*spbk5k4
      abb56n25 = ((4.0_ki)*(t3+t7-t5))
      abb56n26 = ((8.0_ki)*(t5-(t7+t3)))
      t3 = t17*t6/t8
      t2 = (2.0_ki)*t17*t2/t4
      t1 = t17*t10/t1
      abb56n27 = ((8.0_ki)*(t1+t3-t2))
      abb56n28 = ((8.0_ki)*(t2-(t3+t1)))
      rat2d56 = 0
      rat2 = rat2 + rat2d56
      abb56n30 = -(abb56n1)
      abb56n31 = abb56n26
      abb56n32 = abb56n25
      abb56n33 = abb56n24
      abb56n34 = abb56n23
      abb56n35 = abb56n21
      abb56n36 = abb56n19
      abb56n37 = abb56n18
      abb56n38 = abb56n17
      abb56n39 = abb56n16
      abb56n40 = abb56n15
      abb56n41 = abb56n14
      abb56n42 = abb56n13
      abb56n43 = abb56n12
      abb56n44 = abb56n10
      abb56n45 = abb56n9
      abb56n46 = abb56n8
      abb56n47 = abb56n6
      abb56n48 = abb56n4
      abb56n49 = abb56n3
      abb56n50 = abb56n2
      abb56n51 = -(abb56n5)
      abb56n52 = -(abb56n7)
      abb56n53 = (-2.0_ki)*abb56n7
      abb56n54 = -(abb56n11)
      abb56n55 = -(abb56n20)
      abb56n56 = -(abb56n22)
      abb56n57 = (-2.0_ki)*abb56n22
      abb56n58 = -(abb56n27)
      abb56n59 = -(abb56n28)
   end subroutine
end module p3_ud_emnebaruu_abbrevd56h1
