module     p7_dubar_emnebargg_d25h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p7_dubar_emnebargg/helicity0/d25h0l1d.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d25
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd25h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      real(ki) :: t32
      real(ki) :: t33
      real(ki) :: t34
      real(ki) :: t35
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k3+k2-k6-k4
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t1 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t32 = dotproduct(qshift, qshift)
      t2 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t33 = dotproduct(k2, qshift)
      t3 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t4 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t5 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t6 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t34 = dotproduct(k6, qshift)
      t7 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t8 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t9 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t35 = dotproduct(k1, qshift)
      if(deg.eq.0) then
         numerator = (t1*abb25n24+t2*abb25n55+t3*abb25n60+t32*abb25n45+t33*abb25&
         &n59+t4*abb25n73+t1*t6*abb25n28+t2*t6*abb25n31+t3*t6*abb25n38+t32*t4*ab&
         &b25n71+t32*t5*abb25n53+t32*t8*abb25n49+t32*t9*abb25n63+t33*t6*abb25n39&
         &+t34*t4*abb25n29+t34*t5*abb25n43+t34*t9*abb25n35+t35*t6*abb25n40+t4*t6&
         &*abb25n30+t5*t6*abb25n26+t6*t9*abb25n33+t7*t8*abb25n32+t2*t6*t8*abb25n&
         &75)
         return
      end if
      t10 = k2(iv1)
      t11 = qshift(iv1)
      t12 = spvak2k1(iv1)
      t13 = spvak2k5(iv1)
      t14 = spvak5k1(iv1)
      t15 = spvak6k1(iv1)
      t16 = k1(iv1)
      t17 = k6(iv1)
      t18 = spvak2k4(iv1)
      t19 = spvak2k6(iv1)
      t20 = spvak3k1(iv1)
      t21 = spvak3k4(iv1)
      t22 = spvak5k6(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb25n37+t11*abb25n47+t12*abb25n41+t13*abb25n36+t14*ab&
         &b25n27+t15*abb25n46+t1*t22*abb25n71+t10*t6*abb25n57+t11*t4*abb25n70+t1&
         &1*t5*abb25n52+t11*t8*abb25n48+t11*t9*abb25n62+t12*t6*abb25n67+t13*t6*a&
         &bb25n58+t14*t32*abb25n28+t14*t34*abb25n69+t14*t6*abb25n68+t15*t6*abb25&
         &n71+t16*t6*abb25n56+t17*t4*abb25n69+t17*t5*abb25n51+t17*t9*abb25n61+t1&
         &8*t32*abb25n34+t18*t34*abb25n61+t18*t6*abb25n65+t19*t8*abb25n66+t2*t22&
         &*abb25n67+t20*t32*abb25n42+t20*t34*abb25n51+t20*t6*abb25n74+t21*t32*ab&
         &b25n44+t21*t7*abb25n66+t22*t3*abb25n58+t22*t33*abb25n57+t22*t35*abb25n&
         &56+t22*t4*abb25n68+t22*t5*abb25n74+t22*t9*abb25n65+t12*t6*t8*abb25n25+&
         &t2*t21*t6*abb25n25+t2*t22*t8*abb25n25)
         return
      end if
      t32 = d(iv1,iv2)
      t1 = spvak5k6(iv2)
      t3 = spvak2k4(iv2)
      t7 = spvak3k1(iv2)
      t23 = spvak5k1(iv2)
      t24 = k6(iv2)
      t25 = spvak3k4(iv2)
      t26 = qshift(iv2)
      t27 = t1*t12
      t28 = spvak2k1(iv2)
      t29 = t22*t28
      t30 = t12*t25
      t31 = t21*t28
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t32*abb25n45+t32*t4*abb25n71+t32*t5*abb25n53+t32&
         &*t8*abb25n49+t32*t9*abb25n63)+t27*abb25n31+t29*abb25n31+k1(iv2)*t22*ab&
         &b25n40+k2(iv2)*t22*abb25n39+spvak2k5(iv2)*t22*abb25n38+spvak2k6(iv2)*t&
         &21*abb25n32+spvak6k1(iv2)*t22*abb25n28+t1*t10*abb25n39+t1*t13*abb25n38&
         &+t1*t14*abb25n30+t1*t15*abb25n28+t1*t16*abb25n40+t1*t18*abb25n33+t1*t2&
         &0*abb25n26+t11*t23*abb25n72+t11*t25*abb25n50+t11*t3*abb25n64+t11*t7*ab&
         &b25n54+t14*t24*abb25n29+t14*t26*abb25n72+t17*t23*abb25n29+t17*t3*abb25&
         &n35+t17*t7*abb25n43+t18*t24*abb25n35+t18*t26*abb25n64+t19*t25*abb25n32&
         &+t20*t24*abb25n43+t20*t26*abb25n54+t21*t26*abb25n50+t22*t23*abb25n30+t&
         &22*t3*abb25n33+t22*t7*abb25n26+t27*t8*abb25n75+t29*t8*abb25n75+t30*t6*&
         &abb25n75+t31*t6*abb25n75+t1*t2*t21*abb25n75+t2*t22*t25*abb25n75)
         return
      end if
      t33 = d(iv2,iv3)
      t34 = d(iv1,iv3)
      t2 = spvak3k4(iv3)
      t4 = spvak5k6(iv3)
      t5 = spvak2k1(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k4(iv3)*t32*abb25n34+spvak3k1(iv3)*t32*abb&
         &25n42+spvak5k1(iv3)*t32*abb25n28+t14*t33*abb25n28+t18*t33*abb25n34+t2*&
         &t32*abb25n44+t20*t33*abb25n42+t21*t33*abb25n44+t23*t34*abb25n28+t25*t3&
         &4*abb25n44+t3*t34*abb25n34+t34*t7*abb25n42)+t30*t4*abb25n25+t31*t4*abb&
         &25n25+t1*t12*t2*abb25n25+t1*t21*t5*abb25n25+t2*t22*t28*abb25n25+t22*t2&
         &5*t5*abb25n25)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d25:
   subroutine     reconstruct_d25(coeffs)
      use p7_dubar_emnebargg_groups, only: tensrec_info_group5
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group5), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_25:
      coeffs%coeffs_25%c0 = derivative(czip)
      coeffs%coeffs_25%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_25%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_25%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_25%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_25%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_25%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_25%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_25%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_25%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_25%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_25%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_25%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_25%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_25%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_25%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_25%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_25%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_25%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_25%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_25%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_25%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_25%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_25%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_25%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_25%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_25%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_25%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_25%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_25%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_25%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_25%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_25%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_25%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_25%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_25:
   end subroutine reconstruct_d25
!---#] subroutine reconstruct_d25:
end module p7_dubar_emnebargg_d25h0l1d
