module     p0_dd_emnebardu_abbrevd19h1
   use p0_dd_emnebardu_config, only: ki
   use p0_dd_emnebardu_globalsh1
   implicit none
   private
   complex(ki), public :: abb19n1
   complex(ki), public :: abb19n2
   complex(ki), public :: abb19n3
   complex(ki), public :: abb19n4
   complex(ki), public :: abb19n5
   complex(ki), public :: abb19n6
   complex(ki), public :: abb19n7
   complex(ki), public :: abb19n8
   complex(ki), public :: abb19n9
   complex(ki), public :: abb19n10
   complex(ki), public :: abb19n11
   complex(ki), public :: abb19n12
   complex(ki), public :: abb19n13
   complex(ki), public :: abb19n14
   complex(ki), public :: abb19n15
   complex(ki), public :: abb19n16
   complex(ki), public :: rat2d19
   complex(ki), public :: abb19n18
   complex(ki), public :: abb19n19
   complex(ki), public :: abb19n20
   complex(ki), public :: abb19n21
   complex(ki), public :: abb19n22
   complex(ki), public :: abb19n23
   complex(ki), public :: abb19n24
   complex(ki), public :: abb19n25
   complex(ki), public :: abb19n26
   complex(ki), public :: abb19n27
   complex(ki), public :: abb19n28
   complex(ki), public :: abb19n29
   complex(ki), public :: abb19n30
   complex(ki), public :: abb19n31
   complex(ki), public :: abb19n32
   complex(ki), public :: abb19n33
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   complex(ki) :: t49
   complex(ki) :: t50
   complex(ki) :: t51
   complex(ki) :: t52
   complex(ki) :: t53
   complex(ki) :: t54
   real(ki) :: t55
   real(ki) :: t56
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p0_dd_emnebardu_config, only: deltaOS
      use p0_dd_emnebardu_kinematics
      use p0_dd_emnebardu_model
      use p0_dd_emnebardu_color, only: TR
      use p0_dd_emnebardu_globalsl1, only: epspow
      implicit none
      t55 = es234-(es61+es56)
      t1 = es34+wW*mW*i_-mW*mW
      t2 = Nfrat*c2
      t3 = t2*i_
      t4 = t3*spak1k6
      t5 = t4*spak2k3
      t6 = t5*spbk4k2
      t56 = TR*TR
      t7 = t56*t6*spbk5k2
      t55 = t55*t55
      t8 = t55*t1
      t9 = t4*spak3k4
      t10 = t9*spbk4k2
      t11 = t56*t10*spbk5k4
      t12 = Nfrat*c1
      t13 = t12*i_
      t14 = t13*spak1k6
      t15 = t14*spak2k3
      t16 = t15*spbk4k2
      t17 = t56*t16*spbk5k2
      t18 = NC*t1
      t19 = t55*t18
      t20 = t14*spak3k4
      t21 = t20*spbk4k2
      t22 = t56*t21*spbk5k4
      t23 = es234*t2*i_
      t24 = (es12+es34-(es56+es345))*t1
      t25 = t55*t24
      t26 = es56*t2*i_
      t27 = t26*spak1k6
      t2 = es61*t2*i_
      t28 = t2*spak1k6
      t1 = es234*t55*t1
      t29 = es234*t12*i_
      t24 = NC*t55*t24
      t30 = es56*t12*i_
      t31 = t30*spak1k6
      t12 = es61*t12*i_
      t32 = t12*spak1k6
      t18 = es234*t55*t18
      t33 = c1*i_
      t34 = t33*spak1k6
      t35 = t34*spak2k3
      t36 = t56*t35*spbk4k2*spbk5k2
      t37 = t34*spak3k4
      t38 = t56*t37*spbk4k2*spbk5k4
      t39 = NC*c2
      t40 = t39*i_
      t41 = t40*spak1k6
      t42 = t41*spak2k3
      t43 = t56*t42*spbk4k2*spbk5k2
      t44 = t41*spak3k4
      t45 = t56*t44*spbk4k2*spbk5k4
      t46 = es234*c1*i_
      t47 = es56*c1*i_
      t48 = t47*spak1k6
      t49 = es61*c1*i_
      t50 = t49*spak1k6
      t51 = es234*t39*i_
      t52 = es56*t39*i_
      t53 = t52*spak1k6
      t39 = es61*t39*i_
      t54 = t39*spak1k6
      t39 = t36/t8+t38/t8+t56*t53/t1*spak2k3*spbk4k2*spbk5k2+t56*t53/t1*spak3k4*&
      &spbk4k2*spbk5k4+t56*t54/t1*spak2k3*spbk4k2*spbk5k2+t56*t54/t1*spak3k4*spb&
      &k4k2*spbk5k4+t56*t53/t25*spak3k6*spbk5k2*spbk6k4+t56*t54/t25*spak3k6*spbk&
      &5k2*spbk6k4+t56*t46/t25*spak1k6*spak3k6*spbk5k2*spbk6k4+t56*t47/t25*spak1&
      &k3*spak3k6*spbk4k3*spbk5k2+t56*t49/t25*spak1k3*spak3k6*spbk4k3*spbk5k2+t5&
      &6*t51/t25*spak1k3*spak3k6*spbk4k3*spbk5k2-(t56*t52/t25*spak1k3*spak3k6*sp&
      &bk4k3*spbk5k2+t56*t51/t25*spak1k6*spak3k6*spbk5k2*spbk6k4+t56*t46/t25*spa&
      &k1k3*spak3k6*spbk4k3*spbk5k2+t56*t39/t25*spak1k3*spak3k6*spbk4k3*spbk5k2+&
      &t56*t50/t25*spak3k6*spbk5k2*spbk6k4+t56*t48/t25*spak3k6*spbk5k2*spbk6k4+t&
      &56*t50/t1*spak3k4*spbk4k2*spbk5k4+t56*t50/t1*spak2k3*spbk4k2*spbk5k2+t56*&
      &t48/t1*spak3k4*spbk4k2*spbk5k4+t56*t48/t1*spak2k3*spbk4k2*spbk5k2+t45/t8+&
      &t43/t8)
      abb19n1 = ((20.0_ki/3.0_ki)*(t17/t19+t22/t19+t56*t27/t1*spak2k3*spbk4k2*sp&
      &bk5k2+t56*t27/t1*spak3k4*spbk4k2*spbk5k4+t56*t28/t1*spak2k3*spbk4k2*spbk5&
      &k2+t56*t28/t1*spak3k4*spbk4k2*spbk5k4+t56*t27/t25*spak3k6*spbk5k2*spbk6k4&
      &+t56*t28/t25*spak3k6*spbk5k2*spbk6k4+t56*t12/t24*spak1k3*spak3k6*spbk4k3*&
      &spbk5k2+t56*t23/t25*spak1k3*spak3k6*spbk4k3*spbk5k2+t56*t29/t24*spak1k6*s&
      &pak3k6*spbk5k2*spbk6k4+t56*t30/t24*spak1k3*spak3k6*spbk4k3*spbk5k2-(t56*t&
      &26/t25*spak1k3*spak3k6*spbk4k3*spbk5k2+t56*t29/t24*spak1k3*spak3k6*spbk4k&
      &3*spbk5k2+t56*t23/t25*spak1k6*spak3k6*spbk5k2*spbk6k4+t56*t2/t25*spak1k3*&
      &spak3k6*spbk4k3*spbk5k2+t56*t32/t24*spak3k6*spbk5k2*spbk6k4+t56*t31/t24*s&
      &pak3k6*spbk5k2*spbk6k4+t56*t32/t18*spak3k4*spbk4k2*spbk5k4+t56*t32/t18*sp&
      &ak2k3*spbk4k2*spbk5k2+t56*t31/t18*spak3k4*spbk4k2*spbk5k4+t56*t31/t18*spa&
      &k2k3*spbk4k2*spbk5k2+t7/t8+t11/t8))+(2.0_ki/3.0_ki)*t39)
      t2 = t3*spak1k5
      t8 = t2*spak3k6
      t12 = t13*spak1k5
      t19 = t12*spak3k6
      abb19n2 = ((20.0_ki)*(t56*t19/t24*spbk4k3*spbk5k2-t56/t25*t8*spbk4k3*spbk5&
      &k2))
      abb19n3 = ((10.0_ki)*t39)
      t23 = t33*spak3k6
      t26 = t56*t23/t1*spbk4k2
      t27 = t40*spak3k6
      t28 = t56*t27/t1*spbk4k2
      abb19n4 = ((16.0_ki)*(t26-t28))
      abb19n5 = ((16.0_ki)*(t28-t26))
      abb19n6 = ((8.0_ki)*(t56*t23/t1*spbk3k2+t56*t33/t1*spak4k6*spbk4k2-(t56*t4&
      &0/t1*spak4k6*spbk4k2+t56*t27/t1*spbk3k2)))
      t26 = t3*spak3k6
      t28 = t13*spak3k6
      t29 = t56*t23*spbk4k3
      t30 = t56*t27*spbk4k3
      abb19n7 = ((40.0_ki)*(t56*t26/t25*spbk4k3-t56*t28/t24*spbk4k3)+(8.0_ki)*(t&
      &29/t1+t29/t25+t56*t40/t1*spak2k6*spbk4k2-(t56*t33/t1*spak2k6*spbk4k2+t30/&
      &t25+t30/t1)))
      abb19n8 = ((20.0_ki)*(t56/t25*t8*spbk5k2*spbk6k4+t56*t2/t1*spak2k3*spbk4k2&
      &*spbk5k2+t56*t2/t1*spak3k4*spbk4k2*spbk5k4-(t56*t12/t18*spak3k4*spbk4k2*s&
      &pbk5k4+t56*t12/t18*spak2k3*spbk4k2*spbk5k2+t56*t19/t24*spbk5k2*spbk6k4)))
      t2 = t3*spak1k3*spak3k6
      t8 = t2*spbk4k3
      t4 = t4*spak3k6
      t12 = t13*spak1k3*spak3k6
      t19 = t12*spbk4k3
      t14 = t14*spak3k6
      abb19n9 = ((20.0_ki)*(t56*t16/t18*spbk5k1+t56/t25*t8*spbk5k1+t56*t14/t24*s&
      &pbk5k1*spbk6k4-(t56*t4/t25*spbk5k1*spbk6k4+t56*t19/t24*spbk5k1+t56/t1*t6*&
      &spbk5k1)))
      abb19n10 = ((20.0_ki)*(t56*t21/t18*spbk5k1-t56*t10/t1*spbk5k1))
      t6 = t56/t25*t8*spbk5k2
      t8 = t56*t4/t25*spbk5k2*spbk6k4
      t7 = t7/t1
      t10 = t11/t1
      t11 = t56*t19/t24*spbk5k2
      t16 = t56*t14/t24*spbk5k2*spbk6k4
      t17 = t17/t18
      t19 = t22/t18
      t21 = t16+t17+t19+t6-(t8+t7+t11+t10)
      t22 = t33*spak1k3*spak3k6
      t29 = t56*t22/t25*spbk4k3*spbk5k2
      t30 = t34*spak3k6
      t31 = t56*t30/t25*spbk5k2*spbk6k4
      t32 = t36/t1
      t34 = t38/t1
      t36 = t40*spak1k3*spak3k6
      t38 = t56*t36/t25*spbk4k3*spbk5k2
      t39 = t41*spak3k6
      t41 = t56*t39/t25*spbk5k2*spbk6k4
      t43 = t43/t1
      t45 = t45/t1
      t46 = (4.0_ki)*(t31+t32+t34+t38-(t45+t43+t41+t29))
      abb19n11 = ((80.0_ki)*t21+t46)
      abb19n12 = ((40.0_ki)*t21+t46)
      abb19n13 = ((80.0_ki)*(t10+t11+t7+t8-(t6+t19+t17+t16))+(4.0_ki)*(t29+t41+t&
      &43+t45-(t38+t34+t32+t31)))
      t6 = t3*spak2k3
      t7 = t13*spak2k3
      abb19n14 = ((8.0_ki)*(t56*t27/t25*spbk6k4-t56*t23/t25*spbk6k4)+(40.0_ki)*(&
      &t56/t18*t7*spbk4k2+t56*t28/t24*spbk6k4-(t56*t26/t25*spbk6k4+t56/t1*t6*spb&
      &k4k2)))
      t8 = t3*spak3k4
      t10 = t13*spak3k4
      abb19n15 = ((3.0_ki)*(t56*t35/t1*spbk2k1*spbk4k2+t56*t37/t1*spbk4k1*spbk4k&
      &2+t56*t30/t25*spbk2k1*spbk6k4+t56*t36/t25*spbk2k1*spbk4k3+t56*t23/t25*spa&
      &k5k6*spbk5k2*spbk6k4+t56*t33/t1*spak2k3*spak5k6*spbk4k2*spbk5k2+t56*t33/t&
      &1*spak3k4*spak5k6*spbk4k2*spbk5k4+t56*t33/t25*spak3k5*spak3k6*spbk4k3*spb&
      &k5k2-(t56*t40/t25*spak3k5*spak3k6*spbk4k3*spbk5k2+t56*t40/t1*spak3k4*spak&
      &5k6*spbk4k2*spbk5k4+t56*t40/t1*spak2k3*spak5k6*spbk4k2*spbk5k2+t56*t27/t2&
      &5*spak5k6*spbk5k2*spbk6k4+t56*t39/t25*spbk2k1*spbk6k4+t56*t22/t25*spbk2k1&
      &*spbk4k3+t56*t44/t1*spbk4k1*spbk4k2+t56*t42/t1*spbk2k1*spbk4k2))+(40.0_ki&
      &)*(t56*t5/t1*spbk2k1*spbk4k2+t56/t1*t9*spbk4k1*spbk4k2+t56*t12/t24*spbk2k&
      &1*spbk4k3+t56*t4/t25*spbk2k1*spbk6k4+t56/t1*t6*spak5k6*spbk4k2*spbk5k2+t5&
      &6/t1*t8*spak5k6*spbk4k2*spbk5k4+t56*t26/t25*spak5k6*spbk5k2*spbk6k4+t56*t&
      &3/t25*spak3k5*spak3k6*spbk4k3*spbk5k2-(t56*t13/t24*spak3k5*spak3k6*spbk4k&
      &3*spbk5k2+t56*t28/t24*spak5k6*spbk5k2*spbk6k4+t56/t18*t7*spak5k6*spbk4k2*&
      &spbk5k2+t56*t10/t18*spak5k6*spbk4k2*spbk5k4+t56*t2/t25*spbk2k1*spbk4k3+t5&
      &6*t20/t18*spbk4k1*spbk4k2+t56*t15/t18*spbk2k1*spbk4k2+t56*t14/t24*spbk2k1&
      &*spbk6k4)))
      abb19n16 = ((40.0_ki)*(t56*t10/t18*spbk4k2-t56/t1*t8*spbk4k2))
      rat2d19 = abb19n1
      rat2 = rat2 + rat2d19
      abb19n18 = abb19n3
      abb19n19 = abb19n16
      abb19n20 = abb19n14
      abb19n21 = abb19n12
      abb19n22 = abb19n7
      abb19n23 = abb19n6
      abb19n24 = abb19n5
      abb19n25 = abb19n4
      abb19n26 = -(abb19n2)
      abb19n27 = -(abb19n8)
      abb19n28 = -(abb19n9)
      abb19n29 = -(abb19n10)
      abb19n30 = -(abb19n11)
      abb19n31 = ((2.0_ki)*abb19n12)
      abb19n32 = -(abb19n13)
      abb19n33 = -(abb19n15)
   end subroutine
end module p0_dd_emnebardu_abbrevd19h1
