module     p3_ud_emnebaruu_abbrevd11h0
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh0
   implicit none
   private
   complex(ki), public :: abb11n1
   complex(ki), public :: abb11n2
   complex(ki), public :: abb11n3
   complex(ki), public :: abb11n4
   complex(ki), public :: abb11n5
   complex(ki), public :: abb11n6
   complex(ki), public :: abb11n7
   complex(ki), public :: abb11n8
   complex(ki), public :: abb11n9
   complex(ki), public :: abb11n10
   complex(ki), public :: abb11n11
   complex(ki), public :: abb11n12
   complex(ki), public :: abb11n13
   complex(ki), public :: abb11n14
   complex(ki), public :: abb11n15
   complex(ki), public :: abb11n16
   complex(ki), public :: abb11n17
   complex(ki), public :: abb11n18
   complex(ki), public :: rat2d11
   complex(ki), public :: abb11n20
   complex(ki), public :: abb11n21
   complex(ki), public :: abb11n22
   complex(ki), public :: abb11n23
   complex(ki), public :: abb11n24
   complex(ki), public :: abb11n25
   complex(ki), public :: abb11n26
   complex(ki), public :: abb11n27
   complex(ki), public :: abb11n28
   complex(ki), public :: abb11n29
   complex(ki), public :: abb11n30
   complex(ki), public :: abb11n31
   complex(ki), public :: abb11n32
   complex(ki), public :: abb11n33
   complex(ki), public :: abb11n34
   complex(ki), public :: abb11n35
   complex(ki), public :: abb11n36
   complex(ki), public :: abb11n37
   complex(ki), public :: abb11n38
   complex(ki), public :: abb11n39
   complex(ki), public :: abb11n40
   complex(ki), public :: abb11n41
   complex(ki), public :: abb11n42
   complex(ki), public :: abb11n43
   complex(ki), public :: abb11n44
   complex(ki), public :: abb11n45
   complex(ki), public :: abb11n46
   complex(ki), public :: abb11n47
   complex(ki), public :: abb11n48
   complex(ki), public :: abb11n49
   complex(ki), public :: abb11n50
   complex(ki), public :: abb11n51
   complex(ki), public :: abb11n52
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   real(ki) :: t38
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = c1*i_
      t2 = t1*spak2k3
      t3 = t2*spak5k6
      t38 = TR*TR
      t4 = t38*t3*spbk2k1*spbk4k2
      t5 = (es234-(es61+es56))*(es34+wW*mW*i_-mW*mW)
      t6 = es234*t5
      t7 = t4/t6
      t8 = t1*spak3k4
      t9 = t8*spak5k6
      t10 = t38*t9*spbk4k1*spbk4k2
      t11 = t10/t6
      t12 = t11+t7
      t13 = NC*NC*t6
      t4 = t4/t13
      t10 = t10/t13
      t14 = c2*i_
      t15 = t14*spak2k3
      t16 = t15*spak5k6
      t5 = es234*NC*t5
      t17 = t38*t16/t5*spbk2k1*spbk4k2
      t18 = t14*spak3k4
      t19 = t18*spak5k6
      t20 = t38*t19/t5*spbk4k1*spbk4k2
      t21 = NC*c2
      t22 = t21*i_
      t23 = t22*spak2k3
      t24 = t23*spak5k6
      t25 = t38*t24/t6*spbk2k1*spbk4k2
      t26 = t22*spak3k4
      t27 = t26*spak5k6
      t28 = t38*t27/t6*spbk4k1*spbk4k2
      abb11n1 = ((2.0_ki)*(t12+t17+t20-(t4+t28+t25+t10)))
      t7 = -(t7+t11)
      t11 = (4.0_ki)*(t25+t28+t7)
      abb11n2 = t11
      t29 = es56*c1*i_
      t30 = es56*t21*i_
      t31 = es61*c1*i_
      t2 = t2*spbk4k2
      t32 = TR*spak5k6
      t32 = t32*t32
      t8 = t8*spbk4k2
      t21 = es61*t21*i_
      t23 = t23*spbk4k2
      t26 = t26*spbk4k2
      abb11n3 = ((4.0_ki)*(t38*t29/t6*spak2k3*spak5k6*spbk2k1*spbk4k2+t38*t29/t6&
      &*spak3k4*spak5k6*spbk4k1*spbk4k2-(t38*t30/t6*spak3k4*spak5k6*spbk4k1*spbk&
      &4k2+t38*t30/t6*spak2k3*spak5k6*spbk2k1*spbk4k2))+(2.0_ki)*(t2*t32/t6*spbk&
      &5k2*spbk6k1+t32/t6*t8*spbk5k4*spbk6k1+t38*t31/t6*spak2k3*spak5k6*spbk2k1*&
      &spbk4k2+t38*t31/t6*spak3k4*spak5k6*spbk4k1*spbk4k2-(t38*t21/t6*spak3k4*sp&
      &ak5k6*spbk4k1*spbk4k2+t38*t21/t6*spak2k3*spak5k6*spbk2k1*spbk4k2+t26*t32/&
      &t6*spbk5k4*spbk6k1+t23*t32/t6*spbk5k2*spbk6k1)))
      t21 = t1*spak3k5*spak5k6
      t29 = t38*t21/t6*spbk4k2*spbk5k1
      t30 = t22*spak3k5*spak5k6
      t31 = t38*t30/t6*spbk4k2*spbk5k1
      t32 = t1*spak3k6
      t33 = t32*spak5k6
      t34 = t38*t33/t6*spbk4k2*spbk6k1
      t35 = t22*spak3k6
      t36 = t35*spak5k6
      t37 = t38*t36/t6*spbk4k2*spbk6k1
      abb11n4 = ((12.0_ki)*(t31-t29)+(4.0_ki)*(t34-t37))
      abb11n5 = ((12.0_ki)*(t29-t31)+(4.0_ki)*(t37-t34))
      t29 = t1*spak4k6
      t31 = t22*spak4k6
      abb11n6 = ((6.0_ki)*(t38*t30/t6*spbk3k2*spbk5k1+t38*t22/t6*spak4k5*spak5k6&
      &*spbk4k2*spbk5k1-(t38*t1/t6*spak4k5*spak5k6*spbk4k2*spbk5k1+t38*t21/t6*sp&
      &bk3k2*spbk5k1))+(2.0_ki)*(t38*t33/t6*spbk3k2*spbk6k1+t38*t29/t6*spak5k6*s&
      &pbk4k2*spbk6k1-(t38*t31/t6*spak5k6*spbk4k2*spbk6k1+t38*t36/t6*spbk3k2*spb&
      &k6k1)))
      t34 = t1*spak2k6
      t37 = t22*spak2k6
      abb11n7 = ((6.0_ki)*(t38*t30/t6*spbk4k3*spbk5k1+t38*t1/t6*spak2k5*spak5k6*&
      &spbk4k2*spbk5k1-(t38*t22/t6*spak2k5*spak5k6*spbk4k2*spbk5k1+t38*t21/t6*sp&
      &bk4k3*spbk5k1))+(2.0_ki)*(t38*t33/t6*spbk4k3*spbk6k1+t38*t37/t6*spak5k6*s&
      &pbk4k2*spbk6k1-(t38*t34/t6*spak5k6*spbk4k2*spbk6k1+t38*t36/t6*spbk4k3*spb&
      &k6k1)))
      t21 = t1*spak1k5
      t30 = t14*spak1k5
      abb11n8 = ((4.0_ki)*(t38*t21/t13*spak2k3*spbk2k1*spbk4k2+t38*t21/t13*spak3&
      &k4*spbk4k1*spbk4k2-(t38*t30/t5*spak3k4*spbk4k1*spbk4k2+t38*t30/t5*spak2k3&
      &*spbk2k1*spbk4k2)))
      abb11n9 = ((4.0_ki)*(t12-(t28+t25))+(8.0_ki)*(t10+t4-(t20+t17)))
      abb11n10 = ((4.0_ki)*(t10+t25+t28+t4+t7-(t20+t17)))
      abb11n11 = ((8.0_ki)*(t17+t20-(t4+t10))+t11)
      t2 = t38*t2
      abb11n12 = ((4.0_ki)*(t2/t13+t2/t6-(t38*t15/t5*spbk4k2+t38*t23/t6)))
      t1 = t1*spak1k6
      t2 = t38*t1*spak2k3*spbk2k1*spbk4k2
      t1 = t38*t1*spak3k4*spbk4k1*spbk4k2
      t3 = t38*t3*spbk4k2*spbk5k2
      t4 = t38*t9*spbk4k2*spbk5k4
      t7 = t14*spak1k6
      t9 = t22*spak1k6
      abb11n13 = ((4.0_ki)*(t38*t16/t5*spbk4k2*spbk5k2+t38*t19/t5*spbk4k2*spbk5k&
      &4+t38*t24/t6*spbk4k2*spbk5k2+t38*t27/t6*spbk4k2*spbk5k4+t38/t5*t7*spak2k3&
      &*spbk2k1*spbk4k2+t38/t5*t7*spak3k4*spbk4k1*spbk4k2+t38/t6*t9*spak2k3*spbk&
      &2k1*spbk4k2+t38/t6*t9*spak3k4*spbk4k1*spbk4k2-(t4/t6+t3/t6+t2/t6+t4/t13+t&
      &3/t13+t2/t13+t1/t6+t1/t13)))
      t1 = t38*t8
      abb11n14 = ((4.0_ki)*(t1/t13+t1/t6-(t38*t18/t5*spbk4k2+t38*t26/t6)))
      t1 = t38*t32*spbk4k2
      t2 = t1/t6
      t1 = t1/t13
      t3 = t14*spak3k6
      t4 = t38*t3/t5*spbk4k2
      t7 = t38*t35/t6*spbk4k2
      abb11n15 = ((16.0_ki)*(t1+t2-(t7+t4)))
      abb11n16 = ((16.0_ki)*(t4+t7-(t2+t1)))
      t1 = t38*t32*spbk3k2
      t2 = t38*t29*spbk4k2
      abb11n17 = ((8.0_ki)*(t1/t13+t1/t6+t2/t13+t2/t6-(t38*t14/t5*spak4k6*spbk4k&
      &2+t38*t35/t6*spbk3k2+t38*t31/t6*spbk4k2+t38*t3/t5*spbk3k2)))
      t1 = t38*t34*spbk4k2
      t2 = t38*t32*spbk4k3
      abb11n18 = ((8.0_ki)*(t2/t13+t2/t6+t38*t37/t6*spbk4k2+t38*t14/t5*spak2k6*s&
      &pbk4k2-(t38*t35/t6*spbk4k3+t38*t3/t5*spbk4k3+t1/t6+t1/t13)))
      rat2d11 = abb11n1
      rat2 = rat2 + rat2d11
      abb11n20 = abb11n3
      abb11n21 = abb11n18
      abb11n22 = abb11n17
      abb11n23 = abb11n16
      abb11n24 = abb11n15
      abb11n25 = abb11n14
      abb11n26 = abb11n13
      abb11n27 = abb11n12
      abb11n28 = abb11n11
      abb11n29 = abb11n10
      abb11n30 = abb11n9
      abb11n31 = abb11n8
      abb11n32 = abb11n7
      abb11n33 = abb11n6
      abb11n34 = abb11n5
      abb11n35 = abb11n4
      abb11n36 = abb11n2
      abb11n37 = -(abb11n2)
      abb11n38 = -(abb11n4)
      abb11n39 = -(abb11n5)
      abb11n40 = -(abb11n6)
      abb11n41 = -(abb11n7)
      abb11n42 = -(abb11n8)
      abb11n43 = -(abb11n9)
      abb11n44 = (-2.0_ki)*abb11n10
      abb11n45 = -(abb11n11)
      abb11n46 = -(abb11n12)
      abb11n47 = -(abb11n13)
      abb11n48 = -(abb11n14)
      abb11n49 = -(abb11n15)
      abb11n50 = -(abb11n16)
      abb11n51 = -(abb11n17)
      abb11n52 = -(abb11n18)
   end subroutine
end module p3_ud_emnebaruu_abbrevd11h0
