module     p3_ud_emnebaruu_abbrevd63h0
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh0
   implicit none
   private
   complex(ki), public :: abb63n1
   complex(ki), public :: abb63n2
   complex(ki), public :: abb63n3
   complex(ki), public :: rat2d63
   complex(ki), public :: abb63n5
   complex(ki), public :: abb63n6
   complex(ki), public :: abb63n7
   complex(ki), public :: abb63n8
   complex(ki), public :: abb63n9
   complex(ki), public :: abb63n10
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   real(ki) :: t12
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = c1*i_
      t3 = TR*spbk2k1
      t3 = t3*t3
      t4 = es345*NC*t1
      t5 = t2*spak1k6
      t6 = c2*i_
      t7 = t3*t6*spak1k3*spak2k6*spak3k5*spbk4k3
      t1 = es345*t1
      t8 = t3*t6*spak1k5*spak2k6*spak3k5*spbk5k4
      t9 = t6*spak1k6
      t10 = t3*t9*spak2k3*spak3k5*spbk4k3
      t9 = t3*t9*spak2k5*spak3k5*spbk5k4
      t11 = NC*NC*t1
      abb63n1 = ((8.0_ki)*(t3/t4*t5*spak2k5*spak3k5*spbk5k4+t2*t3/t4*spak1k3*spa&
      &k2k6*spak3k5*spbk4k3-(t2*t3/t4*spak1k5*spak2k6*spak3k5*spbk5k4+t3/t4*t5*s&
      &pak2k3*spak3k5*spbk4k3))+(4.0_ki)*(t10/t1+t8/t1+t10/t11+t8/t11-(t9/t11+t7&
      &/t11+t9/t1+t7/t1)))
      t2 = t2*spak3k5
      t12 = TR*TR
      t3 = t12*t2/t4*spak3k6*spbk2k1*spbk4k3
      t2 = t12*t2/t4*spak5k6*spbk2k1*spbk5k4
      t4 = t6*spak3k5
      t5 = t12*t4*spak3k6*spbk2k1*spbk4k3
      t6 = t5/t1
      t4 = t12*t4*spak5k6*spbk2k1*spbk5k4
      t1 = t4/t1
      t5 = t5/t11
      t4 = t4/t11
      abb63n2 = ((16.0_ki)*(t3-t2)+(8.0_ki)*(t1+t4-(t6+t5)))
      abb63n3 = ((16.0_ki)*(t2-t3)+(8.0_ki)*(t5+t6-(t4+t1)))
      rat2d63 = 0
      rat2 = rat2 + rat2d63
      abb63n5 = abb63n1
      abb63n6 = abb63n3
      abb63n7 = abb63n2
      abb63n8 = -(abb63n2)
      abb63n9 = -(abb63n3)
      abb63n10 = (-2.0_ki)*abb63n3
   end subroutine
end module p3_ud_emnebaruu_abbrevd63h0
