module     p3_ud_emnebaruu_d59h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p3_ud_emnebaruu/helicity0/d59h0l1d.f90
   ! generator: haggies (1.1)
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d59
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2) result(numerator)
      use p3_ud_emnebaruu_globalsl1, only: epspow
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_abbrevd59h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      real(ki) :: t22
      real(ki) :: t23
      real(ki) :: t24
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k5
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      t1 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t2 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t3 = (spvak3k2(1)*qshift(1)-spvak3k2(2)*qshift(2)-spvak3k2(3)*qshift(3)-sp&
      &vak3k2(4)*qshift(4))
      t4 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t22 = dotproduct(k3, qshift)
      t23 = dotproduct(k4, qshift)
      t24 = dotproduct(k2, qshift)
      t5 = (spvak5k4(1)*qshift(1)-spvak5k4(2)*qshift(2)-spvak5k4(3)*qshift(3)-sp&
      &vak5k4(4)*qshift(4))
      t6 = (spvak6k4(1)*qshift(1)-spvak6k4(2)*qshift(2)-spvak6k4(3)*qshift(3)-sp&
      &vak6k4(4)*qshift(4))
      t7 = (spvak5k2(1)*qshift(1)-spvak5k2(2)*qshift(2)-spvak5k2(3)*qshift(3)-sp&
      &vak5k2(4)*qshift(4))
      t8 = (spvak6k2(1)*qshift(1)-spvak6k2(2)*qshift(2)-spvak6k2(3)*qshift(3)-sp&
      &vak6k2(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb59n19+t1*abb59n33+t2*abb59n35+abb59n32*dotproduct(k6, q&
         &shift)+abb59n34*dotproduct(k5, qshift)+t1*t22*abb59n31+t1*t23*abb59n31&
         &+t1*t24*abb59n30+t1*t3*abb59n28+t1*t4*abb59n29+t1*t5*abb59n24+t1*t7*ab&
         &b59n26+t2*t22*abb59n22+t2*t23*abb59n22+t2*t24*abb59n23+t2*t3*abb59n20+&
         &t2*t4*abb59n21+t2*t6*abb59n25+t2*t8*abb59n27)
         return
      end if
      t9 = spvak5k1(iv1)
      t10 = spvak6k1(iv1)
      t11 = k2(iv1)
      t12 = k3(iv1)
      t13 = k4(iv1)
      t14 = spvak3k2(iv1)
      t15 = spvak3k4(iv1)
      t16 = t9*abb59n22
      t17 = spvak5k2(iv1)
      t18 = spvak5k4(iv1)
      t19 = t10*abb59n31
      t20 = spvak6k2(iv1)
      t21 = spvak6k4(iv1)
      if(deg.eq.1) then
         numerator = (k5(iv1)*abb59n34+k6(iv1)*abb59n32+t10*abb59n33+t16*t22+t16&
         &*t23+t19*t22+t19*t23+t9*abb59n35+t1*t11*abb59n30+t1*t12*abb59n31+t1*t1&
         &3*abb59n31+t1*t14*abb59n28+t1*t15*abb59n29+t1*t17*abb59n26+t1*t18*abb5&
         &9n24+t10*t24*abb59n30+t10*t3*abb59n28+t10*t4*abb59n29+t10*t5*abb59n24+&
         &t10*t7*abb59n26+t11*t2*abb59n23+t12*t2*abb59n22+t13*t2*abb59n22+t14*t2&
         &*abb59n20+t15*t2*abb59n21+t2*t20*abb59n27+t2*t21*abb59n25+t24*t9*abb59&
         &n23+t3*t9*abb59n20+t4*t9*abb59n21+t6*t9*abb59n25+t8*t9*abb59n27)
         return
      end if
      t1 = spvak5k1(iv2)
      t2 = spvak6k1(iv2)
      t3 = k2(iv2)
      t4 = k3(iv2)
      t5 = k4(iv2)
      t6 = spvak3k2(iv2)
      t7 = spvak3k4(iv2)
      if(deg.eq.2) then
         numerator = (spvak5k2(iv2)*t10*abb59n26+spvak5k4(iv2)*t10*abb59n24+spva&
         &k6k2(iv2)*t9*abb59n27+spvak6k4(iv2)*t9*abb59n25+t1*t11*abb59n23+t1*t12&
         &*abb59n22+t1*t13*abb59n22+t1*t14*abb59n20+t1*t15*abb59n21+t1*t20*abb59&
         &n27+t1*t21*abb59n25+t10*t3*abb59n30+t10*t4*abb59n31+t10*t5*abb59n31+t1&
         &0*t6*abb59n28+t10*t7*abb59n29+t11*t2*abb59n30+t12*t2*abb59n31+t13*t2*a&
         &bb59n31+t14*t2*abb59n28+t15*t2*abb59n29+t17*t2*abb59n26+t18*t2*abb59n2&
         &4+t3*t9*abb59n23+t4*t9*abb59n22+t5*t9*abb59n22+t6*t9*abb59n20+t7*t9*ab&
         &b59n21)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d59:
   subroutine     reconstruct_d59(coeffs)
      use p3_ud_emnebaruu_groups, only: tensrec_info_group4
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group4), intent(out) :: coeffs
      ! rank 2 case:
      !---[# reconstruct coeffs%coeffs_59:
      coeffs%coeffs_59%c0 = derivative(czip)
      coeffs%coeffs_59%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_59%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_59%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_59%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_59%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_59%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_59%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_59%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_59%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_59%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_59%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_59%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_59%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_59%c2(6,1) = derivative(czip,3,4)
      !---#] reconstruct coeffs%coeffs_59:
   end subroutine reconstruct_d59
!---#] subroutine reconstruct_d59:
end module p3_ud_emnebaruu_d59h0l1d
