module     p3_ud_emnebaruu_abbrevd51h1
   use p3_ud_emnebaruu_config, only: ki
   use p3_ud_emnebaruu_globalsh1
   implicit none
   private
   complex(ki), public :: abb51n1
   complex(ki), public :: abb51n2
   complex(ki), public :: abb51n3
   complex(ki), public :: abb51n4
   complex(ki), public :: abb51n5
   complex(ki), public :: abb51n6
   complex(ki), public :: abb51n7
   complex(ki), public :: abb51n8
   complex(ki), public :: abb51n9
   complex(ki), public :: rat2d51
   complex(ki), public :: abb51n11
   complex(ki), public :: abb51n12
   complex(ki), public :: abb51n13
   complex(ki), public :: abb51n14
   complex(ki), public :: abb51n15
   complex(ki), public :: abb51n16
   complex(ki), public :: abb51n17
   complex(ki), public :: abb51n18
   complex(ki), public :: abb51n19
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   real(ki) :: t36
   real(ki) :: t37
   real(ki) :: t38
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p3_ud_emnebaruu_config, only: deltaOS
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_color, only: TR
      use p3_ud_emnebaruu_globalsl1, only: epspow
      implicit none
      t36 = es12+es34-(es56+es345)
      t1 = es12*c1*i_
      t37 = TR*TR
      t2 = t37*t1*spak1k3*spak3k6*spbk4k3*spbk5k2
      t3 = (es234-(es61+es56))*(es34+wW*mW*i_-mW*mW)
      t38 = t36*t36
      t4 = t38*t3
      t1 = t37*t1*spak1k6*spak3k6*spbk5k2*spbk6k4
      t5 = es234*c1*i_
      t6 = t37*t5*spak1k3*spak3k6*spbk4k3*spbk5k2
      t5 = t37*t5*spak1k6*spak3k6*spbk5k2*spbk6k4
      t7 = es56*c1*i_
      t8 = t37*t7*spak1k3*spak3k6*spbk4k3*spbk5k2
      t7 = t37*t7*spak1k6*spak3k6*spbk5k2*spbk6k4
      t9 = es61*c1*i_
      t10 = t37*t9*spak1k3*spak3k6*spbk4k3*spbk5k2
      t9 = t37*t9*spak1k6*spak3k6*spbk5k2*spbk6k4
      t11 = c1*i_
      t12 = t11*spak1k2
      t13 = TR*spbk5k2
      t13 = t13*t13
      t14 = t12*t13*spak3k5*spak3k6*spbk4k3
      t12 = t12*spak3k6
      t15 = t12*t13*spak5k6*spbk6k4
      t16 = t11*spak1k5
      t17 = t13*t16*spak2k3*spak3k6*spbk4k3
      t18 = t13*t16*spak2k6*spak3k6*spbk6k4
      t36 = t36*NC
      t19 = t36*t36*t3
      t20 = es12*c2*i_
      t3 = NC*t38*t3
      t21 = es234*c2*i_
      t22 = es56*c2*i_
      t23 = es61*c2*i_
      t24 = c2*i_
      t25 = t24*spak1k2
      t26 = t25*spak3k6
      t27 = t24*spak1k5
      t28 = NC*c2
      t29 = es12*t28*i_
      t30 = es234*t28*i_
      t31 = es56*t28*i_
      t32 = es61*t28*i_
      t28 = t28*i_
      t33 = t28*spak1k2
      t34 = t33*spak3k6
      t35 = t28*spak1k5
      abb51n1 = ((4.0_ki)*(t1/t19+t10/t19+t14/t19+t15/t19+t17/t19+t18/t4+t5/t19+&
      &t8/t19+t2/t4+t6/t4+t7/t4+t9/t4+t13*t34/t4*spak5k6*spbk6k4+t13*t27/t3*spak&
      &2k6*spak3k6*spbk6k4+t13*t33/t4*spak3k5*spak3k6*spbk4k3+t13*t35/t4*spak2k3&
      &*spak3k6*spbk4k3+t37*t20/t3*spak1k3*spak3k6*spbk4k3*spbk5k2+t37*t21/t3*sp&
      &ak1k3*spak3k6*spbk4k3*spbk5k2+t37*t22/t3*spak1k6*spak3k6*spbk5k2*spbk6k4+&
      &t37*t23/t3*spak1k6*spak3k6*spbk5k2*spbk6k4+t37*t29/t4*spak1k6*spak3k6*spb&
      &k5k2*spbk6k4+t37*t30/t4*spak1k6*spak3k6*spbk5k2*spbk6k4+t37*t31/t4*spak1k&
      &3*spak3k6*spbk4k3*spbk5k2+t37*t32/t4*spak1k3*spak3k6*spbk4k3*spbk5k2-(t37&
      &*t32/t4*spak1k6*spak3k6*spbk5k2*spbk6k4+t37*t31/t4*spak1k6*spak3k6*spbk5k&
      &2*spbk6k4+t37*t30/t4*spak1k3*spak3k6*spbk4k3*spbk5k2+t37*t29/t4*spak1k3*s&
      &pak3k6*spbk4k3*spbk5k2+t37*t23/t3*spak1k3*spak3k6*spbk4k3*spbk5k2+t37*t22&
      &/t3*spak1k3*spak3k6*spbk4k3*spbk5k2+t37*t21/t3*spak1k6*spak3k6*spbk5k2*sp&
      &bk6k4+t37*t20/t3*spak1k6*spak3k6*spbk5k2*spbk6k4+t13*t35/t4*spak2k6*spak3&
      &k6*spbk6k4+t13*t27/t3*spak2k3*spak3k6*spbk4k3+t13*t25/t3*spak3k5*spak3k6*&
      &spbk4k3+t13*t26/t3*spak5k6*spbk6k4+t8/t4+t5/t4+t9/t19+t7/t19+t6/t19+t2/t1&
      &9+t18/t19+t17/t4+t15/t4+t14/t4+t10/t4+t1/t4)))
      t1 = t37*t12*spbk4k3*spbk5k2
      abb51n2 = ((4.0_ki)*(t1/t4+t37*t26/t3*spbk4k3*spbk5k2-(t37*t34/t4*spbk4k3*&
      &spbk5k2+t1/t19)))
      t1 = t37*t12*spbk5k2*spbk6k4
      abb51n3 = ((4.0_ki)*(t1/t19+t37*t34/t4*spbk5k2*spbk6k4-(t37*t26/t3*spbk5k2&
      &*spbk6k4+t1/t4)))
      t1 = t16*spak3k6
      t2 = t37*t1*spbk4k3*spbk5k2
      t5 = t27*spak3k6
      t6 = t35*spak3k6
      abb51n4 = ((4.0_ki)*(t2/t19+t37/t4*t6*spbk4k3*spbk5k2-(t37/t3*t5*spbk4k3*s&
      &pbk5k2+t2/t4)))
      t1 = t37*t1*spbk5k2*spbk6k4
      abb51n5 = ((4.0_ki)*(t1/t4+t37/t3*t5*spbk5k2*spbk6k4-(t37/t4*t6*spbk5k2*sp&
      &bk6k4+t1/t19)))
      t1 = t11*spak1k3*spak3k6
      t2 = t1*spbk4k3
      t5 = t37*t2*spbk5k2
      t6 = t5/t4
      t7 = t11*spak1k6*spak3k6
      t8 = t37*t7*spbk5k2*spbk6k4
      t9 = t8/t4
      t5 = t5/t19
      t8 = t8/t19
      t10 = t24*spak1k3*spak3k6
      t12 = t10*spbk4k3
      t13 = t37*t12/t3*spbk5k2
      t14 = t24*spak1k6*spak3k6
      t15 = t37*t14/t3*spbk5k2*spbk6k4
      t16 = t28*spak1k3*spak3k6
      t17 = t16*spbk4k3
      t18 = t37*t17/t4*spbk5k2
      t20 = t28*spak1k6*spak3k6
      t21 = t37*t20/t4*spbk5k2*spbk6k4
      abb51n6 = ((16.0_ki)*(t13+t21+t6+t8-(t9+t5+t18+t15)))
      abb51n7 = ((16.0_ki)*(t15+t18+t5+t9-(t8+t6+t21+t13)))
      t2 = t37*t2*spbk5k1
      t5 = t37*t7*spbk5k1*spbk6k4
      t6 = t37*t11*spak2k3*spak3k6*spbk4k3*spbk5k2
      t8 = t37*t11*spak2k6*spak3k6*spbk5k2*spbk6k4
      abb51n8 = ((8.0_ki)*(t5/t19+t8/t19+t2/t4+t6/t4+t37*t12/t3*spbk5k1+t37*t20/&
      &t4*spbk5k1*spbk6k4+t37*t24/t3*spak2k3*spak3k6*spbk4k3*spbk5k2+t37*t28/t4*&
      &spak2k6*spak3k6*spbk5k2*spbk6k4-(t37*t28/t4*spak2k3*spak3k6*spbk4k3*spbk5&
      &k2+t37*t24/t3*spak2k6*spak3k6*spbk5k2*spbk6k4+t37*t14/t3*spbk5k1*spbk6k4+&
      &t37*t17/t4*spbk5k1+t8/t4+t5/t4+t6/t19+t2/t19)))
      t1 = t37*t1*spbk2k1*spbk4k3
      t2 = t37*t7*spbk2k1*spbk6k4
      t5 = t37*t11*spak3k5*spak3k6*spbk4k3*spbk5k2
      t6 = t37*t11*spak3k6*spak5k6*spbk5k2*spbk6k4
      abb51n9 = ((8.0_ki)*(t1/t19+t2/t4+t5/t4+t6/t4+t37*t14/t3*spbk2k1*spbk6k4+t&
      &37*t16/t4*spbk2k1*spbk4k3+t37*t24/t3*spak3k5*spak3k6*spbk4k3*spbk5k2+t37*&
      &t24/t3*spak3k6*spak5k6*spbk5k2*spbk6k4-(t37*t28/t4*spak3k6*spak5k6*spbk5k&
      &2*spbk6k4+t37*t28/t4*spak3k5*spak3k6*spbk4k3*spbk5k2+t37*t20/t4*spbk2k1*s&
      &pbk6k4+t37*t10/t3*spbk2k1*spbk4k3+t6/t19+t5/t19+t2/t19+t1/t4)))
      rat2d51 = 0
      rat2 = rat2 + rat2d51
      abb51n11 = abb51n1
      abb51n12 = -(abb51n2)
      abb51n13 = -(abb51n3)
      abb51n14 = -(abb51n4)
      abb51n15 = -(abb51n5)
      abb51n16 = -(abb51n6)
      abb51n17 = -(abb51n7)
      abb51n18 = -(abb51n8)
      abb51n19 = -(abb51n9)
   end subroutine
end module p3_ud_emnebaruu_abbrevd51h1
