module     p3_ud_emnebaruu_diagramsh1l0
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p3_ud_emnebaruu/helicity1/diagramsl0.f90
   ! generator: haggies (1.1)
   use p3_ud_emnebaruu_color, only: numcs
   use p3_ud_emnebaruu_config, only: ki
   implicit none

   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   complex(ki), dimension(numcs), parameter :: zero_col = 0.0_ki

   public :: amplitude

contains
   function     amplitude()
      use p3_ud_emnebaruu_model
      use p3_ud_emnebaruu_kinematics
      use p3_ud_emnebaruu_color
      use p3_ud_emnebaruu_config, only: debug_lo_diagrams, &
        & use_sorted_sum
      use p3_ud_emnebaruu_accu, only: sorted_sum
      use p3_ud_emnebaruu_util, only: inspect_lo_diagram
      implicit none
      complex(ki), dimension(numcs) :: amplitude
      complex(ki), dimension(4,numcs) :: diagrams
      integer :: i
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      diagrams(:,:) = (0.0_ki, 0.0_ki)
      t1 = spak1k3*spbk4k2*spbk5k1
      t2 = (es234-(es61+es56))*(es34+i_*mW*wW-mW*mW)
      t3 = t2*es234
      t4 = spak3k6*spbk4k2*spbk6k5
      t5 = t2*NC*es234
      diagrams(2, :) = (spak1k6*i_*TR*(4.0_ki)*((t1/t3-t4/t3)*c2+(t4/t5-t1/t5)*c&
      &1))
      t1 = spak1k2*spbk4k2*spbk5k2
      t2 = (es12+es34-(es56+es345))*t2
      t3 = spak1k5*spbk5k2*spbk5k4
      t4 = t2*NC
      diagrams(1, :) = (spak3k6*i_*TR*(4.0_ki)*((t1/t2+t3/t2)*c2+(-(t3/t4+t1/t4)&
      &)*c1))
      if (debug_lo_diagrams) then
         call inspect_lo_diagram(diagrams(1,:), 1, 1, 19)
         call inspect_lo_diagram(diagrams(2,:), 2, 1, 19)
         call inspect_lo_diagram(diagrams(3,:), 3, 1, 19)
         call inspect_lo_diagram(diagrams(4,:), 4, 1, 19)
      end if

      if (use_sorted_sum) then
         do i=1,numcs
            amplitude(i) = sorted_sum(diagrams(:,i))
         end do
      else
         do i=1,numcs
            amplitude(i) = sum(diagrams(:,i))
         end do
      end if
   end function     amplitude
end module p3_ud_emnebaruu_diagramsh1l0
