module     p7_dubar_emnebargg_abbrevd82h0
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_globalsh0
   implicit none
   private
   complex(ki), public :: abb82n1
   complex(ki), public :: abb82n2
   complex(ki), public :: abb82n3
   complex(ki), public :: abb82n4
   complex(ki), public :: abb82n5
   complex(ki), public :: abb82n6
   complex(ki), public :: abb82n7
   complex(ki), public :: abb82n8
   complex(ki), public :: abb82n9
   complex(ki), public :: abb82n10
   complex(ki), public :: abb82n11
   complex(ki), public :: abb82n12
   complex(ki), public :: rat2d82
   complex(ki), public :: abb82n14
   complex(ki), public :: abb82n15
   complex(ki), public :: abb82n16
   complex(ki), public :: abb82n17
   complex(ki), public :: abb82n18
   complex(ki), public :: abb82n19
   complex(ki), public :: abb82n20
   complex(ki), public :: abb82n21
   complex(ki), public :: abb82n22
   complex(ki), public :: abb82n23
   complex(ki), public :: abb82n24
   complex(ki), public :: abb82n25
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   complex(ki) :: t27
   complex(ki) :: t28
   complex(ki) :: t29
   complex(ki) :: t30
   complex(ki) :: t31
   complex(ki) :: t32
   complex(ki) :: t33
   complex(ki) :: t34
   complex(ki) :: t35
   complex(ki) :: t36
   complex(ki) :: t37
   complex(ki) :: t38
   complex(ki) :: t39
   complex(ki) :: t40
   complex(ki) :: t41
   complex(ki) :: t42
   complex(ki) :: t43
   complex(ki) :: t44
   complex(ki) :: t45
   complex(ki) :: t46
   complex(ki) :: t47
   complex(ki) :: t48
   complex(ki) :: t49
   complex(ki) :: t50
   complex(ki) :: t51
   real(ki) :: t52
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p7_dubar_emnebargg_config, only: deltaOS
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_color, only: TR
      use p7_dubar_emnebargg_globalsl1, only: epspow
      implicit none
      t1 = es34+wW*mW*i_-mW*mW
      t2 = TR*c1
      t3 = es61*t2*i_
      t4 = t3*spak2k3
      t5 = NC*t1
      t6 = es234*t5
      t7 = spak5k6*spak5k6
      t8 = t6*t7
      t9 = TR*c2
      t10 = es61*t9*i_
      t11 = t10*spak2k3
      t52 = NC*TR
      t12 = t52*c1
      t13 = es61*t12*i_
      t14 = t13*spak2k3
      t15 = es234*t1
      t16 = t15*t7
      t17 = t52*c2
      t18 = es61*t17*i_
      t19 = t18*spak2k3
      t20 = es23*t2
      t21 = es234*spak5k6
      t21 = t21*t21
      t22 = t21*t5
      t23 = spak2k3*spak2k3
      t24 = es23*t9
      t25 = es23*t12
      t21 = t1*t21
      t26 = es23*t17
      t27 = t2*i_
      t28 = t27*spak2k3
      t29 = t5*t7
      t30 = t9*i_
      t31 = t30*spak2k3
      t32 = t12*i_
      t33 = t32*spak2k3
      t7 = t1*t7
      t34 = t17*i_
      t35 = t34*spak2k3
      t36 = t20*i_*spak2k3
      t2 = es56*t2*i_
      t37 = t2*spak2k3
      t6 = t6*spak5k6
      t38 = t24*i_*spak2k3
      t9 = es56*t9*i_
      t39 = t9*spak2k3
      t40 = t25*i_*spak2k3
      t12 = es56*t12*i_
      t41 = t12*spak2k3
      t15 = t15*spak5k6
      t42 = t26*i_*spak2k3
      t17 = es56*t17*i_
      t43 = t17*spak2k3
      t52 = es234*es234
      t5 = t52*t5*spak5k6
      t44 = t27*spbk4k2
      t45 = t27*spbk4k3
      t46 = t30*spbk4k2
      t47 = t30*spbk4k3
      t1 = t52*t1*spak5k6
      t48 = t32*spbk4k2
      t49 = t32*spbk4k3
      t50 = t34*spbk4k2
      t51 = t34*spbk4k3
      abb82n1 = ((4.0_ki)*(t19/t16*spbk4k1+t4/t8*spbk4k1+t10/t22*t23*spbk3k1*spb&
      &k4k2+t13/t21*t23*spbk3k1*spbk4k2+t18/t21*t23*spbk2k1*spbk4k3+t23/t22*t3*s&
      &pbk2k1*spbk4k3+es61*t25/t21*i_*spak2k3*spbk4k1+es61*t24/t22*i_*spak2k3*sp&
      &bk4k1-(es61*t26/t21*i_*spak2k3*spbk4k1+es61*t20/t22*i_*spak2k3*spbk4k1+t2&
      &3/t22*t3*spbk3k1*spbk4k2+t18/t21*t23*spbk3k1*spbk4k2+t13/t21*t23*spbk2k1*&
      &spbk4k3+t10/t22*t23*spbk2k1*spbk4k3+t14/t16*spbk4k1+t11/t8*spbk4k1))+(2.0&
      &_ki)*(t42/t16*spbk4k1+t43/t16*spbk4k1+t31/t29*spbk4k1+t33/t7*spbk4k1+t36/&
      &t8*spbk4k1+t37/t8*spbk4k1+t42/t1*spbk5k1*spbk6k4+t42/t1*spbk5k4*spbk6k1+t&
      &33/t15*spbk5k1*spbk6k4+t33/t15*spbk5k4*spbk6k1+t31/t6*spbk5k1*spbk6k4+t31&
      &/t6*spbk5k4*spbk6k1+t36/t5*spbk5k1*spbk6k4+t36/t5*spbk5k4*spbk6k1+t23/t1*&
      &t49*spbk5k1*spbk6k2+t23/t1*t49*spbk5k2*spbk6k1+t23/t1*t50*spbk5k1*spbk6k3&
      &+t23/t1*t50*spbk5k3*spbk6k1+t12/t21*t23*spbk3k1*spbk4k2+t23/t16*t32*spbk2&
      &k1*spbk4k3+t23/t16*t34*spbk3k1*spbk4k2+t17/t21*t23*spbk2k1*spbk4k3+t2/t22&
      &*t23*spbk2k1*spbk4k3+t23/t22*t9*spbk3k1*spbk4k2+t23*t27/t8*spbk3k1*spbk4k&
      &2+t23*t30/t8*spbk2k1*spbk4k3+t23*t44/t5*spbk5k1*spbk6k3+t23*t44/t5*spbk5k&
      &3*spbk6k1+t23*t47/t5*spbk5k1*spbk6k2+t23*t47/t5*spbk5k2*spbk6k1+es56*t25/&
      &t21*i_*spak2k3*spbk4k1+es56*t24/t22*i_*spak2k3*spbk4k1-(es56*t26/t21*i_*s&
      &pak2k3*spbk4k1+es56*t20/t22*i_*spak2k3*spbk4k1+t23*t46/t5*spbk5k3*spbk6k1&
      &+t23*t46/t5*spbk5k1*spbk6k3+t23*t45/t5*spbk5k2*spbk6k1+t23*t45/t5*spbk5k1&
      &*spbk6k2+t23*t30/t8*spbk3k1*spbk4k2+t23*t27/t8*spbk2k1*spbk4k3+t23/t22*t9&
      &*spbk2k1*spbk4k3+t2/t22*t23*spbk3k1*spbk4k2+t17/t21*t23*spbk3k1*spbk4k2+t&
      &23/t16*t34*spbk2k1*spbk4k3+t23/t16*t32*spbk3k1*spbk4k2+t12/t21*t23*spbk2k&
      &1*spbk4k3+t23/t1*t51*spbk5k2*spbk6k1+t23/t1*t51*spbk5k1*spbk6k2+t23/t1*t4&
      &8*spbk5k3*spbk6k1+t23/t1*t48*spbk5k1*spbk6k3+t38/t5*spbk5k4*spbk6k1+t38/t&
      &5*spbk5k1*spbk6k4+t28/t6*spbk5k4*spbk6k1+t28/t6*spbk5k1*spbk6k4+t35/t15*s&
      &pbk5k4*spbk6k1+t35/t15*spbk5k1*spbk6k4+t40/t1*spbk5k4*spbk6k1+t40/t1*spbk&
      &5k1*spbk6k4+t39/t8*spbk4k1+t38/t8*spbk4k1+t35/t7*spbk4k1+t28/t29*spbk4k1+&
      &t41/t16*spbk4k1+t40/t16*spbk4k1)))
      t2 = t28*spbk4k2
      t3 = t31*spbk4k2
      t6 = t33*spbk4k2
      t7 = t35*spbk4k2
      abb82n2 = ((4.0_ki)*(t19/t21*spbk4k2+t4/t22*spbk4k2-(t14/t21*spbk4k2+t11/t&
      &22*spbk4k2))+(2.0_ki)*(t6/t16+t3/t8+t43/t21*spbk4k2+t37/t22*spbk4k2-(t39/&
      &t22*spbk4k2+t41/t21*spbk4k2+t2/t8+t7/t16)))
      t9 = t28*spbk4k3
      t10 = t31*spbk4k3
      t12 = t33*spbk4k3
      t13 = t35*spbk4k3
      abb82n3 = ((4.0_ki)*(t11/t22*spbk4k3+t14/t21*spbk4k3-(t4/t22*spbk4k3+t19/t&
      &21*spbk4k3))+(2.0_ki)*(t13/t16+t9/t8+t41/t21*spbk4k3+t39/t22*spbk4k3-(t37&
      &/t22*spbk4k3+t43/t21*spbk4k3+t12/t16+t10/t8)))
      abb82n4 = ((2.0_ki)*(t7/t1*spbk5k1+t2/t5*spbk5k1-(t3/t5*spbk5k1+t6/t1*spbk&
      &5k1)))
      t4 = t28*spak2k5*spbk4k2
      t8 = t4/t22*spbk5k1
      t11 = t28*spak3k5*spbk4k3
      t14 = t11/t22*spbk5k1
      t15 = t31*spak2k5*spbk4k2
      t16 = t15/t22*spbk5k1
      t17 = t31*spak3k5*spbk4k3
      t18 = t17/t22*spbk5k1
      t19 = t33*spak2k5*spbk4k2
      t20 = t19/t21*spbk5k1
      t23 = t33*spak3k5*spbk4k3
      t24 = t23/t21*spbk5k1
      t25 = t35*spak2k5*spbk4k2
      t26 = t25/t21*spbk5k1
      t29 = t35*spak3k5*spbk4k3
      t36 = t29/t21*spbk5k1
      abb82n5 = ((16.0_ki)*(t18+t24+t26+t8-(t36+t20+t16+t14)))
      abb82n6 = ((2.0_ki)*(t12/t1*spbk5k1+t10/t5*spbk5k1-(t9/t5*spbk5k1+t13/t1*s&
      &pbk5k1)))
      abb82n7 = ((2.0_ki)*(t7/t1*spbk6k1+t2/t5*spbk6k1-(t3/t5*spbk6k1+t6/t1*spbk&
      &6k1)))
      t2 = t28*spak2k6*spbk4k2
      t3 = t2/t22*spbk6k1
      t6 = t28*spak3k6*spbk4k3
      t7 = t6/t22*spbk6k1
      t28 = t31*spak2k6*spbk4k2
      t37 = t28/t22*spbk6k1
      t31 = t31*spak3k6*spbk4k3
      t38 = t31/t22*spbk6k1
      t39 = t33*spak2k6*spbk4k2
      t40 = t39/t21*spbk6k1
      t33 = t33*spak3k6*spbk4k3
      t41 = t33/t21*spbk6k1
      t42 = t35*spak2k6*spbk4k2
      t43 = t42/t21*spbk6k1
      t35 = t35*spak3k6*spbk4k3
      t44 = t35/t21*spbk6k1
      abb82n8 = ((8.0_ki)*(t14+t16+t20+t3+t36+t38+t41+t43-(t8+t7+t44+t40+t37+t26&
      &+t24+t18)))
      abb82n9 = ((16.0_ki)*(t37+t40+t44+t7-(t43+t41+t38+t3)))
      abb82n10 = ((2.0_ki)*(t12/t1*spbk6k1+t10/t5*spbk6k1-(t9/t5*spbk6k1+t13/t1*&
      &spbk6k1)))
      t1 = t27*spak1k2*spak2k3*spbk4k2
      t3 = t27*spak1k3*spak2k3*spbk4k3
      t5 = t30*spak1k2*spak2k3*spbk4k2
      t7 = t30*spak1k3*spak2k3*spbk4k3
      t8 = t32*spak1k2*spak2k3*spbk4k2
      t9 = t32*spak1k3*spak2k3*spbk4k3
      t10 = t34*spak1k2*spak2k3*spbk4k2
      t12 = t34*spak1k3*spak2k3*spbk4k3
      abb82n11 = ((4.0_ki)*(t1/t22*spbk6k1+t10/t21*spbk6k1+t17/t22*spbk6k5+t23/t&
      &21*spbk6k5+t25/t21*spbk6k5+t9/t21*spbk6k1+t4/t22*spbk6k5+t7/t22*spbk6k1-(&
      &t5/t22*spbk6k1+t3/t22*spbk6k1+t8/t21*spbk6k1+t29/t21*spbk6k5+t19/t21*spbk&
      &6k5+t15/t22*spbk6k5+t12/t21*spbk6k1+t11/t22*spbk6k5)))
      abb82n12 = ((4.0_ki)*(t12/t21*spbk5k1+t2/t22*spbk6k5+t33/t21*spbk6k5+t42/t&
      &21*spbk6k5+t8/t21*spbk5k1+t3/t22*spbk5k1+t31/t22*spbk6k5+t5/t22*spbk5k1-(&
      &t7/t22*spbk5k1+t6/t22*spbk6k5+t28/t22*spbk6k5+t9/t21*spbk5k1+t39/t21*spbk&
      &6k5+t35/t21*spbk6k5+t10/t21*spbk5k1+t1/t22*spbk5k1)))
      rat2d82 = 0
      rat2 = rat2 + rat2d82
      abb82n14 = abb82n1
      abb82n15 = -(abb82n2)
      abb82n16 = -(abb82n3)
      abb82n17 = -(abb82n4)
      abb82n18 = -(abb82n5)
      abb82n19 = -(abb82n6)
      abb82n20 = -(abb82n7)
      abb82n21 = -(abb82n8)
      abb82n22 = -(abb82n9)
      abb82n23 = -(abb82n10)
      abb82n24 = -(abb82n11)
      abb82n25 = -(abb82n12)
   end subroutine
end module p7_dubar_emnebargg_abbrevd82h0
