module     p7_dubar_emnebargg_d92h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p7_dubar_emnebargg/helicity0/d92h0l1d.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   integer, private :: iv4
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d92
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3, i4) result(numerator)
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd92h0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      integer, intent(in), optional :: i4
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      complex(ki) :: t50
      complex(ki) :: t51
      complex(ki) :: t52
      complex(ki) :: t53
      complex(ki) :: t54
      complex(ki) :: t55
      complex(ki) :: t56
      complex(ki) :: t57
      complex(ki) :: t58
      complex(ki) :: t59
      complex(ki) :: t60
      complex(ki) :: t61
      complex(ki) :: t62
      complex(ki) :: t63
      complex(ki) :: t64
      complex(ki) :: t65
      complex(ki) :: t66
      complex(ki) :: t67
      complex(ki) :: t68
      complex(ki) :: t69
      complex(ki) :: t70
      complex(ki) :: t71
      complex(ki) :: t72
      complex(ki) :: t73
      complex(ki) :: t74
      complex(ki) :: t75
      complex(ki) :: t76
      complex(ki) :: t77
      complex(ki) :: t78
      complex(ki) :: t79
      complex(ki) :: t80
      complex(ki) :: t81
      complex(ki) :: t82
      complex(ki) :: t83
      complex(ki) :: t84
      complex(ki) :: t85
      complex(ki) :: t86
      complex(ki) :: t87
      complex(ki) :: t88
      complex(ki) :: t89
      complex(ki) :: t90
      complex(ki) :: t91
      complex(ki) :: t92
      complex(ki) :: t93
      complex(ki) :: t94
      complex(ki) :: t95
      complex(ki) :: t96
      complex(ki) :: t97
      complex(ki) :: t98
      complex(ki) :: t99
      complex(ki) :: t100
      complex(ki) :: t101
      complex(ki) :: t102
      complex(ki) :: t103
      complex(ki) :: t104
      complex(ki) :: t105
      complex(ki) :: t106
      complex(ki) :: t107
      complex(ki) :: t108
      complex(ki) :: t109
      complex(ki) :: t110
      complex(ki) :: t111
      complex(ki) :: t112
      complex(ki) :: t113
      complex(ki) :: t114
      complex(ki) :: t115
      complex(ki) :: t116
      complex(ki) :: t117
      complex(ki) :: t118
      complex(ki) :: t119
      complex(ki) :: t120
      complex(ki) :: t121
      complex(ki) :: t122
      complex(ki) :: t123
      complex(ki) :: t124
      complex(ki) :: t125
      complex(ki) :: t126
      complex(ki) :: t127
      complex(ki) :: t128
      complex(ki) :: t129
      complex(ki) :: t130
      complex(ki) :: t131
      complex(ki) :: t132
      complex(ki) :: t133
      complex(ki) :: t134
      complex(ki) :: t135
      complex(ki) :: t136
      complex(ki) :: t137
      complex(ki) :: t138
      complex(ki) :: t139
      complex(ki) :: t140
      complex(ki) :: t141
      complex(ki) :: t142
      complex(ki) :: t143
      complex(ki) :: t144
      complex(ki) :: t145
      complex(ki) :: t146
      complex(ki) :: t147
      complex(ki) :: t148
      complex(ki) :: t149
      complex(ki) :: t150
      complex(ki) :: t151
      complex(ki) :: t152
      complex(ki) :: t153
      complex(ki) :: t154
      complex(ki) :: t155
      complex(ki) :: t156
      complex(ki) :: t157
      complex(ki) :: t158
      complex(ki) :: t159
      complex(ki) :: t160
      complex(ki) :: t161
      complex(ki) :: t162
      complex(ki) :: t163
      complex(ki) :: t164
      complex(ki) :: t165
      complex(ki) :: t166
      complex(ki) :: t167
      complex(ki) :: t168
      complex(ki) :: t169
      complex(ki) :: t170
      complex(ki) :: t171
      complex(ki) :: t172
      complex(ki) :: t173
      complex(ki) :: t174
      complex(ki) :: t175
      complex(ki) :: t176
      complex(ki) :: t177
      complex(ki) :: t178
      complex(ki) :: t179
      complex(ki) :: t180
      complex(ki) :: t181
      complex(ki) :: t182
      real(ki) :: t183
      real(ki) :: t184
      real(ki) :: t185
      real(ki) :: t186
      real(ki) :: t187
      real(ki) :: t188
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      if(present(i4)) then
         iv4 = i4
         deg = 4
      else
         iv4 = 1
      end if
      t183 = dotproduct(qshift, qshift)
      t1 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t2 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t3 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t4 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t184 = dotproduct(k5, qshift)
      t185 = dotproduct(k2, qshift)
      t186 = dotproduct(k1, qshift)
      t187 = dotproduct(k6, qshift)
      t5 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t6 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t7 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t8 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t9 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb92n81+t1*abb92n120+t183*abb92n107+t183*t183*abb92n104+t&
         &184*abb92n126+t185*abb92n138+t186*abb92n139+t187*abb92n141+t2*abb92n12&
         &3+t3*abb92n124+t4*abb92n125+t5*abb92n142+t1*t183*abb92n121+t1*t185*abb&
         &92n117+t1*t186*abb92n116+t1*t187*abb92n116+t1*t2*abb92n119+t1*t3*abb92&
         &n118+t1*t4*abb92n111+t1*t5*abb92n115+t183*t184*abb92n129+t183*t185*abb&
         &92n149+t183*t186*abb92n145+t183*t187*abb92n151+t183*t2*abb92n167+t183*&
         &t3*abb92n173+t183*t4*abb92n153+t183*t5*abb92n155+t183*t6*abb92n165+t18&
         &4*t186*abb92n113+t184*t187*abb92n113+t184*t2*abb92n89+t184*t3*abb92n86&
         &+t184*t5*abb92n109+t185*t186*abb92n103+t185*t187*abb92n105+t185*t2*abb&
         &92n90+t185*t3*abb92n85+t185*t5*abb92n100+t186*t4*abb92n101+t186*t6*abb&
         &92n93+t187*t4*abb92n102+t187*t5*abb92n110+t187*t6*abb92n94+t2*t4*abb92&
         &n91+t2*t5*abb92n96+t3*t4*abb92n87+t4*t5*abb92n99+t5*t6*abb92n92+t5*t7*&
         &abb92n97+t5*t8*abb92n98+t1*t183*t3*abb92n83+t1*t183*t4*abb92n106+t1*t1&
         &83*t5*abb92n108+t1*t185*t3*abb92n179+t1*t185*t5*abb92n136+t1*t186*t4*a&
         &bb92n144+t1*t187*t4*abb92n144+t1*t4*t5*abb92n157+t1*t5*t7*abb92n172+t1&
         &*t5*t8*abb92n137+t183*t2*t5*abb92n95+t183*t4*t5*abb92n114+t183*t4*t6*a&
         &bb92n88+t183*t5*t6*abb92n84+t183*t5*t8*abb92n112+t184*t2*t5*abb92n163+&
         &t184*t5*t6*abb92n175+t184*t5*t8*abb92n132+t185*t2*t5*abb92n160+t185*t4&
         &*t5*abb92n128+t185*t5*t6*abb92n177+t185*t5*t8*abb92n134+t186*t4*t6*abb&
         &92n169+t187*t4*t5*abb92n128+t187*t4*t6*abb92n171+t2*t4*t5*abb92n164+t3&
         &*t4*t5*abb92n161+t4*t5*t6*abb92n178+t4*t5*t7*abb92n159+t4*t5*t8*abb92n&
         &131+t4*t5*t9*abb92n158+t1*t4*t5*t7*abb92n82)
         return
      end if
      t10 = k1(iv1)
      t11 = k2(iv1)
      t12 = k5(iv1)
      t13 = k6(iv1)
      t14 = qshift(iv1)
      t15 = spvak3k4(iv1)
      t16 = spvak5k1(iv1)
      t17 = spvak5k6(iv1)
      t18 = spvak6k1(iv1)
      t19 = spvak6k5(iv1)
      t20 = t12*abb92n113
      t21 = spvak2k1(iv1)
      t22 = spvak2k5(iv1)
      t23 = spvak3k1(iv1)
      t24 = t15*abb92n116
      t25 = spvak2k4(iv1)
      t26 = t15*abb92n144
      t27 = t17*abb92n128
      t28 = t19*abb92n128
      t29 = t19*abb92n144
      if(deg.eq.1) then
         numerator = (t10*abb92n139+t11*abb92n138+t12*abb92n126+t13*abb92n141+t1&
         &4*abb92n140+t15*abb92n120+t16*abb92n124+t17*abb92n142+t18*abb92n123+t1&
         &86*t20+t186*t24+t187*t20+t187*t24+t19*abb92n125+t1*t10*abb92n116+t1*t1&
         &1*abb92n117+t1*t13*abb92n116+t1*t14*abb92n122+t1*t16*abb92n118+t1*t17*&
         &abb92n115+t1*t18*abb92n119+t1*t186*t29+t1*t187*t29+t1*t19*abb92n111+t1&
         &0*t183*abb92n145+t10*t184*abb92n113+t10*t185*abb92n103+t10*t4*abb92n10&
         &1+t10*t6*abb92n93+t11*t183*abb92n149+t11*t186*abb92n103+t11*t187*abb92&
         &n105+t11*t2*abb92n90+t11*t3*abb92n85+t11*t5*abb92n100+t12*t183*abb92n1&
         &29+t12*t2*abb92n89+t12*t3*abb92n86+t12*t5*abb92n109+t13*t183*abb92n151&
         &+t13*t184*abb92n113+t13*t185*abb92n105+t13*t4*abb92n102+t13*t5*abb92n1&
         &10+t13*t6*abb92n94+t14*t183*abb92n147+t14*t184*abb92n130+t14*t185*abb9&
         &2n150+t14*t186*abb92n146+t14*t187*abb92n152+t14*t2*abb92n168+t14*t3*ab&
         &b92n174+t14*t4*abb92n154+t14*t5*abb92n156+t14*t6*abb92n166+t15*t183*ab&
         &b92n121+t15*t185*abb92n117+t15*t2*abb92n119+t15*t3*abb92n118+t15*t4*ab&
         &b92n111+t15*t5*abb92n115+t16*t183*abb92n173+t16*t184*abb92n86+t16*t185&
         &*abb92n85+t16*t4*abb92n87+t17*t183*abb92n155+t17*t184*abb92n109+t17*t1&
         &85*abb92n100+t17*t187*abb92n110+t17*t2*abb92n96+t17*t4*abb92n99+t17*t6&
         &*abb92n92+t17*t7*abb92n97+t17*t8*abb92n98+t18*t183*abb92n167+t18*t184*&
         &abb92n89+t18*t185*abb92n90+t18*t4*abb92n91+t18*t5*abb92n96+t183*t19*ab&
         &b92n153+t183*t23*abb92n165+t185*t27*t4+t185*t28*t5+t186*t19*abb92n101+&
         &t186*t23*abb92n93+t186*t26*t4+t187*t19*abb92n102+t187*t23*abb92n94+t18&
         &7*t26*t4+t187*t27*t4+t187*t28*t5+t19*t2*abb92n91+t19*t3*abb92n87+t19*t&
         &5*abb92n99+t21*t5*abb92n97+t22*t5*abb92n98+t23*t5*abb92n92+t1*t10*t4*a&
         &bb92n144+t1*t11*t3*abb92n179+t1*t11*t5*abb92n136+t1*t13*t4*abb92n144+t&
         &1*t14*t3*abb92n180+t1*t14*t4*abb92n143+t1*t14*t5*abb92n135+t1*t16*t183&
         &*abb92n83+t1*t16*t185*abb92n179+t1*t17*t183*abb92n108+t1*t17*t185*abb9&
         &2n136+t1*t17*t4*abb92n157+t1*t17*t7*abb92n172+t1*t17*t8*abb92n137+t1*t&
         &183*t19*abb92n106+t1*t19*t5*abb92n157+t1*t21*t5*abb92n172+t1*t22*t5*ab&
         &b92n137+t10*t4*t6*abb92n169+t11*t2*t5*abb92n160+t11*t4*t5*abb92n128+t1&
         &1*t5*t6*abb92n177+t11*t5*t8*abb92n134+t12*t2*t5*abb92n163+t12*t5*t6*ab&
         &b92n175+t12*t5*t8*abb92n132+t13*t4*t5*abb92n128+t13*t4*t6*abb92n171+t1&
         &4*t2*t5*abb92n162+t14*t4*t5*abb92n127+t14*t4*t6*abb92n170+t14*t5*t6*ab&
         &b92n176+t14*t5*t8*abb92n133+t15*t183*t3*abb92n83+t15*t183*t4*abb92n106&
         &+t15*t183*t5*abb92n108+t15*t185*t3*abb92n179+t15*t185*t5*abb92n136+t15&
         &*t4*t5*abb92n157+t15*t5*t7*abb92n172+t15*t5*t8*abb92n137+t16*t4*t5*abb&
         &92n161+t17*t183*t2*abb92n95+t17*t183*t4*abb92n114+t17*t183*t6*abb92n84&
         &+t17*t183*t8*abb92n112+t17*t184*t2*abb92n163+t17*t184*t6*abb92n175+t17&
         &*t184*t8*abb92n132+t17*t185*t2*abb92n160+t17*t185*t6*abb92n177+t17*t18&
         &5*t8*abb92n134+t17*t2*t4*abb92n164+t17*t3*t4*abb92n161+t17*t4*t6*abb92&
         &n178+t17*t4*t7*abb92n159+t17*t4*t8*abb92n131+t17*t4*t9*abb92n158+t18*t&
         &183*t5*abb92n95+t18*t184*t5*abb92n163+t18*t185*t5*abb92n160+t18*t4*t5*&
         &abb92n164+t183*t19*t5*abb92n114+t183*t19*t6*abb92n88+t183*t22*t5*abb92&
         &n112+t183*t23*t4*abb92n88+t183*t23*t5*abb92n84+t184*t22*t5*abb92n132+t&
         &184*t23*t5*abb92n175+t185*t22*t5*abb92n134+t185*t23*t5*abb92n177+t186*&
         &t19*t6*abb92n169+t186*t23*t4*abb92n169+t187*t19*t6*abb92n171+t187*t23*&
         &t4*abb92n171+t19*t2*t5*abb92n164+t19*t3*t5*abb92n161+t19*t5*t6*abb92n1&
         &78+t19*t5*t7*abb92n159+t19*t5*t8*abb92n131+t19*t5*t9*abb92n158+t21*t4*&
         &t5*abb92n159+t22*t4*t5*abb92n131+t23*t4*t5*abb92n178+t25*t4*t5*abb92n1&
         &58+t1*t17*t4*t7*abb92n82+t1*t19*t5*t7*abb92n82+t1*t21*t4*t5*abb92n82+t&
         &15*t4*t5*t7*abb92n82)
         return
      end if
      t188 = d(iv1,iv2)
      t20 = qshift(iv2)
      t24 = k2(iv2)
      t26 = k5(iv2)
      t27 = spvak3k1(iv2)
      t28 = t10*t27
      t29 = spvak3k4(iv2)
      t30 = t10*t29
      t31 = spvak6k5(iv2)
      t32 = t10*t31
      t33 = k1(iv2)
      t34 = t23*t33
      t35 = t15*t33
      t36 = t19*t33
      t37 = k6(iv2)
      t38 = t11*t29
      t39 = spvak5k1(iv2)
      t40 = t11*t39
      t41 = spvak5k6(iv2)
      t42 = t11*t41
      t43 = spvak6k1(iv2)
      t44 = t11*t43
      t45 = t15*t24
      t46 = t16*t24
      t47 = t17*t24
      t48 = t18*t24
      t49 = t12*t41
      t50 = t12*t43
      t51 = t17*t26
      t52 = t18*t26
      t53 = t13*t27
      t54 = t13*t29
      t55 = t13*t41
      t56 = t13*t31
      t57 = t23*t37
      t58 = t15*t37
      t59 = t17*t37
      t60 = t19*t37
      t61 = t14*t27
      t62 = t14*t29
      t63 = t14*t39
      t64 = t14*t41
      t65 = t14*t43
      t66 = t14*t31
      t67 = t20*t23
      t68 = t15*t20
      t69 = t16*t20
      t70 = t17*t20
      t71 = t18*t20
      t72 = t19*t20
      t73 = t21*t41
      t74 = spvak2k1(iv2)
      t75 = t17*t74
      t76 = t22*t41
      t77 = spvak2k5(iv2)
      t78 = t17*t77
      t79 = t23*t41
      t80 = t17*t27
      t81 = t15*t39
      t82 = t15*t41
      t83 = t15*t31
      t84 = t16*t29
      t85 = t17*t29
      t86 = t19*t29
      t87 = t16*t31
      t88 = t19*t39
      t89 = t17*t43
      t90 = t17*t31
      t91 = t18*t41
      t92 = t19*t41
      t93 = t18*t31
      t94 = t19*t43
      t95 = t11*t77
      t96 = t11*t27
      t97 = t22*t24
      t98 = t23*t24
      t99 = t12*t77
      t100 = t12*t27
      t101 = t22*t26
      t102 = t23*t26
      t103 = t14*t77
      t104 = t20*t22
      t105 = t21*t29
      t106 = t21*t31
      t107 = t15*t74
      t108 = t19*t74
      t109 = t25*t41
      t110 = spvak2k4(iv2)
      t111 = t110*t17
      t112 = t22*t29
      t113 = t15*t77
      t114 = t23*t31
      t115 = t19*t27
      t116 = t83*abb92n144
      t117 = t86*abb92n144
      t118 = t16*t41
      t119 = t17*t39
      t120 = t90*abb92n128
      t121 = t92*abb92n128
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t188*abb92n107+t1*t188*abb92n121+t14*t20*abb92n1&
         &47+t183*t188*abb92n148+t184*t188*abb92n129+t185*t188*abb92n149+t186*t1&
         &88*abb92n145+t187*t188*abb92n151+t188*t2*abb92n167+t188*t3*abb92n173+t&
         &188*t4*abb92n153+t188*t5*abb92n155+t188*t6*abb92n165+t1*t188*t3*abb92n&
         &83+t1*t188*t4*abb92n106+t1*t188*t5*abb92n108+t188*t2*t5*abb92n95+t188*&
         &t4*t5*abb92n114+t188*t4*t6*abb92n88+t188*t5*t6*abb92n84+t188*t5*t8*abb&
         &92n112)+t116*t186+t116*t187+t117*t186+t117*t187+t120*t185+t120*t187+t1&
         &21*t185+t121*t187+t28*abb92n93+t30*abb92n116+t32*abb92n101+t34*abb92n9&
         &3+t35*abb92n116+t36*abb92n101+t38*abb92n117+t40*abb92n85+t42*abb92n100&
         &+t44*abb92n90+t45*abb92n117+t46*abb92n85+t47*abb92n100+t48*abb92n90+t4&
         &9*abb92n109+t50*abb92n89+t51*abb92n109+t52*abb92n89+t53*abb92n94+t54*a&
         &bb92n116+t55*abb92n110+t56*abb92n102+t57*abb92n94+t58*abb92n116+t59*ab&
         &b92n110+t60*abb92n102+t61*abb92n166+t62*abb92n122+t63*abb92n174+t64*ab&
         &b92n156+t65*abb92n168+t66*abb92n154+t67*abb92n166+t68*abb92n122+t69*ab&
         &b92n174+t70*abb92n156+t71*abb92n168+t72*abb92n154+t73*abb92n97+t75*abb&
         &92n97+t76*abb92n98+t78*abb92n98+t79*abb92n92+t80*abb92n92+t81*abb92n11&
         &8+t82*abb92n115+t83*abb92n111+t84*abb92n118+t85*abb92n115+t86*abb92n11&
         &1+t87*abb92n87+t88*abb92n87+t89*abb92n96+t90*abb92n99+t91*abb92n96+t92&
         &*abb92n99+t93*abb92n91+t94*abb92n91+t1*t32*abb92n144+t1*t36*abb92n144+&
         &t1*t40*abb92n179+t1*t42*abb92n136+t1*t46*abb92n179+t1*t47*abb92n136+t1&
         &*t56*abb92n144+t1*t60*abb92n144+t1*t63*abb92n180+t1*t64*abb92n135+t1*t&
         &66*abb92n143+t1*t69*abb92n180+t1*t70*abb92n135+t1*t72*abb92n143+t1*t73&
         &*abb92n172+t1*t75*abb92n172+t1*t76*abb92n137+t1*t78*abb92n137+t1*t90*a&
         &bb92n157+t1*t92*abb92n157+t10*t20*abb92n146+t10*t24*abb92n103+t10*t26*&
         &abb92n113+t100*t5*abb92n175+t101*t5*abb92n132+t102*t5*abb92n175+t103*t&
         &5*abb92n133+t104*t5*abb92n133+t105*t5*abb92n172+t106*t5*abb92n159+t107&
         &*t5*abb92n172+t108*t5*abb92n159+t109*t4*abb92n158+t11*t20*abb92n150+t1&
         &1*t33*abb92n103+t11*t37*abb92n105+t111*t4*abb92n158+t112*t5*abb92n137+&
         &t113*t5*abb92n137+t114*t183*abb92n88+t114*t186*abb92n169+t114*t187*abb&
         &92n171+t114*t5*abb92n178+t115*t183*abb92n88+t115*t186*abb92n169+t115*t&
         &187*abb92n171+t115*t5*abb92n178+t118*t4*abb92n161+t119*t4*abb92n161+t1&
         &2*t20*abb92n130+t12*t33*abb92n113+t12*t37*abb92n113+t12*t39*abb92n86+t&
         &13*t20*abb92n152+t13*t24*abb92n105+t13*t26*abb92n113+t14*t24*abb92n150&
         &+t14*t26*abb92n130+t14*t33*abb92n146+t14*t37*abb92n152+t15*t43*abb92n1&
         &19+t16*t26*abb92n86+t18*t29*abb92n119+t183*t76*abb92n112+t183*t78*abb9&
         &2n112+t183*t79*abb92n84+t183*t80*abb92n84+t183*t81*abb92n83+t183*t82*a&
         &bb92n108+t183*t83*abb92n106+t183*t84*abb92n83+t183*t85*abb92n108+t183*&
         &t86*abb92n106+t183*t89*abb92n95+t183*t90*abb92n114+t183*t91*abb92n95+t&
         &183*t92*abb92n114+t184*t76*abb92n132+t184*t78*abb92n132+t184*t79*abb92&
         &n175+t184*t80*abb92n175+t184*t89*abb92n163+t184*t91*abb92n163+t185*t76&
         &*abb92n134+t185*t78*abb92n134+t185*t79*abb92n177+t185*t80*abb92n177+t1&
         &85*t81*abb92n179+t185*t82*abb92n136+t185*t84*abb92n179+t185*t85*abb92n&
         &136+t185*t89*abb92n160+t185*t91*abb92n160+t2*t42*abb92n160+t2*t47*abb9&
         &2n160+t2*t49*abb92n163+t2*t51*abb92n163+t2*t64*abb92n162+t2*t70*abb92n&
         &162+t2*t90*abb92n164+t2*t92*abb92n164+t28*t4*abb92n169+t3*t38*abb92n17&
         &9+t3*t45*abb92n179+t3*t62*abb92n180+t3*t68*abb92n180+t3*t90*abb92n161+&
         &t3*t92*abb92n161+t30*t4*abb92n144+t32*t6*abb92n169+t34*t4*abb92n169+t3&
         &5*t4*abb92n144+t36*t6*abb92n169+t38*t5*abb92n136+t4*t42*abb92n128+t4*t&
         &47*abb92n128+t4*t53*abb92n171+t4*t54*abb92n144+t4*t55*abb92n128+t4*t57&
         &*abb92n171+t4*t58*abb92n144+t4*t59*abb92n128+t4*t61*abb92n170+t4*t62*a&
         &bb92n143+t4*t64*abb92n127+t4*t67*abb92n170+t4*t68*abb92n143+t4*t70*abb&
         &92n127+t4*t73*abb92n159+t4*t75*abb92n159+t4*t76*abb92n131+t4*t78*abb92&
         &n131+t4*t79*abb92n178+t4*t80*abb92n178+t4*t82*abb92n157+t4*t85*abb92n1&
         &57+t4*t89*abb92n164+t4*t91*abb92n164+t42*t6*abb92n177+t42*t8*abb92n134&
         &+t44*t5*abb92n160+t45*t5*abb92n136+t47*t6*abb92n177+t47*t8*abb92n134+t&
         &48*t5*abb92n160+t49*t6*abb92n175+t49*t8*abb92n132+t5*t50*abb92n163+t5*&
         &t52*abb92n163+t5*t56*abb92n128+t5*t60*abb92n128+t5*t61*abb92n176+t5*t6&
         &2*abb92n135+t5*t65*abb92n162+t5*t66*abb92n127+t5*t67*abb92n176+t5*t68*&
         &abb92n135+t5*t71*abb92n162+t5*t72*abb92n127+t5*t83*abb92n157+t5*t86*ab&
         &b92n157+t5*t87*abb92n161+t5*t88*abb92n161+t5*t93*abb92n164+t5*t94*abb9&
         &2n164+t5*t95*abb92n134+t5*t96*abb92n177+t5*t97*abb92n134+t5*t98*abb92n&
         &177+t5*t99*abb92n132+t51*t6*abb92n175+t51*t8*abb92n132+t56*t6*abb92n17&
         &1+t6*t60*abb92n171+t6*t64*abb92n176+t6*t66*abb92n170+t6*t70*abb92n176+&
         &t6*t72*abb92n170+t6*t90*abb92n178+t6*t92*abb92n178+t64*t8*abb92n133+t7&
         &*t82*abb92n172+t7*t85*abb92n172+t7*t90*abb92n159+t7*t92*abb92n159+t70*&
         &t8*abb92n133+t8*t82*abb92n137+t8*t85*abb92n137+t8*t90*abb92n131+t8*t92&
         &*abb92n131+t9*t90*abb92n158+t9*t92*abb92n158+t1*t106*t5*abb92n82+t1*t1&
         &08*t5*abb92n82+t1*t4*t73*abb92n82+t1*t4*t75*abb92n82+t1*t7*t90*abb92n8&
         &2+t1*t7*t92*abb92n82+t105*t4*t5*abb92n82+t107*t4*t5*abb92n82+t11*t31*t&
         &5*abb92n128+t110*t19*t5*abb92n158+t19*t24*t5*abb92n128+t19*t5*t77*abb9&
         &2n131+t22*t31*t5*abb92n131+t25*t31*t5*abb92n158+t4*t7*t82*abb92n82+t4*&
         &t7*t85*abb92n82+t5*t7*t83*abb92n82+t5*t7*t86*abb92n82)
         return
      end if
      t183 = d(iv2,iv3)
      t184 = d(iv1,iv3)
      t9 = k1(iv3)
      t32 = k2(iv3)
      t36 = k5(iv3)
      t40 = k6(iv3)
      t44 = qshift(iv3)
      t46 = t183*t23
      t48 = t184*t27
      t50 = spvak3k1(iv3)
      t52 = t188*t50
      t56 = t15*t183
      t60 = t184*t29
      t63 = spvak3k4(iv3)
      t65 = t188*t63
      t66 = t16*t183
      t69 = t184*t39
      t71 = spvak5k1(iv3)
      t72 = t188*t71
      t87 = t17*t183
      t88 = t184*t41
      t93 = spvak5k6(iv3)
      t94 = t188*t93
      t106 = t18*t183
      t108 = t184*t43
      t116 = spvak6k1(iv3)
      t117 = t116*t188
      t120 = t183*t19
      t121 = t184*t31
      t122 = spvak6k5(iv3)
      t123 = t122*t188
      t124 = spvak2k5(iv3)
      t125 = t11*t63
      t126 = t11*t93
      t127 = t24*t63
      t128 = t24*t93
      t129 = t15*t32
      t130 = t29*t32
      t131 = t17*t32
      t132 = t32*t41
      t133 = t14*t50
      t134 = t14*t63
      t135 = t14*t93
      t136 = t20*t50
      t137 = t20*t63
      t138 = t20*t93
      t139 = t23*t44
      t140 = t27*t44
      t141 = t15*t44
      t142 = t29*t44
      t143 = t17*t44
      t144 = t41*t44
      t145 = t105*t93
      t146 = t21*t63
      t147 = t146*t41
      t73 = t122*t73
      t148 = t21*t31*t93
      t149 = t107*t93
      t150 = t63*t74
      t151 = t150*t17
      t75 = t122*t75
      t152 = t19*t74*t93
      t153 = spvak2k1(iv3)
      t154 = t15*t153
      t155 = t154*t41
      t156 = t153*t29
      t157 = t156*t17
      t158 = t153*t17*t31
      t159 = t153*t19*t41
      t160 = spvak2k4(iv3)
      t161 = t22*t93
      t162 = t77*t93
      t163 = t124*t17
      t164 = t124*t41
      t165 = t23*t93
      t166 = t27*t93
      t167 = t17*t50
      t168 = t41*t50
      t169 = t122*t82
      t170 = t15*t93
      t171 = t170*t31
      t172 = t122*t85
      t173 = t29*t93
      t174 = t173*t19
      t175 = t17*t63
      t176 = t175*t31
      t177 = t41*t63
      t178 = t177*t19
      t179 = t116*t17
      t180 = t116*t41
      t181 = t18*t93
      t182 = t43*t93
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(t106*abb92n167+t108*abb92n167+t117*abb92n167+t12&
         &0*abb92n153+t121*abb92n153+t123*abb92n153+t46*abb92n165+t48*abb92n165+&
         &t52*abb92n165+t56*abb92n121+t60*abb92n121+t65*abb92n121+t66*abb92n173+&
         &t69*abb92n173+t72*abb92n173+t87*abb92n155+t88*abb92n155+t94*abb92n155+&
         &t1*t120*abb92n106+t1*t121*abb92n106+t1*t123*abb92n106+t1*t66*abb92n83+&
         &t1*t69*abb92n83+t1*t72*abb92n83+t1*t87*abb92n108+t1*t88*abb92n108+t1*t&
         &94*abb92n108+t10*t183*abb92n145+t106*t5*abb92n95+t108*t5*abb92n95+t11*&
         &t183*abb92n149+t117*t5*abb92n95+t12*t183*abb92n129+t120*t5*abb92n114+t&
         &120*t6*abb92n88+t121*t5*abb92n114+t121*t6*abb92n88+t123*t5*abb92n114+t&
         &123*t6*abb92n88+t13*t183*abb92n151+t14*t183*abb92n147+t184*t20*abb92n1&
         &47+t184*t24*abb92n149+t184*t26*abb92n129+t184*t33*abb92n145+t184*t37*a&
         &bb92n151+t188*t32*abb92n149+t188*t36*abb92n129+t188*t40*abb92n151+t188&
         &*t44*abb92n147+t188*t9*abb92n145+t2*t87*abb92n95+t2*t88*abb92n95+t2*t9&
         &4*abb92n95+t3*t56*abb92n83+t3*t60*abb92n83+t3*t65*abb92n83+t4*t46*abb9&
         &2n88+t4*t48*abb92n88+t4*t52*abb92n88+t4*t56*abb92n106+t4*t60*abb92n106&
         &+t4*t65*abb92n106+t4*t87*abb92n114+t4*t88*abb92n114+t4*t94*abb92n114+t&
         &46*t5*abb92n84+t48*t5*abb92n84+t5*t52*abb92n84+t5*t56*abb92n108+t5*t60&
         &*abb92n108+t5*t65*abb92n108+t6*t87*abb92n84+t6*t88*abb92n84+t6*t94*abb&
         &92n84+t8*t87*abb92n112+t8*t88*abb92n112+t8*t94*abb92n112+t124*t188*t5*&
         &abb92n112+t183*t22*t5*abb92n112+t184*t5*t77*abb92n112)+t145*abb92n172+&
         &t147*abb92n172+t148*abb92n159+t149*abb92n172+t151*abb92n172+t152*abb92&
         &n159+t155*abb92n172+t157*abb92n172+t158*abb92n159+t159*abb92n159+t169*&
         &abb92n157+t171*abb92n157+t172*abb92n157+t174*abb92n157+t176*abb92n157+&
         &t178*abb92n157+t73*abb92n159+t75*abb92n159+t1*t148*abb92n82+t1*t152*ab&
         &b92n82+t1*t158*abb92n82+t1*t159*abb92n82+t1*t73*abb92n82+t1*t75*abb92n&
         &82+t100*t93*abb92n175+t101*t93*abb92n132+t102*t93*abb92n175+t103*t93*a&
         &bb92n133+t104*t93*abb92n133+t109*t122*abb92n158+t111*t122*abb92n158+t1&
         &12*t93*abb92n137+t113*t93*abb92n137+t116*t42*abb92n160+t116*t47*abb92n&
         &160+t116*t49*abb92n163+t116*t51*abb92n163+t116*t64*abb92n162+t116*t70*&
         &abb92n162+t118*t122*abb92n161+t119*t122*abb92n161+t122*t28*abb92n169+t&
         &122*t30*abb92n144+t122*t34*abb92n169+t122*t35*abb92n144+t122*t42*abb92&
         &n128+t122*t47*abb92n128+t122*t53*abb92n171+t122*t54*abb92n144+t122*t55&
         &*abb92n128+t122*t57*abb92n171+t122*t58*abb92n144+t122*t59*abb92n128+t1&
         &22*t61*abb92n170+t122*t62*abb92n143+t122*t64*abb92n127+t122*t67*abb92n&
         &170+t122*t68*abb92n143+t122*t70*abb92n127+t122*t76*abb92n131+t122*t78*&
         &abb92n131+t122*t79*abb92n178+t122*t80*abb92n178+t122*t89*abb92n164+t12&
         &2*t91*abb92n164+t125*t39*abb92n179+t125*t41*abb92n136+t126*t31*abb92n1&
         &28+t126*t43*abb92n160+t127*t16*abb92n179+t127*t17*abb92n136+t128*t18*a&
         &bb92n160+t128*t19*abb92n128+t129*t39*abb92n179+t129*t41*abb92n136+t130&
         &*t16*abb92n179+t130*t17*abb92n136+t131*t31*abb92n128+t131*t43*abb92n16&
         &0+t132*t18*abb92n160+t132*t19*abb92n128+t133*t31*abb92n170+t133*t41*ab&
         &b92n176+t134*t31*abb92n143+t134*t39*abb92n180+t134*t41*abb92n135+t135*&
         &t31*abb92n127+t135*t43*abb92n162+t136*t17*abb92n176+t136*t19*abb92n170&
         &+t137*t16*abb92n180+t137*t17*abb92n135+t137*t19*abb92n143+t138*t18*abb&
         &92n162+t138*t19*abb92n127+t139*t31*abb92n170+t139*t41*abb92n176+t140*t&
         &17*abb92n176+t140*t19*abb92n170+t141*t31*abb92n143+t141*t39*abb92n180+&
         &t141*t41*abb92n135+t142*t16*abb92n180+t142*t17*abb92n135+t142*t19*abb9&
         &2n143+t143*t31*abb92n127+t143*t43*abb92n162+t144*t18*abb92n162+t144*t1&
         &9*abb92n127+t145*t4*abb92n82+t147*t4*abb92n82+t149*t4*abb92n82+t151*t4&
         &*abb92n82+t155*t4*abb92n82+t157*t4*abb92n82+t161*t31*abb92n131+t162*t1&
         &9*abb92n131+t163*t31*abb92n131+t164*t19*abb92n131+t165*t31*abb92n178+t&
         &166*t19*abb92n178+t167*t31*abb92n178+t168*t19*abb92n178+t169*t7*abb92n&
         &82+t171*t7*abb92n82+t172*t7*abb92n82+t174*t7*abb92n82+t176*t7*abb92n82&
         &+t178*t7*abb92n82+t179*t31*abb92n164+t180*t19*abb92n164+t181*t31*abb92&
         &n164+t182*t19*abb92n164+t38*t71*abb92n179+t38*t93*abb92n136+t45*t71*ab&
         &b92n179+t45*t93*abb92n136+t61*t93*abb92n176+t62*t71*abb92n180+t62*t93*&
         &abb92n135+t67*t93*abb92n176+t68*t71*abb92n180+t68*t93*abb92n135+t93*t9&
         &5*abb92n134+t93*t96*abb92n177+t93*t97*abb92n134+t93*t98*abb92n177+t93*&
         &t99*abb92n132+t10*t31*t50*abb92n169+t10*t31*t63*abb92n144+t105*t122*t5&
         &*abb92n82+t107*t122*t5*abb92n82+t11*t124*t41*abb92n134+t11*t41*t50*abb&
         &92n177+t110*t19*t93*abb92n158+t12*t124*t41*abb92n132+t12*t41*t50*abb92&
         &n175+t12*t43*t93*abb92n163+t124*t14*t41*abb92n133+t124*t15*t41*abb92n1&
         &37+t124*t17*t20*abb92n133+t124*t17*t24*abb92n134+t124*t17*t26*abb92n13&
         &2+t124*t17*t29*abb92n137+t13*t31*t50*abb92n171+t13*t31*t63*abb92n144+t&
         &13*t31*t93*abb92n128+t146*t31*t5*abb92n82+t15*t31*t40*abb92n144+t15*t3&
         &1*t9*abb92n144+t150*t19*t5*abb92n82+t154*t31*t5*abb92n82+t156*t19*t5*a&
         &bb92n82+t16*t31*t93*abb92n161+t160*t17*t31*abb92n158+t160*t19*t41*abb9&
         &2n158+t17*t24*t50*abb92n177+t17*t26*t50*abb92n175+t17*t27*t32*abb92n17&
         &7+t17*t27*t36*abb92n175+t17*t31*t40*abb92n128+t17*t31*t71*abb92n161+t1&
         &7*t32*t77*abb92n134+t17*t36*t43*abb92n163+t17*t36*t77*abb92n132+t17*t4&
         &4*t77*abb92n133+t17*t63*t77*abb92n137+t18*t26*t93*abb92n163+t18*t36*t4&
         &1*abb92n163+t19*t27*t40*abb92n171+t19*t27*t9*abb92n169+t19*t29*t40*abb&
         &92n144+t19*t29*t9*abb92n144+t19*t33*t50*abb92n169+t19*t33*t63*abb92n14&
         &4+t19*t37*t50*abb92n171+t19*t37*t63*abb92n144+t19*t37*t93*abb92n128+t1&
         &9*t39*t93*abb92n161+t19*t40*t41*abb92n128+t19*t41*t71*abb92n161+t22*t3&
         &2*t41*abb92n134+t22*t36*t41*abb92n132+t22*t41*t44*abb92n133+t22*t41*t6&
         &3*abb92n137+t23*t31*t40*abb92n171+t23*t31*t9*abb92n169+t23*t32*t41*abb&
         &92n177+t23*t36*t41*abb92n175+t25*t31*t93*abb92n158)
         return
      end if
      t185 = d(iv3,iv4)
      t186 = d(iv2,iv4)
      t187 = d(iv1,iv4)
      t1 = spvak5k6(iv4)
      t2 = spvak2k5(iv4)
      t3 = spvak6k5(iv4)
      t4 = spvak3k1(iv4)
      t5 = spvak5k1(iv4)
      t6 = spvak3k4(iv4)
      t7 = spvak6k1(iv4)
      t8 = t21*t6
      t9 = t6*t74
      t10 = t153*t6
      t11 = spvak2k1(iv4)
      t12 = t11*t15
      t13 = t11*t29
      t11 = t11*t63
      if(deg.eq.4) then
         numerator = ((8.0_ki)*(t183*t187*abb92n104+t184*t186*abb92n104+t185*t18&
         &8*abb92n104)+(2.0_ki)*(t114*t185*abb92n88+t115*t185*abb92n88+t161*t186&
         &*abb92n112+t162*t187*abb92n112+t163*t186*abb92n112+t164*t187*abb92n112&
         &+t165*t186*abb92n84+t166*t187*abb92n84+t167*t186*abb92n84+t168*t187*ab&
         &b92n84+t170*t186*abb92n108+t173*t187*abb92n108+t175*t186*abb92n108+t17&
         &7*t187*abb92n108+t179*t186*abb92n95+t180*t187*abb92n95+t181*t186*abb92&
         &n95+t182*t187*abb92n95+t185*t76*abb92n112+t185*t78*abb92n112+t185*t79*&
         &abb92n84+t185*t80*abb92n84+t185*t81*abb92n83+t185*t82*abb92n108+t185*t&
         &83*abb92n106+t185*t84*abb92n83+t185*t85*abb92n108+t185*t86*abb92n106+t&
         &185*t89*abb92n95+t185*t90*abb92n114+t185*t91*abb92n95+t185*t92*abb92n1&
         &14+t1*t116*t188*abb92n95+t1*t122*t188*abb92n114+t1*t124*t188*abb92n112&
         &+t1*t15*t183*abb92n108+t1*t18*t183*abb92n95+t1*t183*t19*abb92n114+t1*t&
         &183*t22*abb92n112+t1*t183*t23*abb92n84+t1*t184*t27*abb92n84+t1*t184*t2&
         &9*abb92n108+t1*t184*t31*abb92n114+t1*t184*t43*abb92n95+t1*t184*t77*abb&
         &92n112+t1*t188*t50*abb92n84+t1*t188*t63*abb92n108+t122*t15*t186*abb92n&
         &106+t122*t17*t186*abb92n114+t122*t186*t23*abb92n88+t122*t187*t27*abb92&
         &n88+t122*t187*t29*abb92n106+t122*t187*t41*abb92n114+t122*t188*t4*abb92&
         &n88+t122*t188*t6*abb92n106+t15*t183*t3*abb92n106+t15*t183*t5*abb92n83+&
         &t15*t186*t71*abb92n83+t16*t183*t6*abb92n83+t16*t186*t63*abb92n83+t17*t&
         &183*t2*abb92n112+t17*t183*t3*abb92n114+t17*t183*t4*abb92n84+t17*t183*t&
         &6*abb92n108+t17*t183*t7*abb92n95+t183*t19*t4*abb92n88+t183*t19*t6*abb9&
         &2n106+t183*t23*t3*abb92n88+t184*t2*t41*abb92n112+t184*t27*t3*abb92n88+&
         &t184*t29*t3*abb92n106+t184*t29*t5*abb92n83+t184*t3*t41*abb92n114+t184*&
         &t31*t4*abb92n88+t184*t31*t6*abb92n106+t184*t39*t6*abb92n83+t184*t4*t41&
         &*abb92n84+t184*t41*t6*abb92n108+t184*t41*t7*abb92n95+t186*t19*t50*abb9&
         &2n88+t186*t19*t63*abb92n106+t186*t19*t93*abb92n114+t187*t29*t71*abb92n&
         &83+t187*t31*t50*abb92n88+t187*t31*t63*abb92n106+t187*t31*t93*abb92n114&
         &+t187*t39*t63*abb92n83+t188*t2*t93*abb92n112+t188*t3*t50*abb92n88+t188&
         &*t3*t63*abb92n106+t188*t3*t93*abb92n114+t188*t4*t93*abb92n84+t188*t5*t&
         &63*abb92n83+t188*t6*t71*abb92n83+t188*t6*t93*abb92n108+t188*t7*t93*abb&
         &92n95)+t145*t3*abb92n82+t147*t3*abb92n82+t149*t3*abb92n82+t151*t3*abb9&
         &2n82+t155*t3*abb92n82+t157*t3*abb92n82+t1*t105*t122*abb92n82+t1*t107*t&
         &122*abb92n82+t1*t146*t31*abb92n82+t1*t150*t19*abb92n82+t1*t154*t31*abb&
         &92n82+t1*t156*t19*abb92n82+t10*t17*t31*abb92n82+t10*t19*t41*abb92n82+t&
         &11*t17*t31*abb92n82+t11*t19*t41*abb92n82+t12*t122*t41*abb92n82+t12*t31&
         &*t93*abb92n82+t122*t13*t17*abb92n82+t122*t17*t9*abb92n82+t122*t41*t8*a&
         &bb92n82+t13*t19*t93*abb92n82+t19*t9*t93*abb92n82+t31*t8*t93*abb92n82)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d92:
   subroutine     reconstruct_d92(coeffs)
      use p7_dubar_emnebargg_groups, only: tensrec_info_group1
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group1), intent(out) :: coeffs
      ! rank 4 case:
      !---[# reconstruct coeffs%coeffs_92:
      coeffs%coeffs_92%c0 = derivative(czip)
      coeffs%coeffs_92%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_92%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_92%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_92%c1(1,4) = derivative(czip,1,1,1,1) / 24.0_ki
      coeffs%coeffs_92%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_92%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_92%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_92%c1(2,4) = derivative(czip,2,2,2,2) / 24.0_ki
      coeffs%coeffs_92%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_92%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_92%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_92%c1(3,4) = derivative(czip,3,3,3,3) / 24.0_ki
      coeffs%coeffs_92%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_92%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_92%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_92%c1(4,4) = derivative(czip,4,4,4,4) / 24.0_ki
      coeffs%coeffs_92%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_92%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_92%c2(1,3) = -derivative(czip,1,2,2,2) / 6.0_ki
      coeffs%coeffs_92%c2(1,4) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_92%c2(1,5) = derivative(czip,1,1,2,2) / 4.0_ki
      coeffs%coeffs_92%c2(1,6) = -derivative(czip,1,1,1,2) / 6.0_ki
      coeffs%coeffs_92%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_92%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_92%c2(2,3) = -derivative(czip,1,3,3,3) / 6.0_ki
      coeffs%coeffs_92%c2(2,4) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_92%c2(2,5) = derivative(czip,1,1,3,3) / 4.0_ki
      coeffs%coeffs_92%c2(2,6) = -derivative(czip,1,1,1,3) / 6.0_ki
      coeffs%coeffs_92%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_92%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_92%c2(3,3) = -derivative(czip,1,4,4,4) / 6.0_ki
      coeffs%coeffs_92%c2(3,4) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_92%c2(3,5) = derivative(czip,1,1,4,4) / 4.0_ki
      coeffs%coeffs_92%c2(3,6) = -derivative(czip,1,1,1,4) / 6.0_ki
      coeffs%coeffs_92%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_92%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_92%c2(4,3) = derivative(czip,2,3,3,3) / 6.0_ki
      coeffs%coeffs_92%c2(4,4) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_92%c2(4,5) = derivative(czip,2,2,3,3) / 4.0_ki
      coeffs%coeffs_92%c2(4,6) = derivative(czip,2,2,2,3) / 6.0_ki
      coeffs%coeffs_92%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_92%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_92%c2(5,3) = derivative(czip,2,4,4,4) / 6.0_ki
      coeffs%coeffs_92%c2(5,4) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_92%c2(5,5) = derivative(czip,2,2,4,4) / 4.0_ki
      coeffs%coeffs_92%c2(5,6) = derivative(czip,2,2,2,4) / 6.0_ki
      coeffs%coeffs_92%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_92%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_92%c2(6,3) = derivative(czip,3,4,4,4) / 6.0_ki
      coeffs%coeffs_92%c2(6,4) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_92%c2(6,5) = derivative(czip,3,3,4,4) / 4.0_ki
      coeffs%coeffs_92%c2(6,6) = derivative(czip,3,3,3,4) / 6.0_ki
      coeffs%coeffs_92%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_92%c3(1,2) = -derivative(czip,1,2,3,3) / 2.0_ki
      coeffs%coeffs_92%c3(1,3) = -derivative(czip,1,2,2,3) / 2.0_ki
      coeffs%coeffs_92%c3(1,4) = derivative(czip,1,1,2,3) / 2.0_ki
      coeffs%coeffs_92%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_92%c3(2,2) = -derivative(czip,1,2,4,4) / 2.0_ki
      coeffs%coeffs_92%c3(2,3) = -derivative(czip,1,2,2,4) / 2.0_ki
      coeffs%coeffs_92%c3(2,4) = derivative(czip,1,1,2,4) / 2.0_ki
      coeffs%coeffs_92%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_92%c3(3,2) = -derivative(czip,1,3,4,4) / 2.0_ki
      coeffs%coeffs_92%c3(3,3) = -derivative(czip,1,3,3,4) / 2.0_ki
      coeffs%coeffs_92%c3(3,4) = derivative(czip,1,1,3,4) / 2.0_ki
      coeffs%coeffs_92%c3(4,1) = -derivative(czip,2,3,4)
      coeffs%coeffs_92%c3(4,2) = derivative(czip,2,3,4,4) / 2.0_ki
      coeffs%coeffs_92%c3(4,3) = derivative(czip,2,3,3,4) / 2.0_ki
      coeffs%coeffs_92%c3(4,4) = derivative(czip,2,2,3,4) / 2.0_ki
      coeffs%coeffs_92%c4(1,1) = -derivative(czip,1,2,3,4)
      !---#] reconstruct coeffs%coeffs_92:
   end subroutine reconstruct_d92
!---#] subroutine reconstruct_d92:
end module p7_dubar_emnebargg_d92h0l1d
