module     p7_dubar_emnebargg_abbrevd97h1
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_globalsh1
   implicit none
   private
   complex(ki), public :: abb97n1
   complex(ki), public :: abb97n2
   complex(ki), public :: abb97n3
   complex(ki), public :: abb97n4
   complex(ki), public :: abb97n5
   complex(ki), public :: abb97n6
   complex(ki), public :: abb97n7
   complex(ki), public :: abb97n8
   complex(ki), public :: abb97n9
   complex(ki), public :: abb97n10
   complex(ki), public :: abb97n11
   complex(ki), public :: abb97n12
   complex(ki), public :: abb97n13
   complex(ki), public :: abb97n14
   complex(ki), public :: abb97n15
   complex(ki), public :: abb97n16
   complex(ki), public :: abb97n17
   complex(ki), public :: abb97n18
   complex(ki), public :: abb97n19
   complex(ki), public :: abb97n20
   complex(ki), public :: rat2d97
   complex(ki), public :: abb97n22
   complex(ki), public :: abb97n23
   complex(ki), public :: abb97n24
   complex(ki), public :: abb97n25
   complex(ki), public :: abb97n26
   complex(ki), public :: abb97n27
   complex(ki), public :: abb97n28
   complex(ki), public :: abb97n29
   complex(ki), public :: abb97n30
   complex(ki), public :: abb97n31
   complex(ki), public :: abb97n32
   complex(ki), public :: abb97n33
   complex(ki), public :: abb97n34
   complex(ki), public :: abb97n35
   complex(ki), public :: abb97n36
   complex(ki), public :: abb97n37
   complex(ki), public :: abb97n38
   complex(ki), public :: abb97n39
   complex(ki), public :: abb97n40
   complex(ki), public :: abb97n41
   complex(ki) :: t1
   complex(ki) :: t2
   complex(ki) :: t3
   complex(ki) :: t4
   complex(ki) :: t5
   complex(ki) :: t6
   complex(ki) :: t7
   complex(ki) :: t8
   complex(ki) :: t9
   complex(ki) :: t10
   complex(ki) :: t11
   complex(ki) :: t12
   complex(ki) :: t13
   complex(ki) :: t14
   complex(ki) :: t15
   complex(ki) :: t16
   complex(ki) :: t17
   complex(ki) :: t18
   complex(ki) :: t19
   complex(ki) :: t20
   complex(ki) :: t21
   complex(ki) :: t22
   complex(ki) :: t23
   complex(ki) :: t24
   complex(ki) :: t25
   complex(ki) :: t26
   public :: init_abbrev

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)

contains
   subroutine     init_abbrev()
      use p7_dubar_emnebargg_config, only: deltaOS
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_model
      use p7_dubar_emnebargg_color, only: TR
      use p7_dubar_emnebargg_globalsl1, only: epspow
      implicit none
      t1 = TR*c3
      t2 = es56*t1*i_
      t3 = t2*spak1k3
      t4 = spak2k5*spak2k5
      t5 = (es34+es56-(es234+es12))*(es34+wW*mW*i_-mW*mW)
      t6 = t5*spak5k6
      t7 = t6*spbk6k5
      t8 = NC*TR*c1
      t9 = es56*t8*i_
      t10 = t9*spak1k3
      abb97n1 = ((2.0_ki)*(t10*t4/t7*spbk4k1*spbk6k1*spbk6k2+t3*t4/t7*spbk4k1*sp&
      &bk6k1*spbk6k2+t2*t4/t7*spak3k4*spbk4k1*spbk6k2*spbk6k4+t4/t7*t9*spak3k4*s&
      &pbk4k1*spbk6k2*spbk6k4))
      t11 = es234*t1*i_
      t12 = es34*t1*i_
      t13 = es234*t8*i_
      t14 = es34*t8*i_
      t15 = es12*t1*i_
      t16 = es12*t8*i_
      t17 = es345*t1*i_
      t18 = es61*t1*i_
      t1 = t1*i_
      t19 = t1*spak1k3
      t20 = t19*spbk4k1
      t21 = t1*spak3k4*spbk4k1
      t22 = es345*t8*i_
      t23 = es61*t8*i_
      t8 = t8*i_
      t24 = t8*spak1k3
      t25 = t24*spbk4k1
      t26 = t8*spak3k4*spbk4k1
      abb97n2 = ((2.0_ki)*(t10/t7*spak2k5*spbk4k1*spbk6k1+t3/t7*spak2k5*spbk4k1*&
      &spbk6k1+t2/t7*spak2k5*spak3k4*spbk4k1*spbk6k4+t9/t7*spak2k5*spak3k4*spbk4&
      &k1*spbk6k4)+(3.0_ki)*(t15/t7*spak1k3*spak2k5*spbk4k1*spbk6k1+t15/t7*spak2&
      &k5*spak3k4*spbk4k1*spbk6k4+t16/t7*spak1k3*spak2k5*spbk4k1*spbk6k1+t16/t7*&
      &spak2k5*spak3k4*spbk4k1*spbk6k4)+(4.0_ki)*(t11/t7*spak1k3*spak2k5*spbk4k1&
      &*spbk6k1+t11/t7*spak2k5*spak3k4*spbk4k1*spbk6k4+t13/t7*spak1k3*spak2k5*sp&
      &bk4k1*spbk6k1+t13/t7*spak2k5*spak3k4*spbk4k1*spbk6k4-(t14/t7*spak2k5*spak&
      &3k4*spbk4k1*spbk6k4+t14/t7*spak1k3*spak2k5*spbk4k1*spbk6k1+t12/t7*spak2k5&
      &*spak3k4*spbk4k1*spbk6k4+t12/t7*spak1k3*spak2k5*spbk4k1*spbk6k1))+t17/t7*&
      &spak1k3*spak2k5*spbk4k1*spbk6k1+t17/t7*spak2k5*spak3k4*spbk4k1*spbk6k4+t2&
      &2/t7*spak1k3*spak2k5*spbk4k1*spbk6k1+t22/t7*spak2k5*spak3k4*spbk4k1*spbk6&
      &k4-(t23/t7*spak2k5*spak3k4*spbk4k1*spbk6k4+t23/t7*spak1k3*spak2k5*spbk4k1&
      &*spbk6k1+t18/t7*spak2k5*spak3k4*spbk4k1*spbk6k4+t18/t7*spak1k3*spak2k5*sp&
      &bk4k1*spbk6k1+t26*t4/t7*spbk5k4*spbk6k2+t25*t4/t7*spbk5k1*spbk6k2+t21*t4/&
      &t7*spbk5k4*spbk6k2+t20*t4/t7*spbk5k1*spbk6k2))
      t2 = t20*spbk6k1
      t3 = -(t26*t4/t7*spbk6k2*spbk6k4+t25*t4/t7*spbk6k1*spbk6k2+t21*t4/t7*spbk6&
      &k2*spbk6k4+t2*t4/t7*spbk6k2)
      abb97n3 = ((2.0_ki)*t3)
      abb97n4 = ((4.0_ki)*t3)
      t3 = t1*spak2k5
      t4 = t19/t7*spak2k5*spbk4k1*spbk6k1+t3/t7*spak3k4*spbk4k1*spbk6k4
      t9 = t24*spak2k5*spbk4k1
      t10 = t9/t7*spbk6k1
      t11 = t8*spak2k5
      t12 = t11*spak3k4*spbk4k1
      t13 = t12/t7*spbk6k4
      abb97n5 = ((6.0_ki)*(t10+t13+t4))
      t14 = t3*spak3k5
      t15 = t14/t6*spbk4k1
      t16 = t11*spak3k5
      t17 = t16/t6*spbk4k1
      t18 = t1*spak2k3*spak2k5
      t19 = t18/t7*spbk4k1*spbk6k2
      t20 = t8*spak2k3
      t22 = t20*spak2k5
      t23 = t22/t7*spbk4k1*spbk6k2
      abb97n6 = ((10.0_ki)*(t15+t17)+(6.0_ki)*(-(t23+t19)))
      abb97n7 = ((10.0_ki)*(-(t17+t15))+(6.0_ki)*(t19+t23))
      t15 = t8*spak2k4
      abb97n8 = ((5.0_ki)*(-(t3/t6*spak4k5*spbk4k1+t11/t6*spak4k5*spbk4k1+t16/t6&
      &*spbk3k1+t14/t6*spbk3k1))+(3.0_ki)*(t18/t7*spbk3k1*spbk6k2+t22/t7*spbk3k1&
      &*spbk6k2+t15/t7*spak2k5*spbk4k1*spbk6k2+t1/t7*spak2k4*spak2k5*spbk4k1*spb&
      &k6k2))
      t3 = t8*spak1k2
      abb97n9 = ((5.0_ki)*(t1/t6*spak1k5*spak2k5*spbk4k1+t8/t6*spak1k5*spak2k5*s&
      &pbk4k1-(t16/t6*spbk4k3+t14/t6*spbk4k3))+(3.0_ki)*(t18/t7*spbk4k3*spbk6k2+&
      &t22/t7*spbk4k3*spbk6k2+t3/t7*spak2k5*spbk4k1*spbk6k2+t1/t7*spak1k2*spak2k&
      &5*spbk4k1*spbk6k2))
      t1 = TR*c1*i_
      t6 = t1*spak1k3
      t11 = t6*spbk4k1
      t14 = NC*t5
      t16 = t14*spak5k6*spbk6k5
      abb97n10 = ((4.0_ki)*(-(t25/t7+t11/t16)))
      t17 = t1*spak2k3
      t18 = t17/t16*spbk4k1
      t19 = t20/t7*spbk4k1
      abb97n11 = ((16.0_ki)*(t18+t19))
      abb97n12 = ((16.0_ki)*(-(t19+t18)))
      abb97n13 = ((8.0_ki)*(t15/t7*spbk4k1+t17/t16*spbk3k1+t20/t7*spbk3k1+t1/t16&
      &*spak2k4*spbk4k1))
      t15 = t6*spak2k5*spbk4k1
      t18 = t1*spak2k5*spak3k4*spbk4k1
      t19 = -(t18/t16*spbk6k4+t15/t16*spbk6k1)
      abb97n14 = ((4.0_ki)*(t10+t13+t19)+(8.0_ki)*t4)
      t19 = (8.0_ki)*t19
      t10 = -(t13+t10)
      abb97n15 = ((2.0_ki)*t10+t19+(6.0_ki)*t4)
      abb97n16 = ((6.0_ki)*t10+t19+(2.0_ki)*t4)
      abb97n17 = ((4.0_ki)*(t12/t7*spbk5k4+t15/t16*spbk5k1+t18/t16*spbk5k4+t9/t7&
      &*spbk5k1+t6/t16*spak2k6*spbk4k1*spbk6k1+t24/t7*spak2k6*spbk4k1*spbk6k1+t1&
      &/t16*spak2k6*spak3k4*spbk4k1*spbk6k4+t8/t7*spak2k6*spak3k4*spbk4k1*spbk6k&
      &4))
      t4 = t5*spbk6k5
      t5 = t14*spbk6k5
      t6 = t1*spak3k4*spbk4k1
      abb97n18 = ((4.0_ki)*(t2/t4+t21/t4*spbk6k4-(t6/t5*spbk6k4+t11/t5*spbk6k1))&
      &)
      abb97n19 = ((4.0_ki)*(-(t26/t7+t6/t16)))
      abb97n20 = ((8.0_ki)*(t17/t16*spbk4k3+t20/t7*spbk4k3+t3/t7*spbk4k1+t1/t16*&
      &spak1k2*spbk4k1))
      rat2d97 = 0
      rat2 = rat2 + rat2d97
      abb97n22 = abb97n1
      abb97n23 = abb97n18
      abb97n24 = abb97n17
      abb97n25 = abb97n16
      abb97n26 = abb97n15
      abb97n27 = abb97n9
      abb97n28 = abb97n8
      abb97n29 = abb97n7
      abb97n30 = abb97n6
      abb97n31 = abb97n5
      abb97n32 = abb97n3
      abb97n33 = -(abb97n2)
      abb97n34 = -(abb97n4)
      abb97n35 = -(abb97n10)
      abb97n36 = -(abb97n11)
      abb97n37 = -(abb97n12)
      abb97n38 = -(abb97n13)
      abb97n39 = -(abb97n14)
      abb97n40 = -(abb97n19)
      abb97n41 = -(abb97n20)
   end subroutine
end module p7_dubar_emnebargg_abbrevd97h1
