module     p7_dubar_emnebargg_d21h3l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p7_dubar_emnebargg/helicity3/d21h3l1d.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d21
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd21h3
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      real(ki) :: t50
      real(ki) :: t51
      real(ki) :: t52
      real(ki) :: t53
      real(ki) :: t54
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t1 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t50 = dotproduct(qshift, qshift)
      t51 = dotproduct(k6, qshift)
      t2 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t52 = dotproduct(k5, qshift)
      t53 = dotproduct(k1, qshift)
      t3 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t4 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t5 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t54 = dotproduct(k2, qshift)
      t6 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t7 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t8 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (t1*abb21n28+t50*abb21n42+t51*abb21n44+t1*t2*abb21n29+t1*t3&
         &*abb21n35+t1*t5*abb21n38+t1*t50*abb21n45+t1*t52*abb21n31+t1*t53*abb21n&
         &32+t1*t54*abb21n39+t1*t6*abb21n40+t1*t7*abb21n41+t2*t50*abb21n60+t2*t5&
         &1*abb21n30+t3*t50*abb21n51+t3*t51*abb21n36+t4*t50*abb21n47+t4*t51*abb2&
         &1n37+t50*t52*abb21n57+t50*t53*abb21n55+t51*t52*abb21n34+t51*t53*abb21n&
         &33+t1*t2*t7*abb21n59+t1*t3*t7*abb21n50+t1*t52*t7*abb21n53+t1*t53*t7*ab&
         &b21n54+t1*t7*t8*abb21n49)
         return
      end if
      t9 = k6(iv1)
      t10 = qshift(iv1)
      t11 = spvak6k5(iv1)
      t12 = k1(iv1)
      t13 = k2(iv1)
      t14 = k5(iv1)
      t15 = spvak2k4(iv1)
      t16 = spvak2k5(iv1)
      t17 = spvak2k6(iv1)
      t18 = spvak3k4(iv1)
      t19 = spvak5k1(iv1)
      t20 = spvak5k6(iv1)
      t21 = spvak2k1(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb21n43+t11*abb21n28+t9*abb21n44+t1*t10*abb21n46+t1*t&
         &12*abb21n32+t1*t13*abb21n39+t1*t14*abb21n31+t1*t15*abb21n40+t1*t17*abb&
         &21n38+t1*t18*abb21n41+t1*t19*abb21n29+t1*t20*abb21n35+t10*t2*abb21n61+&
         &t10*t3*abb21n52+t10*t4*abb21n48+t10*t52*abb21n58+t10*t53*abb21n56+t11*&
         &t2*abb21n29+t11*t3*abb21n35+t11*t5*abb21n38+t11*t50*abb21n45+t11*t52*a&
         &bb21n31+t11*t53*abb21n32+t11*t54*abb21n39+t11*t6*abb21n40+t11*t7*abb21&
         &n41+t12*t50*abb21n55+t12*t51*abb21n33+t14*t50*abb21n57+t14*t51*abb21n3&
         &4+t16*t50*abb21n47+t16*t51*abb21n37+t19*t50*abb21n60+t19*t51*abb21n30+&
         &t2*t9*abb21n30+t20*t50*abb21n51+t20*t51*abb21n36+t3*t9*abb21n36+t4*t9*&
         &abb21n37+t52*t9*abb21n34+t53*t9*abb21n33+t1*t12*t7*abb21n54+t1*t14*t7*&
         &abb21n53+t1*t18*t2*abb21n59+t1*t18*t3*abb21n50+t1*t18*t52*abb21n53+t1*&
         &t18*t53*abb21n54+t1*t18*t8*abb21n49+t1*t19*t7*abb21n59+t1*t20*t7*abb21&
         &n50+t1*t21*t7*abb21n49+t11*t2*t7*abb21n59+t11*t3*t7*abb21n50+t11*t52*t&
         &7*abb21n53+t11*t53*t7*abb21n54+t11*t7*t8*abb21n49)
         return
      end if
      t50 = d(iv1,iv2)
      t5 = k6(iv2)
      t6 = qshift(iv2)
      t22 = spvak6k5(iv2)
      t23 = t12*t22
      t24 = k1(iv2)
      t25 = t11*t24
      t26 = t14*t22
      t27 = k5(iv2)
      t28 = t11*t27
      t29 = spvak2k5(iv2)
      t30 = spvak5k1(iv2)
      t31 = spvak5k6(iv2)
      t32 = t18*t22
      t33 = spvak3k4(iv2)
      t34 = t11*t33
      t35 = t19*t22
      t36 = t11*t30
      t37 = t20*t22
      t38 = t11*t31
      t39 = t12*t33
      t40 = t18*t24
      t41 = t14*t33
      t42 = t18*t27
      t43 = t21*t33
      t44 = spvak2k1(iv2)
      t45 = t18*t44
      t46 = t18*t30
      t47 = t18*t31
      t48 = t19*t33
      t49 = t20*t33
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t50*abb21n42+t1*t50*abb21n45+t2*t50*abb21n60+t3*&
         &t50*abb21n51+t4*t50*abb21n47+t50*t52*abb21n57+t50*t53*abb21n55)+t23*ab&
         &b21n32+t25*abb21n32+t26*abb21n31+t28*abb21n31+t32*abb21n41+t34*abb21n4&
         &1+t35*abb21n29+t36*abb21n29+t37*abb21n35+t38*abb21n35+k2(iv2)*t11*abb2&
         &1n39+spvak2k4(iv2)*t11*abb21n40+spvak2k6(iv2)*t11*abb21n38+t1*t39*abb2&
         &1n54+t1*t40*abb21n54+t1*t41*abb21n53+t1*t42*abb21n53+t1*t43*abb21n49+t&
         &1*t45*abb21n49+t1*t46*abb21n59+t1*t47*abb21n50+t1*t48*abb21n59+t1*t49*&
         &abb21n50+t10*t22*abb21n46+t10*t24*abb21n56+t10*t27*abb21n58+t10*t29*ab&
         &b21n48+t10*t30*abb21n61+t10*t31*abb21n52+t11*t6*abb21n46+t12*t5*abb21n&
         &33+t12*t6*abb21n56+t13*t22*abb21n39+t14*t5*abb21n34+t14*t6*abb21n58+t1&
         &5*t22*abb21n40+t16*t5*abb21n37+t16*t6*abb21n48+t17*t22*abb21n38+t19*t5&
         &*abb21n30+t19*t6*abb21n61+t2*t32*abb21n59+t2*t34*abb21n59+t20*t5*abb21&
         &n36+t20*t6*abb21n52+t23*t7*abb21n54+t24*t9*abb21n33+t25*t7*abb21n54+t2&
         &6*t7*abb21n53+t27*t9*abb21n34+t28*t7*abb21n53+t29*t9*abb21n37+t3*t32*a&
         &bb21n50+t3*t34*abb21n50+t30*t9*abb21n30+t31*t9*abb21n36+t32*t52*abb21n&
         &53+t32*t53*abb21n54+t32*t8*abb21n49+t34*t52*abb21n53+t34*t53*abb21n54+&
         &t34*t8*abb21n49+t35*t7*abb21n59+t36*t7*abb21n59+t37*t7*abb21n50+t38*t7&
         &*abb21n50+t11*t44*t7*abb21n49+t21*t22*t7*abb21n49)
         return
      end if
      t51 = d(iv2,iv3)
      t52 = d(iv1,iv3)
      t1 = k1(iv3)
      t2 = k5(iv3)
      t3 = spvak5k1(iv3)
      t4 = spvak5k6(iv3)
      t5 = spvak6k5(iv3)
      t6 = spvak3k4(iv3)
      t7 = spvak2k1(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(spvak2k5(iv3)*t50*abb21n47+t1*t50*abb21n55+t11*t&
         &51*abb21n45+t12*t51*abb21n55+t14*t51*abb21n57+t16*t51*abb21n47+t19*t51&
         &*abb21n60+t2*t50*abb21n57+t20*t51*abb21n51+t22*t52*abb21n45+t24*t52*ab&
         &b21n55+t27*t52*abb21n57+t29*t52*abb21n47+t3*t50*abb21n60+t30*t52*abb21&
         &n60+t31*t52*abb21n51+t4*t50*abb21n51+t5*t50*abb21n45)+t39*t5*abb21n54+&
         &t40*t5*abb21n54+t41*t5*abb21n53+t42*t5*abb21n53+t43*t5*abb21n49+t45*t5&
         &*abb21n49+t46*t5*abb21n59+t47*t5*abb21n50+t48*t5*abb21n59+t49*t5*abb21&
         &n50+t1*t11*t33*abb21n54+t1*t18*t22*abb21n54+t11*t2*t33*abb21n53+t11*t2&
         &4*t6*abb21n54+t11*t27*t6*abb21n53+t11*t3*t33*abb21n59+t11*t30*t6*abb21&
         &n59+t11*t31*t6*abb21n50+t11*t33*t4*abb21n50+t11*t33*t7*abb21n49+t11*t4&
         &4*t6*abb21n49+t12*t22*t6*abb21n54+t14*t22*t6*abb21n53+t18*t2*t22*abb21&
         &n53+t18*t22*t3*abb21n59+t18*t22*t4*abb21n50+t18*t22*t7*abb21n49+t19*t2&
         &2*t6*abb21n59+t20*t22*t6*abb21n50+t21*t22*t6*abb21n49)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d21:
   subroutine     reconstruct_d21(coeffs)
      use p7_dubar_emnebargg_groups, only: tensrec_info_group2
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group2), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_21:
      coeffs%coeffs_21%c0 = derivative(czip)
      coeffs%coeffs_21%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_21%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_21%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_21%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_21%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_21%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_21%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_21%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_21%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_21%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_21%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_21%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_21%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_21%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_21%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_21%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_21%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_21%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_21%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_21%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_21%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_21%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_21%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_21%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_21%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_21%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_21%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_21%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_21%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_21%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_21%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_21%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_21%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_21%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_21:
   end subroutine reconstruct_d21
!---#] subroutine reconstruct_d21:
end module p7_dubar_emnebargg_d21h3l1d
