module     p7_dubar_emnebargg_d87h3l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/Wm2jets/1.4/Virtual
   ! /p7_dubar_emnebargg/helicity3/d87h3l1d.f90
   ! generator: haggies (1.1)
   use p7_dubar_emnebargg_config, only: ki
   use p7_dubar_emnebargg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   integer, private :: iv4
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d87
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3, i4) result(numerator)
      use p7_dubar_emnebargg_globalsl1, only: epspow
      use p7_dubar_emnebargg_kinematics
      use p7_dubar_emnebargg_abbrevd87h3
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      integer, intent(in), optional :: i4
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      complex(ki) :: t27
      complex(ki) :: t28
      complex(ki) :: t29
      complex(ki) :: t30
      complex(ki) :: t31
      complex(ki) :: t32
      complex(ki) :: t33
      complex(ki) :: t34
      complex(ki) :: t35
      complex(ki) :: t36
      complex(ki) :: t37
      complex(ki) :: t38
      complex(ki) :: t39
      complex(ki) :: t40
      complex(ki) :: t41
      complex(ki) :: t42
      complex(ki) :: t43
      complex(ki) :: t44
      complex(ki) :: t45
      complex(ki) :: t46
      complex(ki) :: t47
      complex(ki) :: t48
      complex(ki) :: t49
      complex(ki) :: t50
      complex(ki) :: t51
      complex(ki) :: t52
      complex(ki) :: t53
      complex(ki) :: t54
      complex(ki) :: t55
      complex(ki) :: t56
      complex(ki) :: t57
      complex(ki) :: t58
      complex(ki) :: t59
      complex(ki) :: t60
      complex(ki) :: t61
      complex(ki) :: t62
      complex(ki) :: t63
      complex(ki) :: t64
      complex(ki) :: t65
      complex(ki) :: t66
      complex(ki) :: t67
      complex(ki) :: t68
      complex(ki) :: t69
      complex(ki) :: t70
      complex(ki) :: t71
      complex(ki) :: t72
      complex(ki) :: t73
      complex(ki) :: t74
      complex(ki) :: t75
      complex(ki) :: t76
      complex(ki) :: t77
      complex(ki) :: t78
      complex(ki) :: t79
      complex(ki) :: t80
      complex(ki) :: t81
      complex(ki) :: t82
      complex(ki) :: t83
      complex(ki) :: t84
      complex(ki) :: t85
      complex(ki) :: t86
      complex(ki) :: t87
      complex(ki) :: t88
      complex(ki) :: t89
      complex(ki) :: t90
      complex(ki) :: t91
      complex(ki) :: t92
      complex(ki) :: t93
      complex(ki) :: t94
      complex(ki) :: t95
      complex(ki) :: t96
      complex(ki) :: t97
      complex(ki) :: t98
      complex(ki) :: t99
      complex(ki) :: t100
      complex(ki) :: t101
      complex(ki) :: t102
      complex(ki) :: t103
      complex(ki) :: t104
      complex(ki) :: t105
      complex(ki) :: t106
      complex(ki) :: t107
      complex(ki) :: t108
      complex(ki) :: t109
      complex(ki) :: t110
      complex(ki) :: t111
      complex(ki) :: t112
      complex(ki) :: t113
      complex(ki) :: t114
      complex(ki) :: t115
      complex(ki) :: t116
      complex(ki) :: t117
      complex(ki) :: t118
      complex(ki) :: t119
      complex(ki) :: t120
      complex(ki) :: t121
      complex(ki) :: t122
      complex(ki) :: t123
      complex(ki) :: t124
      complex(ki) :: t125
      complex(ki) :: t126
      complex(ki) :: t127
      complex(ki) :: t128
      complex(ki) :: t129
      complex(ki) :: t130
      complex(ki) :: t131
      complex(ki) :: t132
      complex(ki) :: t133
      complex(ki) :: t134
      complex(ki) :: t135
      complex(ki) :: t136
      complex(ki) :: t137
      complex(ki) :: t138
      complex(ki) :: t139
      complex(ki) :: t140
      complex(ki) :: t141
      complex(ki) :: t142
      complex(ki) :: t143
      complex(ki) :: t144
      complex(ki) :: t145
      complex(ki) :: t146
      complex(ki) :: t147
      complex(ki) :: t148
      complex(ki) :: t149
      complex(ki) :: t150
      complex(ki) :: t151
      real(ki) :: t152
      real(ki) :: t153
      real(ki) :: t154
      real(ki) :: t155
      real(ki) :: t156
      real(ki) :: t157
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k3-k6-k5-k4
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      if(present(i4)) then
         iv4 = i4
         deg = 4
      else
         iv4 = 1
      end if
      t152 = dotproduct(qshift, qshift)
      t1 = (spvak6k1(1)*qshift(1)-spvak6k1(2)*qshift(2)-spvak6k1(3)*qshift(3)-sp&
      &vak6k1(4)*qshift(4))
      t2 = (spvak6k5(1)*qshift(1)-spvak6k5(2)*qshift(2)-spvak6k5(3)*qshift(3)-sp&
      &vak6k5(4)*qshift(4))
      t3 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t153 = dotproduct(k6, qshift)
      t154 = dotproduct(k2, qshift)
      t4 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t5 = (spvak2k4(1)*qshift(1)-spvak2k4(2)*qshift(2)-spvak2k4(3)*qshift(3)-sp&
      &vak2k4(4)*qshift(4))
      t155 = dotproduct(k5, qshift)
      t6 = (spvak5k6(1)*qshift(1)-spvak5k6(2)*qshift(2)-spvak5k6(3)*qshift(3)-sp&
      &vak5k6(4)*qshift(4))
      t7 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t8 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t9 = (spvak2k6(1)*qshift(1)-spvak2k6(2)*qshift(2)-spvak2k6(3)*qshift(3)-sp&
      &vak2k6(4)*qshift(4))
      t156 = dotproduct(k1, qshift)
      if(deg.eq.0) then
         numerator = (t152*abb87n56+t152*t152*abb87n52+t1*t152*abb87n83+t1*t153*&
         &abb87n46+t1*t2*abb87n39+t152*t153*abb87n66+t152*t154*abb87n70+t152*t15&
         &5*abb87n66+t152*t3*abb87n89+t152*t4*abb87n60+t152*t5*abb87n58+t152*t6*&
         &abb87n68+t153*t154*abb87n51+t153*t3*abb87n43+t153*t4*abb87n53+t153*t5*&
         &abb87n55+t2*t3*abb87n42+t2*t5*abb87n54+t1*t152*t7*abb87n44+t1*t153*t7*&
         &abb87n87+t1*t2*t6*abb87n81+t152*t2*t3*abb87n47+t152*t2*t5*abb87n48+t15&
         &2*t2*t8*abb87n45+t152*t3*t7*abb87n41+t152*t6*t7*abb87n50+t152*t7*t9*ab&
         &b87n49+t153*t2*t3*abb87n82+t153*t2*t5*abb87n76+t153*t2*t8*abb87n85+t15&
         &3*t3*t7*abb87n93+t153*t7*t9*abb87n74+t154*t2*t6*abb87n62+t155*t2*t3*ab&
         &b87n82+t155*t2*t5*abb87n76+t155*t2*t8*abb87n85+t156*t2*t6*abb87n63+t2*&
         &t3*t6*abb87n79+t2*t4*t6*abb87n78+t2*t5*t6*abb87n77+t2*t6*t8*abb87n91+t&
         &2*t4*t6*t7*abb87n40)
         return
      end if
      t10 = qshift(iv1)
      t11 = k2(iv1)
      t12 = k5(iv1)
      t13 = k6(iv1)
      t14 = t10*abb87n67
      t15 = spvak2k1(iv1)
      t16 = spvak2k4(iv1)
      t17 = spvak5k1(iv1)
      t18 = spvak5k6(iv1)
      t19 = spvak6k1(iv1)
      t20 = spvak6k5(iv1)
      t21 = k1(iv1)
      t22 = t16*abb87n76
      t23 = spvak2k6(iv1)
      t24 = spvak3k1(iv1)
      t25 = t24*abb87n85
      t26 = spvak3k4(iv1)
      t27 = t17*abb87n82
      t28 = t20*abb87n76
      t29 = t20*abb87n82
      t30 = t20*abb87n85
      if(deg.eq.1) then
         numerator = (t10*abb87n57+t14*t153+t14*t155+t1*t10*abb87n84+t1*t13*abb8&
         &7n46+t1*t20*abb87n39+t10*t152*abb87n64+t10*t154*abb87n71+t10*t3*abb87n&
         &90+t10*t4*abb87n61+t10*t5*abb87n59+t10*t6*abb87n69+t11*t152*abb87n70+t&
         &11*t153*abb87n51+t12*t152*abb87n66+t13*t152*abb87n66+t13*t154*abb87n51&
         &+t13*t3*abb87n43+t13*t4*abb87n53+t13*t5*abb87n55+t15*t152*abb87n60+t15&
         &*t153*abb87n53+t152*t16*abb87n58+t152*t17*abb87n89+t152*t18*abb87n68+t&
         &152*t19*abb87n83+t153*t16*abb87n55+t153*t17*abb87n43+t153*t19*abb87n46&
         &+t153*t2*t22+t153*t2*t25+t153*t2*t27+t153*t28*t5+t153*t29*t3+t153*t30*&
         &t8+t155*t2*t22+t155*t2*t25+t155*t2*t27+t155*t28*t5+t155*t29*t3+t155*t3&
         &0*t8+t16*t2*abb87n54+t17*t2*abb87n42+t19*t2*abb87n39+t20*t3*abb87n42+t&
         &20*t5*abb87n54+t1*t10*t7*abb87n88+t1*t13*t7*abb87n87+t1*t152*t26*abb87&
         &n44+t1*t153*t26*abb87n87+t1*t18*t2*abb87n81+t1*t20*t6*abb87n81+t10*t2*&
         &t3*abb87n80+t10*t2*t5*abb87n75+t10*t2*t8*abb87n86+t10*t3*t7*abb87n92+t&
         &10*t6*t7*abb87n72+t10*t7*t9*abb87n73+t11*t2*t6*abb87n62+t12*t2*t3*abb8&
         &7n82+t12*t2*t5*abb87n76+t12*t2*t8*abb87n85+t13*t2*t3*abb87n82+t13*t2*t&
         &5*abb87n76+t13*t2*t8*abb87n85+t13*t3*t7*abb87n93+t13*t7*t9*abb87n74+t1&
         &5*t2*t6*abb87n78+t152*t16*t2*abb87n48+t152*t17*t2*abb87n47+t152*t17*t7&
         &*abb87n41+t152*t18*t7*abb87n50+t152*t19*t7*abb87n44+t152*t2*t24*abb87n&
         &45+t152*t20*t3*abb87n47+t152*t20*t5*abb87n48+t152*t20*t8*abb87n45+t152&
         &*t23*t7*abb87n49+t152*t26*t3*abb87n41+t152*t26*t6*abb87n50+t152*t26*t9&
         &*abb87n49+t153*t17*t7*abb87n93+t153*t19*t7*abb87n87+t153*t23*t7*abb87n&
         &74+t153*t26*t3*abb87n93+t153*t26*t9*abb87n74+t154*t18*t2*abb87n62+t154&
         &*t20*t6*abb87n62+t156*t18*t2*abb87n63+t156*t20*t6*abb87n63+t16*t2*t6*a&
         &bb87n77+t17*t2*t6*abb87n79+t18*t2*t3*abb87n79+t18*t2*t4*abb87n78+t18*t&
         &2*t5*abb87n77+t18*t2*t8*abb87n91+t19*t2*t6*abb87n81+t2*t21*t6*abb87n63&
         &+t2*t24*t6*abb87n91+t20*t3*t6*abb87n79+t20*t4*t6*abb87n78+t20*t5*t6*ab&
         &b87n77+t20*t6*t8*abb87n91+t15*t2*t6*t7*abb87n40+t18*t2*t4*t7*abb87n40+&
         &t2*t26*t4*t6*abb87n40+t20*t4*t6*t7*abb87n40)
         return
      end if
      t157 = d(iv1,iv2)
      t14 = qshift(iv2)
      t22 = t157*abb87n66
      t25 = k6(iv2)
      t27 = k2(iv2)
      t28 = k5(iv2)
      t29 = spvak2k1(iv2)
      t30 = spvak2k4(iv2)
      t31 = t13*t30
      t32 = spvak5k1(iv2)
      t33 = t13*t32
      t34 = spvak6k1(iv2)
      t35 = t13*t34
      t36 = t16*t25
      t37 = t17*t25
      t38 = t19*t25
      t39 = t10*t30
      t40 = t10*t32
      t41 = spvak5k6(iv2)
      t42 = t10*t41
      t43 = t10*t34
      t44 = t14*t16
      t45 = t14*t17
      t46 = t14*t18
      t47 = t14*t19
      t48 = spvak6k5(iv2)
      t49 = t16*t48
      t50 = t20*t30
      t51 = t17*t48
      t52 = t20*t32
      t53 = t19*t48
      t54 = t20*t34
      t55 = t21*t41
      t56 = k1(iv2)
      t57 = t18*t56
      t58 = t11*t41
      t59 = t18*t27
      t60 = t12*t30
      t61 = spvak3k1(iv2)
      t62 = t12*t61
      t63 = t12*t32
      t64 = t12*t48
      t65 = t16*t28
      t66 = t24*t28
      t67 = t17*t28
      t68 = t20*t28
      t69 = spvak2k6(iv2)
      t70 = t13*t69
      t71 = t13*t61
      t72 = spvak3k4(iv2)
      t73 = t13*t72
      t74 = t13*t48
      t75 = t23*t25
      t76 = t24*t25
      t77 = t25*t26
      t78 = t20*t25
      t79 = t10*t69
      t80 = t10*t61
      t81 = t10*t72
      t82 = t10*t48
      t83 = t14*t23
      t84 = t14*t24
      t85 = t14*t26
      t86 = t14*t20
      t87 = t15*t41
      t88 = t15*t48
      t89 = t18*t29
      t90 = t20*t29
      t91 = t16*t41
      t92 = t49*abb87n76
      t93 = t18*t30
      t94 = t50*abb87n76
      t95 = t23*t72
      t96 = t26*t69
      t97 = t24*t41
      t98 = t24*t48
      t99 = t98*abb87n85
      t100 = t18*t61
      t101 = t20*t61
      t102 = t101*abb87n85
      t103 = t26*t32
      t104 = t26*t41
      t105 = t26*t34
      t106 = t17*t72
      t107 = t18*t72
      t108 = t19*t72
      t109 = t17*t41
      t110 = t51*abb87n82
      t111 = t18*t32
      t112 = t52*abb87n82
      t113 = t18*t34
      t114 = t18*t48
      t115 = t19*t41
      t116 = t20*t41
      t117 = t15*t72
      t118 = t26*t29
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t153*t22+t155*t22+t157*abb87n56+t1*t157*abb87n83&
         &+t10*t14*abb87n64+t152*t157*abb87n65+t154*t157*abb87n70+t157*t3*abb87n&
         &89+t157*t4*abb87n60+t157*t5*abb87n58+t157*t6*abb87n68+t1*t157*t7*abb87&
         &n44+t157*t2*t3*abb87n47+t157*t2*t5*abb87n48+t157*t2*t8*abb87n45+t157*t&
         &3*t7*abb87n41+t157*t6*t7*abb87n50+t157*t7*t9*abb87n49)+t102*t153+t102*&
         &t155+t110*t153+t110*t155+t112*t153+t112*t155+t153*t92+t153*t94+t153*t9&
         &9+t155*t92+t155*t94+t155*t99+t31*abb87n55+t33*abb87n43+t35*abb87n46+t3&
         &6*abb87n55+t37*abb87n43+t38*abb87n46+t39*abb87n59+t40*abb87n90+t42*abb&
         &87n69+t43*abb87n84+t44*abb87n59+t45*abb87n90+t46*abb87n69+t47*abb87n84&
         &+t49*abb87n54+t50*abb87n54+t51*abb87n42+t52*abb87n42+t53*abb87n39+t54*&
         &abb87n39+t1*t114*abb87n81+t1*t116*abb87n81+t1*t73*abb87n87+t1*t77*abb8&
         &7n87+t1*t81*abb87n88+t1*t85*abb87n88+t10*t25*abb87n67+t10*t27*abb87n71&
         &+t10*t28*abb87n67+t10*t29*abb87n61+t100*t2*abb87n91+t101*t152*abb87n45&
         &+t101*t6*abb87n91+t103*t152*abb87n41+t103*t153*abb87n93+t104*t152*abb8&
         &7n50+t105*t152*abb87n44+t105*t153*abb87n87+t106*t152*abb87n41+t106*t15&
         &3*abb87n93+t107*t152*abb87n50+t108*t152*abb87n44+t108*t153*abb87n87+t1&
         &09*t2*abb87n79+t11*t14*abb87n71+t11*t25*abb87n51+t111*t2*abb87n79+t113&
         &*t2*abb87n81+t114*t154*abb87n62+t114*t156*abb87n63+t114*t3*abb87n79+t1&
         &14*t4*abb87n78+t114*t5*abb87n77+t114*t8*abb87n91+t115*t2*abb87n81+t116&
         &*t154*abb87n62+t116*t156*abb87n63+t116*t3*abb87n79+t116*t4*abb87n78+t1&
         &16*t5*abb87n77+t116*t8*abb87n91+t12*t14*abb87n67+t13*t14*abb87n67+t13*&
         &t27*abb87n51+t13*t29*abb87n53+t14*t15*abb87n61+t15*t25*abb87n53+t152*t&
         &49*abb87n48+t152*t50*abb87n48+t152*t51*abb87n47+t152*t52*abb87n47+t152&
         &*t95*abb87n49+t152*t96*abb87n49+t152*t98*abb87n45+t153*t95*abb87n74+t1&
         &53*t96*abb87n74+t2*t31*abb87n76+t2*t33*abb87n82+t2*t36*abb87n76+t2*t37&
         &*abb87n82+t2*t39*abb87n75+t2*t40*abb87n80+t2*t44*abb87n75+t2*t45*abb87&
         &n80+t2*t55*abb87n63+t2*t57*abb87n63+t2*t58*abb87n62+t2*t59*abb87n62+t2&
         &*t60*abb87n76+t2*t62*abb87n85+t2*t63*abb87n82+t2*t65*abb87n76+t2*t66*a&
         &bb87n85+t2*t67*abb87n82+t2*t71*abb87n85+t2*t76*abb87n85+t2*t80*abb87n8&
         &6+t2*t84*abb87n86+t2*t87*abb87n78+t2*t89*abb87n78+t2*t91*abb87n77+t2*t&
         &93*abb87n77+t2*t97*abb87n91+t3*t64*abb87n82+t3*t68*abb87n82+t3*t73*abb&
         &87n93+t3*t74*abb87n82+t3*t77*abb87n93+t3*t78*abb87n82+t3*t81*abb87n92+&
         &t3*t82*abb87n80+t3*t85*abb87n92+t3*t86*abb87n80+t33*t7*abb87n93+t35*t7&
         &*abb87n87+t37*t7*abb87n93+t38*t7*abb87n87+t40*t7*abb87n92+t42*t7*abb87&
         &n72+t43*t7*abb87n88+t45*t7*abb87n92+t46*t7*abb87n72+t47*t7*abb87n88+t4&
         &9*t6*abb87n77+t5*t64*abb87n76+t5*t68*abb87n76+t5*t74*abb87n76+t5*t78*a&
         &bb87n76+t5*t82*abb87n75+t5*t86*abb87n75+t50*t6*abb87n77+t51*t6*abb87n7&
         &9+t52*t6*abb87n79+t53*t6*abb87n81+t54*t6*abb87n81+t6*t81*abb87n72+t6*t&
         &85*abb87n72+t6*t88*abb87n78+t6*t90*abb87n78+t6*t98*abb87n91+t64*t8*abb&
         &87n85+t68*t8*abb87n85+t7*t70*abb87n74+t7*t75*abb87n74+t7*t79*abb87n73+&
         &t7*t83*abb87n73+t73*t9*abb87n74+t74*t8*abb87n85+t77*t9*abb87n74+t78*t8&
         &*abb87n85+t8*t82*abb87n86+t8*t86*abb87n86+t81*t9*abb87n73+t85*t9*abb87&
         &n73+t104*t2*t4*abb87n40+t107*t2*t4*abb87n40+t11*t48*t6*abb87n62+t114*t&
         &4*t7*abb87n40+t116*t4*t7*abb87n40+t117*t2*t6*abb87n40+t118*t2*t6*abb87&
         &n40+t2*t7*t87*abb87n40+t2*t7*t89*abb87n40+t20*t27*t6*abb87n62+t20*t56*&
         &t6*abb87n63+t21*t48*t6*abb87n63+t6*t7*t88*abb87n40+t6*t7*t90*abb87n40+&
         &t20*t4*t6*t72*abb87n40+t26*t4*t48*t6*abb87n40)
         return
      end if
      t152 = d(iv2,iv3)
      t153 = d(iv1,iv3)
      t22 = k2(iv3)
      t35 = k5(iv3)
      t38 = k6(iv3)
      t42 = qshift(iv3)
      t43 = spvak2k1(iv3)
      t46 = t152*t16
      t47 = t153*t30
      t53 = spvak2k4(iv3)
      t54 = t157*t53
      t64 = t152*t17
      t68 = t153*t32
      t74 = spvak5k1(iv3)
      t78 = t157*t74
      t82 = t152*t18
      t86 = t153*t41
      t88 = spvak5k6(iv3)
      t90 = t157*t88
      t92 = t152*t19
      t94 = t153*t34
      t99 = spvak6k1(iv3)
      t102 = t157*t99
      t110 = spvak2k6(iv3)
      t112 = spvak3k1(iv3)
      t114 = t152*t26
      t116 = t153*t72
      t119 = spvak3k4(iv3)
      t120 = t119*t157
      t121 = t152*t20
      t122 = t153*t48
      t123 = spvak6k5(iv3)
      t124 = t123*t157
      t125 = k1(iv3)
      t126 = t119*t13
      t127 = t119*t25
      t128 = t26*t38
      t129 = t38*t72
      t130 = t10*t119
      t131 = t119*t14
      t132 = t26*t42
      t133 = t42*t72
      t87 = t123*t87
      t134 = t15*t48*t88
      t89 = t123*t89
      t135 = t20*t29*t88
      t136 = t18*t43*t48
      t137 = t20*t41*t43
      t138 = t117*t88
      t139 = t119*t15
      t140 = t139*t41
      t141 = t118*t88
      t142 = t119*t29
      t143 = t142*t18
      t144 = t26*t43
      t145 = t144*t41
      t146 = t43*t72
      t147 = t146*t18
      t148 = t26*t88
      t149 = t72*t88
      t150 = t119*t18
      t151 = t119*t41
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(t102*abb87n83+t46*abb87n58+t47*abb87n58+t54*abb8&
         &7n58+t64*abb87n89+t68*abb87n89+t78*abb87n89+t82*abb87n68+t86*abb87n68+&
         &t90*abb87n68+t92*abb87n83+t94*abb87n83+t1*t114*abb87n44+t1*t116*abb87n&
         &44+t1*t120*abb87n44+t10*t152*abb87n64+t102*t7*abb87n44+t11*t152*abb87n&
         &70+t114*t3*abb87n41+t114*t6*abb87n50+t114*t9*abb87n49+t116*t3*abb87n41&
         &+t116*t6*abb87n50+t116*t9*abb87n49+t12*t152*abb87n66+t120*t3*abb87n41+&
         &t120*t6*abb87n50+t120*t9*abb87n49+t121*t3*abb87n47+t121*t5*abb87n48+t1&
         &21*t8*abb87n45+t122*t3*abb87n47+t122*t5*abb87n48+t122*t8*abb87n45+t124&
         &*t3*abb87n47+t124*t5*abb87n48+t124*t8*abb87n45+t13*t152*abb87n66+t14*t&
         &153*abb87n64+t15*t152*abb87n60+t153*t25*abb87n66+t153*t27*abb87n70+t15&
         &3*t28*abb87n66+t153*t29*abb87n60+t157*t22*abb87n70+t157*t35*abb87n66+t&
         &157*t38*abb87n66+t157*t42*abb87n64+t157*t43*abb87n60+t2*t46*abb87n48+t&
         &2*t47*abb87n48+t2*t54*abb87n48+t2*t64*abb87n47+t2*t68*abb87n47+t2*t78*&
         &abb87n47+t64*t7*abb87n41+t68*t7*abb87n41+t7*t78*abb87n41+t7*t82*abb87n&
         &50+t7*t86*abb87n50+t7*t90*abb87n50+t7*t92*abb87n44+t7*t94*abb87n44+t11&
         &0*t157*t7*abb87n49+t112*t157*t2*abb87n45+t152*t2*t24*abb87n45+t152*t23&
         &*t7*abb87n49+t153*t2*t61*abb87n45+t153*t69*t7*abb87n49)+t134*abb87n78+&
         &t135*abb87n78+t136*abb87n78+t137*abb87n78+t87*abb87n78+t89*abb87n78+t1&
         &00*t123*abb87n91+t109*t123*abb87n79+t111*t123*abb87n79+t113*t123*abb87&
         &n81+t115*t123*abb87n81+t119*t70*abb87n74+t119*t75*abb87n74+t119*t79*ab&
         &b87n73+t119*t83*abb87n73+t123*t31*abb87n76+t123*t33*abb87n82+t123*t36*&
         &abb87n76+t123*t37*abb87n82+t123*t39*abb87n75+t123*t40*abb87n80+t123*t4&
         &4*abb87n75+t123*t45*abb87n80+t123*t55*abb87n63+t123*t57*abb87n63+t123*&
         &t58*abb87n62+t123*t59*abb87n62+t123*t60*abb87n76+t123*t62*abb87n85+t12&
         &3*t63*abb87n82+t123*t65*abb87n76+t123*t66*abb87n85+t123*t67*abb87n82+t&
         &123*t71*abb87n85+t123*t76*abb87n85+t123*t80*abb87n86+t123*t84*abb87n86&
         &+t123*t91*abb87n77+t123*t93*abb87n77+t123*t97*abb87n91+t126*t32*abb87n&
         &93+t126*t34*abb87n87+t127*t17*abb87n93+t127*t19*abb87n87+t128*t32*abb8&
         &7n93+t128*t34*abb87n87+t129*t17*abb87n93+t129*t19*abb87n87+t130*t32*ab&
         &b87n92+t130*t34*abb87n88+t130*t41*abb87n72+t131*t17*abb87n92+t131*t18*&
         &abb87n72+t131*t19*abb87n88+t132*t32*abb87n92+t132*t34*abb87n88+t132*t4&
         &1*abb87n72+t133*t17*abb87n92+t133*t18*abb87n72+t133*t19*abb87n88+t134*&
         &t7*abb87n40+t135*t7*abb87n40+t136*t7*abb87n40+t137*t7*abb87n40+t138*t2&
         &*abb87n40+t140*t2*abb87n40+t141*t2*abb87n40+t143*t2*abb87n40+t145*t2*a&
         &bb87n40+t147*t2*abb87n40+t7*t87*abb87n40+t7*t89*abb87n40+t73*t74*abb87&
         &n93+t73*t99*abb87n87+t74*t77*abb87n93+t74*t81*abb87n92+t74*t85*abb87n9&
         &2+t77*t99*abb87n87+t81*t88*abb87n72+t81*t99*abb87n88+t85*t88*abb87n72+&
         &t85*t99*abb87n88+t10*t110*t72*abb87n73+t10*t112*t48*abb87n86+t10*t48*t&
         &53*abb87n75+t10*t48*t74*abb87n80+t104*t123*t4*abb87n40+t107*t123*t4*ab&
         &b87n40+t11*t48*t88*abb87n62+t110*t13*t72*abb87n74+t110*t14*t26*abb87n7&
         &3+t110*t25*t26*abb87n74+t112*t12*t48*abb87n85+t112*t13*t48*abb87n85+t1&
         &12*t14*t20*abb87n86+t112*t18*t48*abb87n91+t112*t20*t25*abb87n85+t112*t&
         &20*t28*abb87n85+t112*t20*t41*abb87n91+t117*t123*t6*abb87n40+t118*t123*&
         &t6*abb87n40+t12*t48*t53*abb87n76+t12*t48*t74*abb87n82+t125*t18*t48*abb&
         &87n63+t125*t20*t41*abb87n63+t13*t48*t53*abb87n76+t13*t48*t74*abb87n82+&
         &t139*t48*t6*abb87n40+t14*t20*t53*abb87n75+t14*t20*t74*abb87n80+t142*t2&
         &0*t6*abb87n40+t144*t48*t6*abb87n40+t146*t20*t6*abb87n40+t148*t4*t48*ab&
         &b87n40+t149*t20*t4*abb87n40+t150*t4*t48*abb87n40+t151*t20*t4*abb87n40+&
         &t16*t35*t48*abb87n76+t16*t38*t48*abb87n76+t16*t42*t48*abb87n75+t16*t48&
         &*t88*abb87n77+t17*t35*t48*abb87n82+t17*t38*t48*abb87n82+t17*t42*t48*ab&
         &b87n80+t17*t48*t88*abb87n79+t18*t22*t48*abb87n62+t18*t48*t53*abb87n77+&
         &t18*t48*t74*abb87n79+t18*t48*t99*abb87n81+t19*t48*t88*abb87n81+t20*t22&
         &*t41*abb87n62+t20*t25*t53*abb87n76+t20*t25*t74*abb87n82+t20*t27*t88*ab&
         &b87n62+t20*t28*t53*abb87n76+t20*t28*t74*abb87n82+t20*t30*t35*abb87n76+&
         &t20*t30*t38*abb87n76+t20*t30*t42*abb87n75+t20*t30*t88*abb87n77+t20*t32&
         &*t35*abb87n82+t20*t32*t38*abb87n82+t20*t32*t42*abb87n80+t20*t32*t88*ab&
         &b87n79+t20*t34*t88*abb87n81+t20*t35*t61*abb87n85+t20*t38*t61*abb87n85+&
         &t20*t41*t53*abb87n77+t20*t41*t74*abb87n79+t20*t41*t99*abb87n81+t20*t42&
         &*t61*abb87n86+t20*t56*t88*abb87n63+t20*t61*t88*abb87n91+t21*t48*t88*ab&
         &b87n63+t23*t38*t72*abb87n74+t23*t42*t72*abb87n73+t24*t35*t48*abb87n85+&
         &t24*t38*t48*abb87n85+t24*t42*t48*abb87n86+t24*t48*t88*abb87n91+t26*t38&
         &*t69*abb87n74+t26*t42*t69*abb87n73)
         return
      end if
      t154 = d(iv3,iv4)
      t155 = d(iv2,iv4)
      t156 = d(iv1,iv4)
      t1 = spvak6k5(iv4)
      t2 = spvak2k4(iv4)
      t3 = spvak3k4(iv4)
      t4 = spvak2k6(iv4)
      t5 = spvak3k1(iv4)
      t6 = spvak5k1(iv4)
      t7 = spvak5k6(iv4)
      t8 = spvak6k1(iv4)
      t9 = t15*t3
      t10 = t29*t3
      t11 = t3*t43
      t12 = spvak2k1(iv4)
      t13 = t12*t26
      t14 = t12*t72
      t12 = t119*t12
      if(deg.eq.4) then
         numerator = ((8.0_ki)*(t152*t156*abb87n52+t153*t155*abb87n52+t154*t157*&
         &abb87n52)+(2.0_ki)*(t101*t154*abb87n45+t103*t154*abb87n41+t104*t154*ab&
         &b87n50+t105*t154*abb87n44+t106*t154*abb87n41+t107*t154*abb87n50+t108*t&
         &154*abb87n44+t148*t155*abb87n50+t149*t156*abb87n50+t150*t155*abb87n50+&
         &t151*t156*abb87n50+t154*t49*abb87n48+t154*t50*abb87n48+t154*t51*abb87n&
         &47+t154*t52*abb87n47+t154*t95*abb87n49+t154*t96*abb87n49+t154*t98*abb8&
         &7n45+t1*t112*t157*abb87n45+t1*t152*t16*abb87n48+t1*t152*t17*abb87n47+t&
         &1*t152*t24*abb87n45+t1*t153*t30*abb87n48+t1*t153*t32*abb87n47+t1*t153*&
         &t61*abb87n45+t1*t157*t53*abb87n48+t1*t157*t74*abb87n47+t110*t155*t26*a&
         &bb87n49+t110*t156*t72*abb87n49+t110*t157*t3*abb87n49+t112*t155*t20*abb&
         &87n45+t112*t156*t48*abb87n45+t119*t155*t17*abb87n41+t119*t155*t19*abb8&
         &7n44+t119*t155*t23*abb87n49+t119*t156*t32*abb87n41+t119*t156*t34*abb87&
         &n44+t119*t156*t69*abb87n49+t119*t157*t4*abb87n49+t119*t157*t6*abb87n41&
         &+t119*t157*t7*abb87n50+t119*t157*t8*abb87n44+t123*t155*t16*abb87n48+t1&
         &23*t155*t17*abb87n47+t123*t155*t24*abb87n45+t123*t156*t30*abb87n48+t12&
         &3*t156*t32*abb87n47+t123*t156*t61*abb87n45+t123*t157*t2*abb87n48+t123*&
         &t157*t5*abb87n45+t123*t157*t6*abb87n47+t152*t17*t3*abb87n41+t152*t18*t&
         &3*abb87n50+t152*t19*t3*abb87n44+t152*t2*t20*abb87n48+t152*t20*t5*abb87&
         &n45+t152*t20*t6*abb87n47+t152*t23*t3*abb87n49+t152*t26*t4*abb87n49+t15&
         &2*t26*t6*abb87n41+t152*t26*t7*abb87n50+t152*t26*t8*abb87n44+t153*t2*t4&
         &8*abb87n48+t153*t3*t32*abb87n41+t153*t3*t34*abb87n44+t153*t3*t41*abb87&
         &n50+t153*t3*t69*abb87n49+t153*t4*t72*abb87n49+t153*t48*t5*abb87n45+t15&
         &3*t48*t6*abb87n47+t153*t6*t72*abb87n41+t153*t7*t72*abb87n50+t153*t72*t&
         &8*abb87n44+t155*t20*t53*abb87n48+t155*t20*t74*abb87n47+t155*t26*t74*ab&
         &b87n41+t155*t26*t99*abb87n44+t156*t48*t53*abb87n48+t156*t48*t74*abb87n&
         &47+t156*t72*t74*abb87n41+t156*t72*t99*abb87n44+t157*t3*t74*abb87n41+t1&
         &57*t3*t88*abb87n50+t157*t3*t99*abb87n44)+t1*t138*abb87n40+t1*t140*abb8&
         &7n40+t1*t141*abb87n40+t1*t143*abb87n40+t1*t145*abb87n40+t1*t147*abb87n&
         &40+t10*t123*t18*abb87n40+t10*t20*t88*abb87n40+t11*t18*t48*abb87n40+t11&
         &*t20*t41*abb87n40+t117*t123*t7*abb87n40+t118*t123*t7*abb87n40+t12*t18*&
         &t48*abb87n40+t12*t20*t41*abb87n40+t123*t13*t41*abb87n40+t123*t14*t18*a&
         &bb87n40+t123*t41*t9*abb87n40+t13*t48*t88*abb87n40+t139*t48*t7*abb87n40&
         &+t14*t20*t88*abb87n40+t142*t20*t7*abb87n40+t144*t48*t7*abb87n40+t146*t&
         &20*t7*abb87n40+t48*t88*t9*abb87n40)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d87:
   subroutine     reconstruct_d87(coeffs)
      use p7_dubar_emnebargg_groups, only: tensrec_info_group11
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group11), intent(out) :: coeffs
      ! rank 4 case:
      !---[# reconstruct coeffs%coeffs_87:
      coeffs%coeffs_87%c0 = derivative(czip)
      coeffs%coeffs_87%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_87%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_87%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_87%c1(1,4) = derivative(czip,1,1,1,1) / 24.0_ki
      coeffs%coeffs_87%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_87%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_87%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_87%c1(2,4) = derivative(czip,2,2,2,2) / 24.0_ki
      coeffs%coeffs_87%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_87%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_87%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_87%c1(3,4) = derivative(czip,3,3,3,3) / 24.0_ki
      coeffs%coeffs_87%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_87%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_87%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_87%c1(4,4) = derivative(czip,4,4,4,4) / 24.0_ki
      coeffs%coeffs_87%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_87%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_87%c2(1,3) = -derivative(czip,1,2,2,2) / 6.0_ki
      coeffs%coeffs_87%c2(1,4) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_87%c2(1,5) = derivative(czip,1,1,2,2) / 4.0_ki
      coeffs%coeffs_87%c2(1,6) = -derivative(czip,1,1,1,2) / 6.0_ki
      coeffs%coeffs_87%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_87%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_87%c2(2,3) = -derivative(czip,1,3,3,3) / 6.0_ki
      coeffs%coeffs_87%c2(2,4) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_87%c2(2,5) = derivative(czip,1,1,3,3) / 4.0_ki
      coeffs%coeffs_87%c2(2,6) = -derivative(czip,1,1,1,3) / 6.0_ki
      coeffs%coeffs_87%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_87%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_87%c2(3,3) = -derivative(czip,1,4,4,4) / 6.0_ki
      coeffs%coeffs_87%c2(3,4) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_87%c2(3,5) = derivative(czip,1,1,4,4) / 4.0_ki
      coeffs%coeffs_87%c2(3,6) = -derivative(czip,1,1,1,4) / 6.0_ki
      coeffs%coeffs_87%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_87%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_87%c2(4,3) = derivative(czip,2,3,3,3) / 6.0_ki
      coeffs%coeffs_87%c2(4,4) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_87%c2(4,5) = derivative(czip,2,2,3,3) / 4.0_ki
      coeffs%coeffs_87%c2(4,6) = derivative(czip,2,2,2,3) / 6.0_ki
      coeffs%coeffs_87%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_87%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_87%c2(5,3) = derivative(czip,2,4,4,4) / 6.0_ki
      coeffs%coeffs_87%c2(5,4) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_87%c2(5,5) = derivative(czip,2,2,4,4) / 4.0_ki
      coeffs%coeffs_87%c2(5,6) = derivative(czip,2,2,2,4) / 6.0_ki
      coeffs%coeffs_87%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_87%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_87%c2(6,3) = derivative(czip,3,4,4,4) / 6.0_ki
      coeffs%coeffs_87%c2(6,4) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_87%c2(6,5) = derivative(czip,3,3,4,4) / 4.0_ki
      coeffs%coeffs_87%c2(6,6) = derivative(czip,3,3,3,4) / 6.0_ki
      coeffs%coeffs_87%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_87%c3(1,2) = -derivative(czip,1,2,3,3) / 2.0_ki
      coeffs%coeffs_87%c3(1,3) = -derivative(czip,1,2,2,3) / 2.0_ki
      coeffs%coeffs_87%c3(1,4) = derivative(czip,1,1,2,3) / 2.0_ki
      coeffs%coeffs_87%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_87%c3(2,2) = -derivative(czip,1,2,4,4) / 2.0_ki
      coeffs%coeffs_87%c3(2,3) = -derivative(czip,1,2,2,4) / 2.0_ki
      coeffs%coeffs_87%c3(2,4) = derivative(czip,1,1,2,4) / 2.0_ki
      coeffs%coeffs_87%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_87%c3(3,2) = -derivative(czip,1,3,4,4) / 2.0_ki
      coeffs%coeffs_87%c3(3,3) = -derivative(czip,1,3,3,4) / 2.0_ki
      coeffs%coeffs_87%c3(3,4) = derivative(czip,1,1,3,4) / 2.0_ki
      coeffs%coeffs_87%c3(4,1) = -derivative(czip,2,3,4)
      coeffs%coeffs_87%c3(4,2) = derivative(czip,2,3,4,4) / 2.0_ki
      coeffs%coeffs_87%c3(4,3) = derivative(czip,2,3,3,4) / 2.0_ki
      coeffs%coeffs_87%c3(4,4) = derivative(czip,2,2,3,4) / 2.0_ki
      coeffs%coeffs_87%c4(1,1) = -derivative(czip,1,2,3,4)
      !---#] reconstruct coeffs%coeffs_87:
   end subroutine reconstruct_d87
!---#] subroutine reconstruct_d87:
end module p7_dubar_emnebargg_d87h3l1d
